
class TranslatedFunctions() :
	def __init__(self, dll) :
		# The dll will be the nidaqmx dll.
		self.LoadTask = dll.DAQmxLoadTask            	# (const char taskName[], TaskHandle *taskHandle);
		self.CreateTask = dll.DAQmxCreateTask          	# (const char taskName[], TaskHandle *taskHandle);
		self.AddGlobalChansToTask = dll.DAQmxAddGlobalChansToTask	# (TaskHandle taskHandle, const char channelNames[]);
		self.StartTask = dll.DAQmxStartTask           	# (TaskHandle taskHandle);
		self.StopTask = dll.DAQmxStopTask            	# (TaskHandle taskHandle);
		self.ClearTask = dll.DAQmxClearTask           	# (TaskHandle taskHandle);
		self.WaitUntilTaskDone = dll.DAQmxWaitUntilTaskDone   	# (TaskHandle taskHandle, float64 timeToWait);
		self.IsTaskDone = dll.DAQmxIsTaskDone          	# (TaskHandle taskHandle, bool32 *isTaskDone);
		self.TaskControl = dll.DAQmxTaskControl         	# (TaskHandle taskHandle, int32 action);
		self.GetNthTaskChannel = dll.DAQmxGetNthTaskChannel   	# (TaskHandle taskHandle, uInt32 index, char buffer[], int32 bufferSize);
		self.GetNthTaskDevice = dll.DAQmxGetNthTaskDevice    	# (TaskHandle taskHandle, uInt32 index, char buffer[], int32 bufferSize);
		self.GetTaskAttribute = dll.DAQmxGetTaskAttribute    	# (TaskHandle taskHandle, int32 attribute, void *value, ...);
		self.RegisterEveryNSamplesEvent = dll.DAQmxRegisterEveryNSamplesEvent 	# (TaskHandle task, int32 everyNsamplesEventType, uInt32 nSamples, uInt32 options, DAQmxEveryNSamplesEventCallbackPtr callbackFunction, void *callbackData);
		self.RegisterDoneEvent = dll.DAQmxRegisterDoneEvent          	# (TaskHandle task, uInt32 options, DAQmxDoneEventCallbackPtr callbackFunction, void *callbackData);
		self.RegisterSignalEvent = dll.DAQmxRegisterSignalEvent        	# (TaskHandle task, int32 signalID, uInt32 options, DAQmxSignalEventCallbackPtr callbackFunction, void *callbackData);
		self.CreateAIVoltageChan = dll.DAQmxCreateAIVoltageChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, const char customScaleName[]);
		self.CreateAICurrentChan = dll.DAQmxCreateAICurrentChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, int32 shuntResistorLoc, float64 extShuntResistorVal, const char customScaleName[]);
		self.CreateAIThrmcplChan = dll.DAQmxCreateAIThrmcplChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 thermocoupleType, int32 cjcSource, float64 cjcVal, const char cjcChannel[]);
		self.CreateAIRTDChan = dll.DAQmxCreateAIRTDChan              	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 rtdType, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal, float64 r0);
		self.CreateAIThrmstrChanIex = dll.DAQmxCreateAIThrmstrChanIex       	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal, float64 a, float64 b, float64 c);
		self.CreateAIThrmstrChanVex = dll.DAQmxCreateAIThrmstrChanVex       	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 voltageExcitSource, float64 voltageExcitVal, float64 a, float64 b, float64 c, float64 r1);
		self.CreateAIFreqVoltageChan = dll.DAQmxCreateAIFreqVoltageChan      	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, float64 thresholdLevel, float64 hysteresis, const char customScaleName[]);
		self.CreateAIResistanceChan = dll.DAQmxCreateAIResistanceChan       	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
		self.CreateAIStrainGageChan = dll.DAQmxCreateAIStrainGageChan       	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 strainConfig, int32 voltageExcitSource, float64 voltageExcitVal, float64 gageFactor, float64 initialBridgeVoltage, float64 nominalGageResistance, float64 poissonRatio, float64 leadWireResistance, const char customScaleName[]);
		self.CreateAIVoltageChanWithExcit = dll.DAQmxCreateAIVoltageChanWithExcit 	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, int32 bridgeConfig, int32 voltageExcitSource, float64 voltageExcitVal, bool32 useExcitForScaling, const char customScaleName[]);
		self.CreateAITempBuiltInSensorChan = dll.DAQmxCreateAITempBuiltInSensorChan	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 units);
		self.CreateAIAccelChan = dll.DAQmxCreateAIAccelChan            	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, float64 sensitivity, int32 sensitivityUnits, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
		self.CreateAIMicrophoneChan = dll.DAQmxCreateAIMicrophoneChan       	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, int32 units, float64 micSensitivity, float64 maxSndPressLevel, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
		self.CreateAIPosLVDTChan = dll.DAQmxCreateAIPosLVDTChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, float64 sensitivity, int32 sensitivityUnits, int32 voltageExcitSource, float64 voltageExcitVal, float64 voltageExcitFreq, int32 ACExcitWireMode, const char customScaleName[]);
		self.CreateAIPosRVDTChan = dll.DAQmxCreateAIPosRVDTChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, float64 sensitivity, int32 sensitivityUnits, int32 voltageExcitSource, float64 voltageExcitVal, float64 voltageExcitFreq, int32 ACExcitWireMode, const char customScaleName[]);
		self.CreateAIDeviceTempChan = dll.DAQmxCreateAIDeviceTempChan       	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 units);
		self.CreateTEDSAIVoltageChan = dll.DAQmxCreateTEDSAIVoltageChan      	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, const char customScaleName[]);
		self.CreateTEDSAICurrentChan = dll.DAQmxCreateTEDSAICurrentChan      	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, int32 shuntResistorLoc, float64 extShuntResistorVal, const char customScaleName[]);
		self.CreateTEDSAIThrmcplChan = dll.DAQmxCreateTEDSAIThrmcplChan      	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 cjcSource, float64 cjcVal, const char cjcChannel[]);
		self.CreateTEDSAIRTDChan = dll.DAQmxCreateTEDSAIRTDChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal);
		self.CreateTEDSAIThrmstrChanIex = dll.DAQmxCreateTEDSAIThrmstrChanIex   	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal);
		self.CreateTEDSAIThrmstrChanVex = dll.DAQmxCreateTEDSAIThrmstrChanVex   	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 voltageExcitSource, float64 voltageExcitVal, float64 r1);
		self.CreateTEDSAIResistanceChan = dll.DAQmxCreateTEDSAIResistanceChan   	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
		self.CreateTEDSAIStrainGageChan = dll.DAQmxCreateTEDSAIStrainGageChan   	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 voltageExcitSource, float64 voltageExcitVal, float64 initialBridgeVoltage, float64 leadWireResistance, const char customScaleName[]);
		self.CreateTEDSAIVoltageChanWithExcit = dll.DAQmxCreateTEDSAIVoltageChanWithExcit 	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, int32 voltageExcitSource, float64 voltageExcitVal, const char customScaleName[]);
		self.CreateTEDSAIAccelChan = dll.DAQmxCreateTEDSAIAccelChan        	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
		self.CreateTEDSAIMicrophoneChan = dll.DAQmxCreateTEDSAIMicrophoneChan   	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, int32 units, float64 maxSndPressLevel, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
		self.CreateTEDSAIPosLVDTChan = dll.DAQmxCreateTEDSAIPosLVDTChan      	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 voltageExcitSource, float64 voltageExcitVal, float64 voltageExcitFreq, int32 ACExcitWireMode, const char customScaleName[]);
		self.CreateTEDSAIPosRVDTChan = dll.DAQmxCreateTEDSAIPosRVDTChan      	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 voltageExcitSource, float64 voltageExcitVal, float64 voltageExcitFreq, int32 ACExcitWireMode, const char customScaleName[]);
		self.CreateAOVoltageChan = dll.DAQmxCreateAOVoltageChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, const char customScaleName[]);
		self.CreateAOCurrentChan = dll.DAQmxCreateAOCurrentChan          	# (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, const char customScaleName[]);
		self.CreateDIChan = dll.DAQmxCreateDIChan                 	# (TaskHandle taskHandle, const char lines[], const char nameToAssignToLines[], int32 lineGrouping);
		self.CreateDOChan = dll.DAQmxCreateDOChan                 	# (TaskHandle taskHandle, const char lines[], const char nameToAssignToLines[], int32 lineGrouping);
		self.CreateCIFreqChan = dll.DAQmxCreateCIFreqChan             	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 edge, int32 measMethod, float64 measTime, uInt32 divisor, const char customScaleName[]);
		self.CreateCIPeriodChan = dll.DAQmxCreateCIPeriodChan           	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 edge, int32 measMethod, float64 measTime, uInt32 divisor, const char customScaleName[]);
		self.CreateCICountEdgesChan = dll.DAQmxCreateCICountEdgesChan       	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 edge, uInt32 initialCount, int32 countDirection);
		self.CreateCIPulseWidthChan = dll.DAQmxCreateCIPulseWidthChan       	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 startingEdge, const char customScaleName[]);
		self.CreateCISemiPeriodChan = dll.DAQmxCreateCISemiPeriodChan       	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, const char customScaleName[]);
		self.CreateCITwoEdgeSepChan = dll.DAQmxCreateCITwoEdgeSepChan       	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 firstEdge, int32 secondEdge, const char customScaleName[]);
		self.CreateCILinEncoderChan = dll.DAQmxCreateCILinEncoderChan       	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 decodingType, bool32 ZidxEnable, float64 ZidxVal, int32 ZidxPhase, int32 units, float64 distPerPulse, float64 initialPos, const char customScaleName[]);
		self.CreateCIAngEncoderChan = dll.DAQmxCreateCIAngEncoderChan       	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 decodingType, bool32 ZidxEnable, float64 ZidxVal, int32 ZidxPhase, int32 units, uInt32 pulsesPerRev, float64 initialAngle, const char customScaleName[]);
		self.CreateCIGPSTimestampChan = dll.DAQmxCreateCIGPSTimestampChan     	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 units, int32 syncMethod, const char customScaleName[]);
		self.CreateCOPulseChanFreq = dll.DAQmxCreateCOPulseChanFreq        	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 units, int32 idleState, float64 initialDelay, float64 freq, float64 dutyCycle);
		self.CreateCOPulseChanTime = dll.DAQmxCreateCOPulseChanTime        	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 units, int32 idleState, float64 initialDelay, float64 lowTime, float64 highTime);
		self.CreateCOPulseChanTicks = dll.DAQmxCreateCOPulseChanTicks       	# (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], const char sourceTerminal[], int32 idleState, int32 initialDelay, int32 lowTicks, int32 highTicks);
		self.GetAIChanCalCalDate = dll.DAQmxGetAIChanCalCalDate	# (TaskHandle taskHandle, const char channelName[], uInt32 *year, uInt32 *month, uInt32 *day, uInt32 *hour, uInt32 *minute);
		self.SetAIChanCalCalDate = dll.DAQmxSetAIChanCalCalDate	# (TaskHandle taskHandle, const char channelName[], uInt32 year, uInt32 month, uInt32 day, uInt32 hour, uInt32 minute);
		self.GetAIChanCalExpDate = dll.DAQmxGetAIChanCalExpDate	# (TaskHandle taskHandle, const char channelName[], uInt32 *year, uInt32 *month, uInt32 *day, uInt32 *hour, uInt32 *minute);
		self.SetAIChanCalExpDate = dll.DAQmxSetAIChanCalExpDate	# (TaskHandle taskHandle, const char channelName[], uInt32 year, uInt32 month, uInt32 day, uInt32 hour, uInt32 minute);
		self.GetChanAttribute = dll.DAQmxGetChanAttribute             	# (TaskHandle taskHandle, const char channel[], int32 attribute, void *value, ...);
		self.SetChanAttribute = dll.DAQmxSetChanAttribute             	# (TaskHandle taskHandle, const char channel[], int32 attribute, ...);
		self.ResetChanAttribute = dll.DAQmxResetChanAttribute           	# (TaskHandle taskHandle, const char channel[], int32 attribute);
		self.CfgSampClkTiming = dll.DAQmxCfgSampClkTiming          	# (TaskHandle taskHandle, const char source[], float64 rate, int32 activeEdge, int32 sampleMode, uInt64 sampsPerChan);
		self.CfgHandshakingTiming = dll.DAQmxCfgHandshakingTiming      	# (TaskHandle taskHandle, int32 sampleMode, uInt64 sampsPerChan);
		self.CfgBurstHandshakingTimingImportClock = dll.DAQmxCfgBurstHandshakingTimingImportClock	# (TaskHandle taskHandle, int32 sampleMode, uInt64 sampsPerChan, float64 sampleClkRate, const char sampleClkSrc[], int32 sampleClkActiveEdge, int32 pauseWhen, int32 readyEventActiveLevel);
		self.CfgBurstHandshakingTimingExportClock = dll.DAQmxCfgBurstHandshakingTimingExportClock	# (TaskHandle taskHandle, int32 sampleMode, uInt64 sampsPerChan, float64 sampleClkRate, const char sampleClkOutpTerm[], int32 sampleClkPulsePolarity, int32 pauseWhen, int32 readyEventActiveLevel);
		self.CfgChangeDetectionTiming = dll.DAQmxCfgChangeDetectionTiming  	# (TaskHandle taskHandle, const char risingEdgeChan[], const char fallingEdgeChan[], int32 sampleMode, uInt64 sampsPerChan);
		self.CfgImplicitTiming = dll.DAQmxCfgImplicitTiming         	# (TaskHandle taskHandle, int32 sampleMode, uInt64 sampsPerChan);
		self.CfgPipelinedSampClkTiming = dll.DAQmxCfgPipelinedSampClkTiming 	# (TaskHandle taskHandle, const char source[], float64 rate, int32 activeEdge, int32 sampleMode, uInt64 sampsPerChan);
		self.GetTimingAttribute = dll.DAQmxGetTimingAttribute        	# (TaskHandle taskHandle, int32 attribute, void *value, ...);
		self.SetTimingAttribute = dll.DAQmxSetTimingAttribute        	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetTimingAttribute = dll.DAQmxResetTimingAttribute      	# (TaskHandle taskHandle, int32 attribute);
		self.GetTimingAttributeEx = dll.DAQmxGetTimingAttributeEx      	# (TaskHandle taskHandle, const char deviceNames[], int32 attribute, void *value, ...);
		self.SetTimingAttributeEx = dll.DAQmxSetTimingAttributeEx      	# (TaskHandle taskHandle, const char deviceNames[], int32 attribute, ...);
		self.ResetTimingAttributeEx = dll.DAQmxResetTimingAttributeEx    	# (TaskHandle taskHandle, const char deviceNames[], int32 attribute);
		self.DisableStartTrig = dll.DAQmxDisableStartTrig      	# (TaskHandle taskHandle);
		self.CfgDigEdgeStartTrig = dll.DAQmxCfgDigEdgeStartTrig   	# (TaskHandle taskHandle, const char triggerSource[], int32 triggerEdge);
		self.CfgAnlgEdgeStartTrig = dll.DAQmxCfgAnlgEdgeStartTrig  	# (TaskHandle taskHandle, const char triggerSource[], int32 triggerSlope, float64 triggerLevel);
		self.CfgAnlgWindowStartTrig = dll.DAQmxCfgAnlgWindowStartTrig	# (TaskHandle taskHandle, const char triggerSource[], int32 triggerWhen, float64 windowTop, float64 windowBottom);
		self.CfgDigPatternStartTrig = dll.DAQmxCfgDigPatternStartTrig	# (TaskHandle taskHandle, const char triggerSource[], const char triggerPattern[], int32 triggerWhen);
		self.DisableRefTrig = dll.DAQmxDisableRefTrig        	# (TaskHandle taskHandle);
		self.CfgDigEdgeRefTrig = dll.DAQmxCfgDigEdgeRefTrig     	# (TaskHandle taskHandle, const char triggerSource[], int32 triggerEdge, uInt32 pretriggerSamples);
		self.CfgAnlgEdgeRefTrig = dll.DAQmxCfgAnlgEdgeRefTrig    	# (TaskHandle taskHandle, const char triggerSource[], int32 triggerSlope, float64 triggerLevel, uInt32 pretriggerSamples);
		self.CfgAnlgWindowRefTrig = dll.DAQmxCfgAnlgWindowRefTrig  	# (TaskHandle taskHandle, const char triggerSource[], int32 triggerWhen, float64 windowTop, float64 windowBottom, uInt32 pretriggerSamples);
		self.CfgDigPatternRefTrig = dll.DAQmxCfgDigPatternRefTrig  	# (TaskHandle taskHandle, const char triggerSource[], const char triggerPattern[], int32 triggerWhen, uInt32 pretriggerSamples);
		self.DisableAdvTrig = dll.DAQmxDisableAdvTrig        	# (TaskHandle taskHandle);
		self.CfgDigEdgeAdvTrig = dll.DAQmxCfgDigEdgeAdvTrig     	# (TaskHandle taskHandle, const char triggerSource[], int32 triggerEdge);
		self.GetTrigAttribute = dll.DAQmxGetTrigAttribute      	# (TaskHandle taskHandle, int32 attribute, void *value, ...);
		self.SetTrigAttribute = dll.DAQmxSetTrigAttribute      	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetTrigAttribute = dll.DAQmxResetTrigAttribute    	# (TaskHandle taskHandle, int32 attribute);
		self.SendSoftwareTrigger = dll.DAQmxSendSoftwareTrigger   	# (TaskHandle taskHandle, int32 triggerID);
		self.ReadAnalogF64 = dll.DAQmxReadAnalogF64         	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, float64 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadAnalogScalarF64 = dll.DAQmxReadAnalogScalarF64   	# (TaskHandle taskHandle, float64 timeout, float64 *value, bool32 *reserved);
		self.ReadBinaryI16 = dll.DAQmxReadBinaryI16         	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, int16 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadBinaryU16 = dll.DAQmxReadBinaryU16         	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt16 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadBinaryI32 = dll.DAQmxReadBinaryI32         	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, int32 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadBinaryU32 = dll.DAQmxReadBinaryU32         	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt32 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadDigitalU8 = dll.DAQmxReadDigitalU8         	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt8 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadDigitalU16 = dll.DAQmxReadDigitalU16        	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt16 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadDigitalU32 = dll.DAQmxReadDigitalU32        	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt32 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadDigitalScalarU32 = dll.DAQmxReadDigitalScalarU32  	# (TaskHandle taskHandle, float64 timeout, uInt32 *value, bool32 *reserved);
		self.ReadDigitalLines = dll.DAQmxReadDigitalLines      	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt8 readArray[], uInt32 arraySizeInBytes, int32 *sampsPerChanRead, int32 *numBytesPerSamp, bool32 *reserved);
		self.ReadCounterF64 = dll.DAQmxReadCounterF64        	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, float64 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadCounterU32 = dll.DAQmxReadCounterU32        	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, uInt32 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
		self.ReadCounterScalarF64 = dll.DAQmxReadCounterScalarF64  	# (TaskHandle taskHandle, float64 timeout, float64 *value, bool32 *reserved);
		self.ReadCounterScalarU32 = dll.DAQmxReadCounterScalarU32  	# (TaskHandle taskHandle, float64 timeout, uInt32 *value, bool32 *reserved);
		self.ReadRaw = dll.DAQmxReadRaw               	# (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, void *readArray, uInt32 arraySizeInBytes, int32 *sampsRead, int32 *numBytesPerSamp, bool32 *reserved);
		self.GetNthTaskReadChannel = dll.DAQmxGetNthTaskReadChannel 	# (TaskHandle taskHandle, uInt32 index, char buffer[], int32 bufferSize);
		self.GetReadAttribute = dll.DAQmxGetReadAttribute      	# (TaskHandle taskHandle, int32 attribute, void *value, ...);
		self.SetReadAttribute = dll.DAQmxSetReadAttribute      	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetReadAttribute = dll.DAQmxResetReadAttribute    	# (TaskHandle taskHandle, int32 attribute);
		self.WriteAnalogF64 = dll.DAQmxWriteAnalogF64          	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const float64 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteAnalogScalarF64 = dll.DAQmxWriteAnalogScalarF64    	# (TaskHandle taskHandle, bool32 autoStart, float64 timeout, float64 value, bool32 *reserved);
		self.WriteBinaryI16 = dll.DAQmxWriteBinaryI16          	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const int16 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteBinaryU16 = dll.DAQmxWriteBinaryU16          	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const uInt16 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteBinaryI32 = dll.DAQmxWriteBinaryI32          	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const int32 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteBinaryU32 = dll.DAQmxWriteBinaryU32          	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const uInt32 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteDigitalU8 = dll.DAQmxWriteDigitalU8          	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const uInt8 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteDigitalU16 = dll.DAQmxWriteDigitalU16         	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const uInt16 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteDigitalU32 = dll.DAQmxWriteDigitalU32         	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const uInt32 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteDigitalScalarU32 = dll.DAQmxWriteDigitalScalarU32   	# (TaskHandle taskHandle, bool32 autoStart, float64 timeout, uInt32 value, bool32 *reserved);
		self.WriteDigitalLines = dll.DAQmxWriteDigitalLines       	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const uInt8 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
		self.WriteCtrFreq = dll.DAQmxWriteCtrFreq            	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const float64 frequency[], const float64 dutyCycle[], int32 *numSampsPerChanWritten, bool32 *reserved);
		self.WriteCtrFreqScalar = dll.DAQmxWriteCtrFreqScalar      	# (TaskHandle taskHandle, bool32 autoStart, float64 timeout, float64 frequency, float64 dutyCycle, bool32 *reserved);
		self.WriteCtrTime = dll.DAQmxWriteCtrTime            	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const float64 highTime[], const float64 lowTime[], int32 *numSampsPerChanWritten, bool32 *reserved);
		self.WriteCtrTimeScalar = dll.DAQmxWriteCtrTimeScalar      	# (TaskHandle taskHandle, bool32 autoStart, float64 timeout, float64 highTime, float64 lowTime, bool32 *reserved);
		self.WriteCtrTicks = dll.DAQmxWriteCtrTicks           	# (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, const uInt32 highTicks[], const uInt32 lowTicks[], int32 *numSampsPerChanWritten, bool32 *reserved);
		self.WriteCtrTicksScalar = dll.DAQmxWriteCtrTicksScalar     	# (TaskHandle taskHandle, bool32 autoStart, float64 timeout, uInt32 highTicks, uInt32 lowTicks, bool32 *reserved);
		self.WriteRaw = dll.DAQmxWriteRaw                	# (TaskHandle taskHandle, int32 numSamps, bool32 autoStart, float64 timeout, const void *writeArray, int32 *sampsPerChanWritten, bool32 *reserved);
		self.GetWriteAttribute = dll.DAQmxGetWriteAttribute       	# (TaskHandle taskHandle, int32 attribute, void *value, ...);
		self.SetWriteAttribute = dll.DAQmxSetWriteAttribute       	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetWriteAttribute = dll.DAQmxResetWriteAttribute     	# (TaskHandle taskHandle, int32 attribute);
		self.ExportSignal = dll.DAQmxExportSignal                	# (TaskHandle taskHandle, int32 signalID, const char outputTerminal[]);
		self.GetExportedSignalAttribute = dll.DAQmxGetExportedSignalAttribute  	# (TaskHandle taskHandle, int32 attribute, void *value, ...);
		self.SetExportedSignalAttribute = dll.DAQmxSetExportedSignalAttribute  	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetExportedSignalAttribute = dll.DAQmxResetExportedSignalAttribute	# (TaskHandle taskHandle, int32 attribute);
		self.CreateLinScale = dll.DAQmxCreateLinScale             	# (const char name[], float64 slope, float64 yIntercept, int32 preScaledUnits, const char scaledUnits[]);
		self.CreateMapScale = dll.DAQmxCreateMapScale             	# (const char name[], float64 prescaledMin, float64 prescaledMax, float64 scaledMin, float64 scaledMax, int32 preScaledUnits, const char scaledUnits[]);
		self.CreatePolynomialScale = dll.DAQmxCreatePolynomialScale      	# (const char name[], const float64 forwardCoeffs[], uInt32 numForwardCoeffsIn, const float64 reverseCoeffs[], uInt32 numReverseCoeffsIn, int32 preScaledUnits, const char scaledUnits[]);
		self.CreateTableScale = dll.DAQmxCreateTableScale           	# (const char name[], const float64 prescaledVals[], uInt32 numPrescaledValsIn, const float64 scaledVals[], uInt32 numScaledValsIn, int32 preScaledUnits, const char scaledUnits[]);
		self.CalculateReversePolyCoeff = dll.DAQmxCalculateReversePolyCoeff  	# (const float64 forwardCoeffs[], uInt32 numForwardCoeffsIn, float64 minValX, float64 maxValX, int32 numPointsToCompute, int32 reversePolyOrder, float64 reverseCoeffs[]);
		self.GetScaleAttribute = dll.DAQmxGetScaleAttribute          	# (const char scaleName[], int32 attribute, void *value, ...);
		self.SetScaleAttribute = dll.DAQmxSetScaleAttribute          	# (const char scaleName[], int32 attribute, ...);
		self.CfgInputBuffer = dll.DAQmxCfgInputBuffer      	# (TaskHandle taskHandle, uInt32 numSampsPerChan);
		self.CfgOutputBuffer = dll.DAQmxCfgOutputBuffer     	# (TaskHandle taskHandle, uInt32 numSampsPerChan);
		self.GetBufferAttribute = dll.DAQmxGetBufferAttribute  	# (TaskHandle taskHandle, int32 attribute, void *value);
		self.SetBufferAttribute = dll.DAQmxSetBufferAttribute  	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetBufferAttribute = dll.DAQmxResetBufferAttribute	# (TaskHandle taskHandle, int32 attribute);
		self.SwitchCreateScanList = dll.DAQmxSwitchCreateScanList      	# (const char scanList[], TaskHandle *taskHandle);
		self.SwitchConnect = dll.DAQmxSwitchConnect             	# (const char switchChannel1[], const char switchChannel2[], bool32 waitForSettling);
		self.SwitchConnectMulti = dll.DAQmxSwitchConnectMulti        	# (const char connectionList[], bool32 waitForSettling);
		self.SwitchDisconnect = dll.DAQmxSwitchDisconnect          	# (const char switchChannel1[], const char switchChannel2[], bool32 waitForSettling);
		self.SwitchDisconnectMulti = dll.DAQmxSwitchDisconnectMulti     	# (const char connectionList[], bool32 waitForSettling);
		self.SwitchDisconnectAll = dll.DAQmxSwitchDisconnectAll       	# (const char deviceName[], bool32 waitForSettling);
		self.SwitchSetTopologyAndReset = dll.DAQmxSwitchSetTopologyAndReset 	# (const char deviceName[], const char newTopology[]);
		self.SwitchFindPath = dll.DAQmxSwitchFindPath            	# (const char switchChannel1[], const char switchChannel2[], char path[], uInt32 pathBufferSize, int32 *pathStatus);
		self.SwitchOpenRelays = dll.DAQmxSwitchOpenRelays          	# (const char relayList[], bool32 waitForSettling);
		self.SwitchCloseRelays = dll.DAQmxSwitchCloseRelays         	# (const char relayList[], bool32 waitForSettling);
		self.SwitchGetSingleRelayCount = dll.DAQmxSwitchGetSingleRelayCount 	# (const char relayName[], uInt32 *count);
		self.SwitchGetMultiRelayCount = dll.DAQmxSwitchGetMultiRelayCount  	# (const char relayList[], uInt32 count[], uInt32 countArraySize, uInt32 *numRelayCountsRead);
		self.SwitchGetSingleRelayPos = dll.DAQmxSwitchGetSingleRelayPos   	# (const char relayName[], uInt32 *relayPos);
		self.SwitchGetMultiRelayPos = dll.DAQmxSwitchGetMultiRelayPos    	# (const char relayList[], uInt32 relayPos[], uInt32 relayPosArraySize, uInt32 *numRelayPossRead);
		self.SwitchWaitForSettling = dll.DAQmxSwitchWaitForSettling     	# (const char deviceName[]);
		self.GetSwitchChanAttribute = dll.DAQmxGetSwitchChanAttribute    	# (const char switchChannelName[], int32 attribute, void *value);
		self.SetSwitchChanAttribute = dll.DAQmxSetSwitchChanAttribute    	# (const char switchChannelName[], int32 attribute, ...);
		self.GetSwitchDeviceAttribute = dll.DAQmxGetSwitchDeviceAttribute  	# (const char deviceName[], int32 attribute, void *value, ...);
		self.SetSwitchDeviceAttribute = dll.DAQmxSetSwitchDeviceAttribute  	# (const char deviceName[], int32 attribute, ...);
		self.GetSwitchScanAttribute = dll.DAQmxGetSwitchScanAttribute    	# (TaskHandle taskHandle, int32 attribute, void *value);
		self.SetSwitchScanAttribute = dll.DAQmxSetSwitchScanAttribute    	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetSwitchScanAttribute = dll.DAQmxResetSwitchScanAttribute  	# (TaskHandle taskHandle, int32 attribute);
		self.ConnectTerms = dll.DAQmxConnectTerms         	# (const char sourceTerminal[], const char destinationTerminal[], int32 signalModifiers);
		self.DisconnectTerms = dll.DAQmxDisconnectTerms      	# (const char sourceTerminal[], const char destinationTerminal[]);
		self.TristateOutputTerm = dll.DAQmxTristateOutputTerm   	# (const char outputTerminal[]);
		self.ResetDevice = dll.DAQmxResetDevice              	# (const char deviceName[]);
		self.GetDeviceAttribute = dll.DAQmxGetDeviceAttribute       	# (const char deviceName[], int32 attribute, void *value, ...);
		self.CreateWatchdogTimerTask = dll.DAQmxCreateWatchdogTimerTask    	# (const char deviceName[], const char taskName[], TaskHandle *taskHandle, float64 timeout, const char lines[], int32 expState, ...);
		self.ControlWatchdogTask = dll.DAQmxControlWatchdogTask        	# (TaskHandle taskHandle, int32 action);
		self.GetWatchdogAttribute = dll.DAQmxGetWatchdogAttribute        	# (TaskHandle taskHandle, const char lines[], int32 attribute, void *value, ...);
		self.SetWatchdogAttribute = dll.DAQmxSetWatchdogAttribute        	# (TaskHandle taskHandle, const char lines[], int32 attribute, ...);
		self.ResetWatchdogAttribute = dll.DAQmxResetWatchdogAttribute      	# (TaskHandle taskHandle, const char lines[], int32 attribute);
		self.SelfCal = dll.DAQmxSelfCal                    	# (const char deviceName[]);
		self.PerformBridgeOffsetNullingCal = dll.DAQmxPerformBridgeOffsetNullingCal	# (TaskHandle taskHandle, const char channel[]);
		self.GetSelfCalLastDateAndTime = dll.DAQmxGetSelfCalLastDateAndTime  	# (const char deviceName[], uInt32 *year, uInt32 *month, uInt32 *day, uInt32 *hour, uInt32 *minute);
		self.GetExtCalLastDateAndTime = dll.DAQmxGetExtCalLastDateAndTime   	# (const char deviceName[], uInt32 *year, uInt32 *month, uInt32 *day, uInt32 *hour, uInt32 *minute);
		self.RestoreLastExtCalConst = dll.DAQmxRestoreLastExtCalConst     	# (const char deviceName[]);
		self.ESeriesCalAdjust = dll.DAQmxESeriesCalAdjust           	# (uInt32 calHandle, float64 referenceVoltage);
		self.MSeriesCalAdjust = dll.DAQmxMSeriesCalAdjust           	# (uInt32 calHandle, float64 referenceVoltage);
		self.SSeriesCalAdjust = dll.DAQmxSSeriesCalAdjust           	# (uInt32 calHandle, float64 referenceVoltage);
		self.SCBaseboardCalAdjust = dll.DAQmxSCBaseboardCalAdjust       	# (uInt32 calHandle, float64 referenceVoltage);
		self.AOSeriesCalAdjust = dll.DAQmxAOSeriesCalAdjust          	# (uInt32 calHandle, float64 referenceVoltage);
		self.DeviceSupportsCal = dll.DAQmxDeviceSupportsCal          	# (const char deviceName[], bool32 *calSupported);
		self.GetCalInfoAttribute = dll.DAQmxGetCalInfoAttribute        	# (const char deviceName[], int32 attribute, void *value, ...);
		self.SetCalInfoAttribute = dll.DAQmxSetCalInfoAttribute        	# (const char deviceName[], int32 attribute, ...);
		self.InitExtCal = dll.DAQmxInitExtCal                 	# (const char deviceName[], const char password[], uInt32 *calHandle);
		self.CloseExtCal = dll.DAQmxCloseExtCal                	# (uInt32 calHandle, int32 action);
		self.ChangeExtCalPassword = dll.DAQmxChangeExtCalPassword       	# (const char deviceName[], const char password[], const char newPassword[]);
		self.AdjustDSAAICal = dll.DAQmxAdjustDSAAICal             	# (uInt32 calHandle, float64 referenceVoltage);
		self.AdjustDSAAOCal = dll.DAQmxAdjustDSAAOCal             	# (uInt32 calHandle, uInt32 channel, float64 requestedLowVoltage, float64 actualLowVoltage, float64 requestedHighVoltage, float64 actualHighVoltage, float64 gainSetting);
		self.AdjustDSATimebaseCal = dll.DAQmxAdjustDSATimebaseCal       	# (uInt32 calHandle, float64 referenceFrequency);
		self.Adjust4204Cal = dll.DAQmxAdjust4204Cal              	# (uInt32 calHandle, const char channelNames[], float64 lowPassFreq, bool32 trackHoldEnabled, float64 inputVal);
		self.Adjust4220Cal = dll.DAQmxAdjust4220Cal              	# (uInt32 calHandle, const char channelNames[], float64 gain, float64 inputVal);
		self.Adjust4224Cal = dll.DAQmxAdjust4224Cal              	# (uInt32 calHandle, const char channelNames[], float64 gain, float64 inputVal);
		self.Adjust4225Cal = dll.DAQmxAdjust4225Cal              	# (uInt32 calHandle, const char channelNames[], float64 gain, float64 inputVal);
		self.Setup1102Cal = dll.DAQmxSetup1102Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1102Cal = dll.DAQmxAdjust1102Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1104Cal = dll.DAQmxSetup1104Cal               	# (uInt32 calHandle, const char channelName[]);
		self.Adjust1104Cal = dll.DAQmxAdjust1104Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1112Cal = dll.DAQmxSetup1112Cal               	# (uInt32 calHandle, const char channelName[]);
		self.Adjust1112Cal = dll.DAQmxAdjust1112Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1124Cal = dll.DAQmxSetup1124Cal               	# (uInt32 calHandle, const char channelName[], int32 range, uInt32 dacValue);
		self.Adjust1124Cal = dll.DAQmxAdjust1124Cal              	# (uInt32 calHandle, float64 measOutput);
		self.Setup1125Cal = dll.DAQmxSetup1125Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1125Cal = dll.DAQmxAdjust1125Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1126Cal = dll.DAQmxSetup1126Cal               	# (uInt32 calHandle, const char channelName[], float64 upperFreqLimit);
		self.Adjust1126Cal = dll.DAQmxAdjust1126Cal              	# (uInt32 calHandle, float64 refFreq, float64 measOutput);
		self.Setup1141Cal = dll.DAQmxSetup1141Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1141Cal = dll.DAQmxAdjust1141Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1142Cal = dll.DAQmxSetup1142Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1142Cal = dll.DAQmxAdjust1142Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1143Cal = dll.DAQmxSetup1143Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1143Cal = dll.DAQmxAdjust1143Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1502Cal = dll.DAQmxSetup1502Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1502Cal = dll.DAQmxAdjust1502Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1503Cal = dll.DAQmxSetup1503Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1503Cal = dll.DAQmxAdjust1503Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Adjust1503CurrentCal = dll.DAQmxAdjust1503CurrentCal       	# (uInt32 calHandle, const char channelName[], float64 measCurrent);
		self.Setup1520Cal = dll.DAQmxSetup1520Cal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust1520Cal = dll.DAQmxAdjust1520Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup153xCal = dll.DAQmxSetup153xCal               	# (uInt32 calHandle, const char channelName[], float64 gain);
		self.Adjust153xCal = dll.DAQmxAdjust153xCal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput);
		self.Setup1540Cal = dll.DAQmxSetup1540Cal               	# (uInt32 calHandle, const char channelName[], float64 excitationVoltage, float64 excitationFreq);
		self.Adjust1540Cal = dll.DAQmxAdjust1540Cal              	# (uInt32 calHandle, float64 refVoltage, float64 measOutput, int32 inputCalSource);
		self.ConfigureTEDS = dll.DAQmxConfigureTEDS              	# (const char physicalChannel[], const char filePath[]);
		self.ClearTEDS = dll.DAQmxClearTEDS                  	# (const char physicalChannel[]);
		self.WriteToTEDSFromArray = dll.DAQmxWriteToTEDSFromArray       	# (const char physicalChannel[], const uInt8 bitStream[], uInt32 arraySize, int32 basicTEDSOptions);
		self.WriteToTEDSFromFile = dll.DAQmxWriteToTEDSFromFile        	# (const char physicalChannel[], const char filePath[], int32 basicTEDSOptions);
		self.GetPhysicalChanAttribute = dll.DAQmxGetPhysicalChanAttribute   	# (const char physicalChannel[], int32 attribute, void *value, ...);
		self.WaitForNextSampleClock = dll.DAQmxWaitForNextSampleClock	# (TaskHandle taskHandle, float64 timeout, bool32 *isLate);
		self.GetRealTimeAttribute = dll.DAQmxGetRealTimeAttribute  	# (TaskHandle taskHandle, int32 attribute, void *value, ...);
		self.SetRealTimeAttribute = dll.DAQmxSetRealTimeAttribute  	# (TaskHandle taskHandle, int32 attribute, ...);
		self.ResetRealTimeAttribute = dll.DAQmxResetRealTimeAttribute	# (TaskHandle taskHandle, int32 attribute);
		self.SaveTask = dll.DAQmxSaveTask                    	# (TaskHandle taskHandle, const char saveAs[], const char author[], uInt32 options);
		self.SaveGlobalChan = dll.DAQmxSaveGlobalChan              	# (TaskHandle taskHandle, const char channelName[], const char saveAs[], const char author[], uInt32 options);
		self.SaveScale = dll.DAQmxSaveScale                   	# (const char scaleName[], const char saveAs[], const char author[], uInt32 options);
		self.DeleteSavedTask = dll.DAQmxDeleteSavedTask             	# (const char taskName[]);
		self.DeleteSavedGlobalChan = dll.DAQmxDeleteSavedGlobalChan       	# (const char channelName[]);
		self.DeleteSavedScale = dll.DAQmxDeleteSavedScale            	# (const char scaleName[]);
		self.GetPersistedTaskAttribute = dll.DAQmxGetPersistedTaskAttribute   	# (const char taskName[], int32 attribute, void *value, ...);
		self.GetPersistedChanAttribute = dll.DAQmxGetPersistedChanAttribute   	# (const char channel[], int32 attribute, void *value, ...);
		self.GetPersistedScaleAttribute = dll.DAQmxGetPersistedScaleAttribute  	# (const char scaleName[], int32 attribute, void *value, ...);
		self.GetSystemInfoAttribute = dll.DAQmxGetSystemInfoAttribute 	# (int32 attribute, void *value, ...);
		self.SetDigitalPowerUpStates = dll.DAQmxSetDigitalPowerUpStates	# (const char deviceName[], const char channelNames[], int32 state, ...);
		self.SetAnalogPowerUpStates = dll.DAQmxSetAnalogPowerUpStates	# (const char deviceName[], const char channelNames[], float64 state, int32 channelType, ...);
		self.SetDigitalLogicFamilyPowerUpState = dll.DAQmxSetDigitalLogicFamilyPowerUpState	# (const char deviceName[], int32 logicFamily);
		self.GetErrorString = dll.DAQmxGetErrorString       	# (int32 errorCode, char errorString[], uInt32 bufferSize);
		self.GetExtendedErrorInfo = dll.DAQmxGetExtendedErrorInfo 	# (char errorString[], uInt32 bufferSize);
		self.GetBufInputBufSize = dll.DAQmxGetBufInputBufSize	# (TaskHandle taskHandle, uInt32 *data);
		self.SetBufInputBufSize = dll.DAQmxSetBufInputBufSize	# (TaskHandle taskHandle, uInt32 data);
		self.ResetBufInputBufSize = dll.DAQmxResetBufInputBufSize	# (TaskHandle taskHandle);
		self.GetBufInputOnbrdBufSize = dll.DAQmxGetBufInputOnbrdBufSize	# (TaskHandle taskHandle, uInt32 *data);
		self.GetBufOutputBufSize = dll.DAQmxGetBufOutputBufSize	# (TaskHandle taskHandle, uInt32 *data);
		self.SetBufOutputBufSize = dll.DAQmxSetBufOutputBufSize	# (TaskHandle taskHandle, uInt32 data);
		self.ResetBufOutputBufSize = dll.DAQmxResetBufOutputBufSize	# (TaskHandle taskHandle);
		self.GetBufOutputOnbrdBufSize = dll.DAQmxGetBufOutputOnbrdBufSize	# (TaskHandle taskHandle, uInt32 *data);
		self.SetBufOutputOnbrdBufSize = dll.DAQmxSetBufOutputOnbrdBufSize	# (TaskHandle taskHandle, uInt32 data);
		self.ResetBufOutputOnbrdBufSize = dll.DAQmxResetBufOutputOnbrdBufSize	# (TaskHandle taskHandle);
		self.GetSelfCalSupported = dll.DAQmxGetSelfCalSupported	# (const char deviceName[], bool32 *data);
		self.GetSelfCalLastTemp = dll.DAQmxGetSelfCalLastTemp	# (const char deviceName[], float64 *data);
		self.GetExtCalRecommendedInterval = dll.DAQmxGetExtCalRecommendedInterval	# (const char deviceName[], uInt32 *data);
		self.GetExtCalLastTemp = dll.DAQmxGetExtCalLastTemp	# (const char deviceName[], float64 *data);
		self.GetCalUserDefinedInfo = dll.DAQmxGetCalUserDefinedInfo	# (const char deviceName[], char *data, uInt32 bufferSize);
		self.SetCalUserDefinedInfo = dll.DAQmxSetCalUserDefinedInfo	# (const char deviceName[], const char *data);
		self.GetCalUserDefinedInfoMaxSize = dll.DAQmxGetCalUserDefinedInfoMaxSize	# (const char deviceName[], uInt32 *data);
		self.GetCalDevTemp = dll.DAQmxGetCalDevTemp	# (const char deviceName[], float64 *data);
		self.GetAIMax = dll.DAQmxGetAIMax	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIMax = dll.DAQmxSetAIMax	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIMax = dll.DAQmxResetAIMax	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIMin = dll.DAQmxGetAIMin	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIMin = dll.DAQmxSetAIMin	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIMin = dll.DAQmxResetAIMin	# (TaskHandle taskHandle, const char channel[]);
		self.GetAICustomScaleName = dll.DAQmxGetAICustomScaleName	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetAICustomScaleName = dll.DAQmxSetAICustomScaleName	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetAICustomScaleName = dll.DAQmxResetAICustomScaleName	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIMeasType = dll.DAQmxGetAIMeasType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetAIVoltageUnits = dll.DAQmxGetAIVoltageUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIVoltageUnits = dll.DAQmxSetAIVoltageUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIVoltageUnits = dll.DAQmxResetAIVoltageUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIVoltagedBRef = dll.DAQmxGetAIVoltagedBRef	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIVoltagedBRef = dll.DAQmxSetAIVoltagedBRef	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIVoltagedBRef = dll.DAQmxResetAIVoltagedBRef	# (TaskHandle taskHandle, const char channel[]);
		self.GetAITempUnits = dll.DAQmxGetAITempUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAITempUnits = dll.DAQmxSetAITempUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAITempUnits = dll.DAQmxResetAITempUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmcplType = dll.DAQmxGetAIThrmcplType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIThrmcplType = dll.DAQmxSetAIThrmcplType	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIThrmcplType = dll.DAQmxResetAIThrmcplType	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmcplScaleType = dll.DAQmxGetAIThrmcplScaleType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIThrmcplScaleType = dll.DAQmxSetAIThrmcplScaleType	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIThrmcplScaleType = dll.DAQmxResetAIThrmcplScaleType	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmcplCJCSrc = dll.DAQmxGetAIThrmcplCJCSrc	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetAIThrmcplCJCVal = dll.DAQmxGetAIThrmcplCJCVal	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIThrmcplCJCVal = dll.DAQmxSetAIThrmcplCJCVal	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIThrmcplCJCVal = dll.DAQmxResetAIThrmcplCJCVal	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmcplCJCChan = dll.DAQmxGetAIThrmcplCJCChan	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.GetAIRTDType = dll.DAQmxGetAIRTDType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIRTDType = dll.DAQmxSetAIRTDType	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIRTDType = dll.DAQmxResetAIRTDType	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRTDR0 = dll.DAQmxGetAIRTDR0	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIRTDR0 = dll.DAQmxSetAIRTDR0	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIRTDR0 = dll.DAQmxResetAIRTDR0	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRTDA = dll.DAQmxGetAIRTDA	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIRTDA = dll.DAQmxSetAIRTDA	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIRTDA = dll.DAQmxResetAIRTDA	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRTDB = dll.DAQmxGetAIRTDB	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIRTDB = dll.DAQmxSetAIRTDB	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIRTDB = dll.DAQmxResetAIRTDB	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRTDC = dll.DAQmxGetAIRTDC	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIRTDC = dll.DAQmxSetAIRTDC	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIRTDC = dll.DAQmxResetAIRTDC	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmstrA = dll.DAQmxGetAIThrmstrA	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIThrmstrA = dll.DAQmxSetAIThrmstrA	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIThrmstrA = dll.DAQmxResetAIThrmstrA	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmstrB = dll.DAQmxGetAIThrmstrB	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIThrmstrB = dll.DAQmxSetAIThrmstrB	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIThrmstrB = dll.DAQmxResetAIThrmstrB	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmstrC = dll.DAQmxGetAIThrmstrC	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIThrmstrC = dll.DAQmxSetAIThrmstrC	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIThrmstrC = dll.DAQmxResetAIThrmstrC	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIThrmstrR1 = dll.DAQmxGetAIThrmstrR1	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIThrmstrR1 = dll.DAQmxSetAIThrmstrR1	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIThrmstrR1 = dll.DAQmxResetAIThrmstrR1	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIForceReadFromChan = dll.DAQmxGetAIForceReadFromChan	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIForceReadFromChan = dll.DAQmxSetAIForceReadFromChan	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIForceReadFromChan = dll.DAQmxResetAIForceReadFromChan	# (TaskHandle taskHandle, const char channel[]);
		self.GetAICurrentUnits = dll.DAQmxGetAICurrentUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAICurrentUnits = dll.DAQmxSetAICurrentUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAICurrentUnits = dll.DAQmxResetAICurrentUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIStrainUnits = dll.DAQmxGetAIStrainUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIStrainUnits = dll.DAQmxSetAIStrainUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIStrainUnits = dll.DAQmxResetAIStrainUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIStrainGageGageFactor = dll.DAQmxGetAIStrainGageGageFactor	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIStrainGageGageFactor = dll.DAQmxSetAIStrainGageGageFactor	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIStrainGageGageFactor = dll.DAQmxResetAIStrainGageGageFactor	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIStrainGagePoissonRatio = dll.DAQmxGetAIStrainGagePoissonRatio	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIStrainGagePoissonRatio = dll.DAQmxSetAIStrainGagePoissonRatio	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIStrainGagePoissonRatio = dll.DAQmxResetAIStrainGagePoissonRatio	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIStrainGageCfg = dll.DAQmxGetAIStrainGageCfg	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIStrainGageCfg = dll.DAQmxSetAIStrainGageCfg	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIStrainGageCfg = dll.DAQmxResetAIStrainGageCfg	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIResistanceUnits = dll.DAQmxGetAIResistanceUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIResistanceUnits = dll.DAQmxSetAIResistanceUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIResistanceUnits = dll.DAQmxResetAIResistanceUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIFreqUnits = dll.DAQmxGetAIFreqUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIFreqUnits = dll.DAQmxSetAIFreqUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIFreqUnits = dll.DAQmxResetAIFreqUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIFreqThreshVoltage = dll.DAQmxGetAIFreqThreshVoltage	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIFreqThreshVoltage = dll.DAQmxSetAIFreqThreshVoltage	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIFreqThreshVoltage = dll.DAQmxResetAIFreqThreshVoltage	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIFreqHyst = dll.DAQmxGetAIFreqHyst	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIFreqHyst = dll.DAQmxSetAIFreqHyst	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIFreqHyst = dll.DAQmxResetAIFreqHyst	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILVDTUnits = dll.DAQmxGetAILVDTUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAILVDTUnits = dll.DAQmxSetAILVDTUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAILVDTUnits = dll.DAQmxResetAILVDTUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILVDTSensitivity = dll.DAQmxGetAILVDTSensitivity	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAILVDTSensitivity = dll.DAQmxSetAILVDTSensitivity	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAILVDTSensitivity = dll.DAQmxResetAILVDTSensitivity	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILVDTSensitivityUnits = dll.DAQmxGetAILVDTSensitivityUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAILVDTSensitivityUnits = dll.DAQmxSetAILVDTSensitivityUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAILVDTSensitivityUnits = dll.DAQmxResetAILVDTSensitivityUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRVDTUnits = dll.DAQmxGetAIRVDTUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIRVDTUnits = dll.DAQmxSetAIRVDTUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIRVDTUnits = dll.DAQmxResetAIRVDTUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRVDTSensitivity = dll.DAQmxGetAIRVDTSensitivity	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIRVDTSensitivity = dll.DAQmxSetAIRVDTSensitivity	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIRVDTSensitivity = dll.DAQmxResetAIRVDTSensitivity	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRVDTSensitivityUnits = dll.DAQmxGetAIRVDTSensitivityUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIRVDTSensitivityUnits = dll.DAQmxSetAIRVDTSensitivityUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIRVDTSensitivityUnits = dll.DAQmxResetAIRVDTSensitivityUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAISoundPressureMaxSoundPressureLvl = dll.DAQmxGetAISoundPressureMaxSoundPressureLvl	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAISoundPressureMaxSoundPressureLvl = dll.DAQmxSetAISoundPressureMaxSoundPressureLvl	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAISoundPressureMaxSoundPressureLvl = dll.DAQmxResetAISoundPressureMaxSoundPressureLvl	# (TaskHandle taskHandle, const char channel[]);
		self.GetAISoundPressureUnits = dll.DAQmxGetAISoundPressureUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAISoundPressureUnits = dll.DAQmxSetAISoundPressureUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAISoundPressureUnits = dll.DAQmxResetAISoundPressureUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAISoundPressuredBRef = dll.DAQmxGetAISoundPressuredBRef	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAISoundPressuredBRef = dll.DAQmxSetAISoundPressuredBRef	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAISoundPressuredBRef = dll.DAQmxResetAISoundPressuredBRef	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIMicrophoneSensitivity = dll.DAQmxGetAIMicrophoneSensitivity	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIMicrophoneSensitivity = dll.DAQmxSetAIMicrophoneSensitivity	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIMicrophoneSensitivity = dll.DAQmxResetAIMicrophoneSensitivity	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIAccelUnits = dll.DAQmxGetAIAccelUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIAccelUnits = dll.DAQmxSetAIAccelUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIAccelUnits = dll.DAQmxResetAIAccelUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIAcceldBRef = dll.DAQmxGetAIAcceldBRef	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIAcceldBRef = dll.DAQmxSetAIAcceldBRef	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIAcceldBRef = dll.DAQmxResetAIAcceldBRef	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIAccelSensitivity = dll.DAQmxGetAIAccelSensitivity	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIAccelSensitivity = dll.DAQmxSetAIAccelSensitivity	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIAccelSensitivity = dll.DAQmxResetAIAccelSensitivity	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIAccelSensitivityUnits = dll.DAQmxGetAIAccelSensitivityUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIAccelSensitivityUnits = dll.DAQmxSetAIAccelSensitivityUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIAccelSensitivityUnits = dll.DAQmxResetAIAccelSensitivityUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIIsTEDS = dll.DAQmxGetAIIsTEDS	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.GetAITEDSUnits = dll.DAQmxGetAITEDSUnits	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.GetAICoupling = dll.DAQmxGetAICoupling	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAICoupling = dll.DAQmxSetAICoupling	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAICoupling = dll.DAQmxResetAICoupling	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIImpedance = dll.DAQmxGetAIImpedance	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIImpedance = dll.DAQmxSetAIImpedance	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIImpedance = dll.DAQmxResetAIImpedance	# (TaskHandle taskHandle, const char channel[]);
		self.GetAITermCfg = dll.DAQmxGetAITermCfg	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAITermCfg = dll.DAQmxSetAITermCfg	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAITermCfg = dll.DAQmxResetAITermCfg	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIInputSrc = dll.DAQmxGetAIInputSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetAIInputSrc = dll.DAQmxSetAIInputSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetAIInputSrc = dll.DAQmxResetAIInputSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIResistanceCfg = dll.DAQmxGetAIResistanceCfg	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIResistanceCfg = dll.DAQmxSetAIResistanceCfg	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIResistanceCfg = dll.DAQmxResetAIResistanceCfg	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILeadWireResistance = dll.DAQmxGetAILeadWireResistance	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAILeadWireResistance = dll.DAQmxSetAILeadWireResistance	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAILeadWireResistance = dll.DAQmxResetAILeadWireResistance	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeCfg = dll.DAQmxGetAIBridgeCfg	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIBridgeCfg = dll.DAQmxSetAIBridgeCfg	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIBridgeCfg = dll.DAQmxResetAIBridgeCfg	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeNomResistance = dll.DAQmxGetAIBridgeNomResistance	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIBridgeNomResistance = dll.DAQmxSetAIBridgeNomResistance	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIBridgeNomResistance = dll.DAQmxResetAIBridgeNomResistance	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeInitialVoltage = dll.DAQmxGetAIBridgeInitialVoltage	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIBridgeInitialVoltage = dll.DAQmxSetAIBridgeInitialVoltage	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIBridgeInitialVoltage = dll.DAQmxResetAIBridgeInitialVoltage	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeShuntCalEnable = dll.DAQmxGetAIBridgeShuntCalEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIBridgeShuntCalEnable = dll.DAQmxSetAIBridgeShuntCalEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIBridgeShuntCalEnable = dll.DAQmxResetAIBridgeShuntCalEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeShuntCalSelect = dll.DAQmxGetAIBridgeShuntCalSelect	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIBridgeShuntCalSelect = dll.DAQmxSetAIBridgeShuntCalSelect	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIBridgeShuntCalSelect = dll.DAQmxResetAIBridgeShuntCalSelect	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeShuntCalGainAdjust = dll.DAQmxGetAIBridgeShuntCalGainAdjust	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIBridgeShuntCalGainAdjust = dll.DAQmxSetAIBridgeShuntCalGainAdjust	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIBridgeShuntCalGainAdjust = dll.DAQmxResetAIBridgeShuntCalGainAdjust	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeBalanceCoarsePot = dll.DAQmxGetAIBridgeBalanceCoarsePot	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIBridgeBalanceCoarsePot = dll.DAQmxSetAIBridgeBalanceCoarsePot	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIBridgeBalanceCoarsePot = dll.DAQmxResetAIBridgeBalanceCoarsePot	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIBridgeBalanceFinePot = dll.DAQmxGetAIBridgeBalanceFinePot	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIBridgeBalanceFinePot = dll.DAQmxSetAIBridgeBalanceFinePot	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIBridgeBalanceFinePot = dll.DAQmxResetAIBridgeBalanceFinePot	# (TaskHandle taskHandle, const char channel[]);
		self.GetAICurrentShuntLoc = dll.DAQmxGetAICurrentShuntLoc	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAICurrentShuntLoc = dll.DAQmxSetAICurrentShuntLoc	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAICurrentShuntLoc = dll.DAQmxResetAICurrentShuntLoc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAICurrentShuntResistance = dll.DAQmxGetAICurrentShuntResistance	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAICurrentShuntResistance = dll.DAQmxSetAICurrentShuntResistance	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAICurrentShuntResistance = dll.DAQmxResetAICurrentShuntResistance	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIExcitSrc = dll.DAQmxGetAIExcitSrc	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIExcitSrc = dll.DAQmxSetAIExcitSrc	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIExcitSrc = dll.DAQmxResetAIExcitSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIExcitVal = dll.DAQmxGetAIExcitVal	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIExcitVal = dll.DAQmxSetAIExcitVal	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIExcitVal = dll.DAQmxResetAIExcitVal	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIExcitUseForScaling = dll.DAQmxGetAIExcitUseForScaling	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIExcitUseForScaling = dll.DAQmxSetAIExcitUseForScaling	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIExcitUseForScaling = dll.DAQmxResetAIExcitUseForScaling	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIExcitUseMultiplexed = dll.DAQmxGetAIExcitUseMultiplexed	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIExcitUseMultiplexed = dll.DAQmxSetAIExcitUseMultiplexed	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIExcitUseMultiplexed = dll.DAQmxResetAIExcitUseMultiplexed	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIExcitActualVal = dll.DAQmxGetAIExcitActualVal	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIExcitActualVal = dll.DAQmxSetAIExcitActualVal	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIExcitActualVal = dll.DAQmxResetAIExcitActualVal	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIExcitDCorAC = dll.DAQmxGetAIExcitDCorAC	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIExcitDCorAC = dll.DAQmxSetAIExcitDCorAC	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIExcitDCorAC = dll.DAQmxResetAIExcitDCorAC	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIExcitVoltageOrCurrent = dll.DAQmxGetAIExcitVoltageOrCurrent	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIExcitVoltageOrCurrent = dll.DAQmxSetAIExcitVoltageOrCurrent	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIExcitVoltageOrCurrent = dll.DAQmxResetAIExcitVoltageOrCurrent	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIACExcitFreq = dll.DAQmxGetAIACExcitFreq	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIACExcitFreq = dll.DAQmxSetAIACExcitFreq	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIACExcitFreq = dll.DAQmxResetAIACExcitFreq	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIACExcitSyncEnable = dll.DAQmxGetAIACExcitSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIACExcitSyncEnable = dll.DAQmxSetAIACExcitSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIACExcitSyncEnable = dll.DAQmxResetAIACExcitSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIACExcitWireMode = dll.DAQmxGetAIACExcitWireMode	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIACExcitWireMode = dll.DAQmxSetAIACExcitWireMode	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIACExcitWireMode = dll.DAQmxResetAIACExcitWireMode	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIAtten = dll.DAQmxGetAIAtten	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIAtten = dll.DAQmxSetAIAtten	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIAtten = dll.DAQmxResetAIAtten	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILowpassEnable = dll.DAQmxGetAILowpassEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAILowpassEnable = dll.DAQmxSetAILowpassEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAILowpassEnable = dll.DAQmxResetAILowpassEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILowpassCutoffFreq = dll.DAQmxGetAILowpassCutoffFreq	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAILowpassCutoffFreq = dll.DAQmxSetAILowpassCutoffFreq	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAILowpassCutoffFreq = dll.DAQmxResetAILowpassCutoffFreq	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILowpassSwitchCapClkSrc = dll.DAQmxGetAILowpassSwitchCapClkSrc	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAILowpassSwitchCapClkSrc = dll.DAQmxSetAILowpassSwitchCapClkSrc	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAILowpassSwitchCapClkSrc = dll.DAQmxResetAILowpassSwitchCapClkSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILowpassSwitchCapExtClkFreq = dll.DAQmxGetAILowpassSwitchCapExtClkFreq	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAILowpassSwitchCapExtClkFreq = dll.DAQmxSetAILowpassSwitchCapExtClkFreq	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAILowpassSwitchCapExtClkFreq = dll.DAQmxResetAILowpassSwitchCapExtClkFreq	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILowpassSwitchCapExtClkDiv = dll.DAQmxGetAILowpassSwitchCapExtClkDiv	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetAILowpassSwitchCapExtClkDiv = dll.DAQmxSetAILowpassSwitchCapExtClkDiv	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetAILowpassSwitchCapExtClkDiv = dll.DAQmxResetAILowpassSwitchCapExtClkDiv	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILowpassSwitchCapOutClkDiv = dll.DAQmxGetAILowpassSwitchCapOutClkDiv	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetAILowpassSwitchCapOutClkDiv = dll.DAQmxSetAILowpassSwitchCapOutClkDiv	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetAILowpassSwitchCapOutClkDiv = dll.DAQmxResetAILowpassSwitchCapOutClkDiv	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIResolutionUnits = dll.DAQmxGetAIResolutionUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetAIResolution = dll.DAQmxGetAIResolution	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.GetAIRawSampSize = dll.DAQmxGetAIRawSampSize	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.GetAIRawSampJustification = dll.DAQmxGetAIRawSampJustification	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetAIADCTimingMode = dll.DAQmxGetAIADCTimingMode	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIADCTimingMode = dll.DAQmxSetAIADCTimingMode	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIADCTimingMode = dll.DAQmxResetAIADCTimingMode	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIDitherEnable = dll.DAQmxGetAIDitherEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIDitherEnable = dll.DAQmxSetAIDitherEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIDitherEnable = dll.DAQmxResetAIDitherEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalHasValidCalInfo = dll.DAQmxGetAIChanCalHasValidCalInfo	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.GetAIChanCalEnableCal = dll.DAQmxGetAIChanCalEnableCal	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIChanCalEnableCal = dll.DAQmxSetAIChanCalEnableCal	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIChanCalEnableCal = dll.DAQmxResetAIChanCalEnableCal	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalApplyCalIfExp = dll.DAQmxGetAIChanCalApplyCalIfExp	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIChanCalApplyCalIfExp = dll.DAQmxSetAIChanCalApplyCalIfExp	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIChanCalApplyCalIfExp = dll.DAQmxResetAIChanCalApplyCalIfExp	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalScaleType = dll.DAQmxGetAIChanCalScaleType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIChanCalScaleType = dll.DAQmxSetAIChanCalScaleType	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIChanCalScaleType = dll.DAQmxResetAIChanCalScaleType	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalTablePreScaledVals = dll.DAQmxGetAIChanCalTablePreScaledVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.SetAIChanCalTablePreScaledVals = dll.DAQmxSetAIChanCalTablePreScaledVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.ResetAIChanCalTablePreScaledVals = dll.DAQmxResetAIChanCalTablePreScaledVals	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalTableScaledVals = dll.DAQmxGetAIChanCalTableScaledVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.SetAIChanCalTableScaledVals = dll.DAQmxSetAIChanCalTableScaledVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.ResetAIChanCalTableScaledVals = dll.DAQmxResetAIChanCalTableScaledVals	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalPolyForwardCoeff = dll.DAQmxGetAIChanCalPolyForwardCoeff	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.SetAIChanCalPolyForwardCoeff = dll.DAQmxSetAIChanCalPolyForwardCoeff	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.ResetAIChanCalPolyForwardCoeff = dll.DAQmxResetAIChanCalPolyForwardCoeff	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalPolyReverseCoeff = dll.DAQmxGetAIChanCalPolyReverseCoeff	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.SetAIChanCalPolyReverseCoeff = dll.DAQmxSetAIChanCalPolyReverseCoeff	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.ResetAIChanCalPolyReverseCoeff = dll.DAQmxResetAIChanCalPolyReverseCoeff	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalOperatorName = dll.DAQmxGetAIChanCalOperatorName	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetAIChanCalOperatorName = dll.DAQmxSetAIChanCalOperatorName	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetAIChanCalOperatorName = dll.DAQmxResetAIChanCalOperatorName	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalDesc = dll.DAQmxGetAIChanCalDesc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetAIChanCalDesc = dll.DAQmxSetAIChanCalDesc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetAIChanCalDesc = dll.DAQmxResetAIChanCalDesc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalVerifRefVals = dll.DAQmxGetAIChanCalVerifRefVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.SetAIChanCalVerifRefVals = dll.DAQmxSetAIChanCalVerifRefVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.ResetAIChanCalVerifRefVals = dll.DAQmxResetAIChanCalVerifRefVals	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIChanCalVerifAcqVals = dll.DAQmxGetAIChanCalVerifAcqVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.SetAIChanCalVerifAcqVals = dll.DAQmxSetAIChanCalVerifAcqVals	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.ResetAIChanCalVerifAcqVals = dll.DAQmxResetAIChanCalVerifAcqVals	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRngHigh = dll.DAQmxGetAIRngHigh	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIRngHigh = dll.DAQmxSetAIRngHigh	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIRngHigh = dll.DAQmxResetAIRngHigh	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRngLow = dll.DAQmxGetAIRngLow	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIRngLow = dll.DAQmxSetAIRngLow	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIRngLow = dll.DAQmxResetAIRngLow	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIGain = dll.DAQmxGetAIGain	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAIGain = dll.DAQmxSetAIGain	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAIGain = dll.DAQmxResetAIGain	# (TaskHandle taskHandle, const char channel[]);
		self.GetAISampAndHoldEnable = dll.DAQmxGetAISampAndHoldEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAISampAndHoldEnable = dll.DAQmxSetAISampAndHoldEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAISampAndHoldEnable = dll.DAQmxResetAISampAndHoldEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIAutoZeroMode = dll.DAQmxGetAIAutoZeroMode	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIAutoZeroMode = dll.DAQmxSetAIAutoZeroMode	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIAutoZeroMode = dll.DAQmxResetAIAutoZeroMode	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIDataXferMech = dll.DAQmxGetAIDataXferMech	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIDataXferMech = dll.DAQmxSetAIDataXferMech	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIDataXferMech = dll.DAQmxResetAIDataXferMech	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIDataXferReqCond = dll.DAQmxGetAIDataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIDataXferReqCond = dll.DAQmxSetAIDataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIDataXferReqCond = dll.DAQmxResetAIDataXferReqCond	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIDataXferCustomThreshold = dll.DAQmxGetAIDataXferCustomThreshold	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetAIDataXferCustomThreshold = dll.DAQmxSetAIDataXferCustomThreshold	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetAIDataXferCustomThreshold = dll.DAQmxResetAIDataXferCustomThreshold	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIMemMapEnable = dll.DAQmxGetAIMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIMemMapEnable = dll.DAQmxSetAIMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIMemMapEnable = dll.DAQmxResetAIMemMapEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIRawDataCompressionType = dll.DAQmxGetAIRawDataCompressionType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAIRawDataCompressionType = dll.DAQmxSetAIRawDataCompressionType	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAIRawDataCompressionType = dll.DAQmxResetAIRawDataCompressionType	# (TaskHandle taskHandle, const char channel[]);
		self.GetAILossyLSBRemovalCompressedSampSize = dll.DAQmxGetAILossyLSBRemovalCompressedSampSize	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetAILossyLSBRemovalCompressedSampSize = dll.DAQmxSetAILossyLSBRemovalCompressedSampSize	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetAILossyLSBRemovalCompressedSampSize = dll.DAQmxResetAILossyLSBRemovalCompressedSampSize	# (TaskHandle taskHandle, const char channel[]);
		self.GetAIDevScalingCoeff = dll.DAQmxGetAIDevScalingCoeff	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.GetAIEnhancedAliasRejectionEnable = dll.DAQmxGetAIEnhancedAliasRejectionEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAIEnhancedAliasRejectionEnable = dll.DAQmxSetAIEnhancedAliasRejectionEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAIEnhancedAliasRejectionEnable = dll.DAQmxResetAIEnhancedAliasRejectionEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOMax = dll.DAQmxGetAOMax	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAOMax = dll.DAQmxSetAOMax	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAOMax = dll.DAQmxResetAOMax	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOMin = dll.DAQmxGetAOMin	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAOMin = dll.DAQmxSetAOMin	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAOMin = dll.DAQmxResetAOMin	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOCustomScaleName = dll.DAQmxGetAOCustomScaleName	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetAOCustomScaleName = dll.DAQmxSetAOCustomScaleName	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetAOCustomScaleName = dll.DAQmxResetAOCustomScaleName	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOOutputType = dll.DAQmxGetAOOutputType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetAOVoltageUnits = dll.DAQmxGetAOVoltageUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAOVoltageUnits = dll.DAQmxSetAOVoltageUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAOVoltageUnits = dll.DAQmxResetAOVoltageUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOCurrentUnits = dll.DAQmxGetAOCurrentUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAOCurrentUnits = dll.DAQmxSetAOCurrentUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAOCurrentUnits = dll.DAQmxResetAOCurrentUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOOutputImpedance = dll.DAQmxGetAOOutputImpedance	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAOOutputImpedance = dll.DAQmxSetAOOutputImpedance	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAOOutputImpedance = dll.DAQmxResetAOOutputImpedance	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOLoadImpedance = dll.DAQmxGetAOLoadImpedance	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAOLoadImpedance = dll.DAQmxSetAOLoadImpedance	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAOLoadImpedance = dll.DAQmxResetAOLoadImpedance	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOIdleOutputBehavior = dll.DAQmxGetAOIdleOutputBehavior	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAOIdleOutputBehavior = dll.DAQmxSetAOIdleOutputBehavior	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAOIdleOutputBehavior = dll.DAQmxResetAOIdleOutputBehavior	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOTermCfg = dll.DAQmxGetAOTermCfg	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAOTermCfg = dll.DAQmxSetAOTermCfg	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAOTermCfg = dll.DAQmxResetAOTermCfg	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOResolutionUnits = dll.DAQmxGetAOResolutionUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAOResolutionUnits = dll.DAQmxSetAOResolutionUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAOResolutionUnits = dll.DAQmxResetAOResolutionUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOResolution = dll.DAQmxGetAOResolution	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.GetAODACRngHigh = dll.DAQmxGetAODACRngHigh	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAODACRngHigh = dll.DAQmxSetAODACRngHigh	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAODACRngHigh = dll.DAQmxResetAODACRngHigh	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACRngLow = dll.DAQmxGetAODACRngLow	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAODACRngLow = dll.DAQmxSetAODACRngLow	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAODACRngLow = dll.DAQmxResetAODACRngLow	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACRefConnToGnd = dll.DAQmxGetAODACRefConnToGnd	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAODACRefConnToGnd = dll.DAQmxSetAODACRefConnToGnd	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAODACRefConnToGnd = dll.DAQmxResetAODACRefConnToGnd	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACRefAllowConnToGnd = dll.DAQmxGetAODACRefAllowConnToGnd	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAODACRefAllowConnToGnd = dll.DAQmxSetAODACRefAllowConnToGnd	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAODACRefAllowConnToGnd = dll.DAQmxResetAODACRefAllowConnToGnd	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACRefSrc = dll.DAQmxGetAODACRefSrc	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAODACRefSrc = dll.DAQmxSetAODACRefSrc	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAODACRefSrc = dll.DAQmxResetAODACRefSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACRefExtSrc = dll.DAQmxGetAODACRefExtSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetAODACRefExtSrc = dll.DAQmxSetAODACRefExtSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetAODACRefExtSrc = dll.DAQmxResetAODACRefExtSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACRefVal = dll.DAQmxGetAODACRefVal	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAODACRefVal = dll.DAQmxSetAODACRefVal	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAODACRefVal = dll.DAQmxResetAODACRefVal	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACOffsetSrc = dll.DAQmxGetAODACOffsetSrc	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAODACOffsetSrc = dll.DAQmxSetAODACOffsetSrc	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAODACOffsetSrc = dll.DAQmxResetAODACOffsetSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACOffsetExtSrc = dll.DAQmxGetAODACOffsetExtSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetAODACOffsetExtSrc = dll.DAQmxSetAODACOffsetExtSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetAODACOffsetExtSrc = dll.DAQmxResetAODACOffsetExtSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODACOffsetVal = dll.DAQmxGetAODACOffsetVal	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAODACOffsetVal = dll.DAQmxSetAODACOffsetVal	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAODACOffsetVal = dll.DAQmxResetAODACOffsetVal	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOReglitchEnable = dll.DAQmxGetAOReglitchEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAOReglitchEnable = dll.DAQmxSetAOReglitchEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAOReglitchEnable = dll.DAQmxResetAOReglitchEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOGain = dll.DAQmxGetAOGain	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetAOGain = dll.DAQmxSetAOGain	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetAOGain = dll.DAQmxResetAOGain	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOUseOnlyOnBrdMem = dll.DAQmxGetAOUseOnlyOnBrdMem	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAOUseOnlyOnBrdMem = dll.DAQmxSetAOUseOnlyOnBrdMem	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAOUseOnlyOnBrdMem = dll.DAQmxResetAOUseOnlyOnBrdMem	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODataXferMech = dll.DAQmxGetAODataXferMech	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAODataXferMech = dll.DAQmxSetAODataXferMech	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAODataXferMech = dll.DAQmxResetAODataXferMech	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODataXferReqCond = dll.DAQmxGetAODataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetAODataXferReqCond = dll.DAQmxSetAODataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetAODataXferReqCond = dll.DAQmxResetAODataXferReqCond	# (TaskHandle taskHandle, const char channel[]);
		self.GetAOMemMapEnable = dll.DAQmxGetAOMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAOMemMapEnable = dll.DAQmxSetAOMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAOMemMapEnable = dll.DAQmxResetAOMemMapEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetAODevScalingCoeff = dll.DAQmxGetAODevScalingCoeff	# (TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
		self.GetAOEnhancedImageRejectionEnable = dll.DAQmxGetAOEnhancedImageRejectionEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetAOEnhancedImageRejectionEnable = dll.DAQmxSetAOEnhancedImageRejectionEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetAOEnhancedImageRejectionEnable = dll.DAQmxResetAOEnhancedImageRejectionEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetDIInvertLines = dll.DAQmxGetDIInvertLines	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDIInvertLines = dll.DAQmxSetDIInvertLines	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDIInvertLines = dll.DAQmxResetDIInvertLines	# (TaskHandle taskHandle, const char channel[]);
		self.GetDINumLines = dll.DAQmxGetDINumLines	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.GetDIDigFltrEnable = dll.DAQmxGetDIDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDIDigFltrEnable = dll.DAQmxSetDIDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDIDigFltrEnable = dll.DAQmxResetDIDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetDIDigFltrMinPulseWidth = dll.DAQmxGetDIDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetDIDigFltrMinPulseWidth = dll.DAQmxSetDIDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetDIDigFltrMinPulseWidth = dll.DAQmxResetDIDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetDITristate = dll.DAQmxGetDITristate	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDITristate = dll.DAQmxSetDITristate	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDITristate = dll.DAQmxResetDITristate	# (TaskHandle taskHandle, const char channel[]);
		self.GetDILogicFamily = dll.DAQmxGetDILogicFamily	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDILogicFamily = dll.DAQmxSetDILogicFamily	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDILogicFamily = dll.DAQmxResetDILogicFamily	# (TaskHandle taskHandle, const char channel[]);
		self.GetDIDataXferMech = dll.DAQmxGetDIDataXferMech	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDIDataXferMech = dll.DAQmxSetDIDataXferMech	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDIDataXferMech = dll.DAQmxResetDIDataXferMech	# (TaskHandle taskHandle, const char channel[]);
		self.GetDIDataXferReqCond = dll.DAQmxGetDIDataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDIDataXferReqCond = dll.DAQmxSetDIDataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDIDataXferReqCond = dll.DAQmxResetDIDataXferReqCond	# (TaskHandle taskHandle, const char channel[]);
		self.GetDIMemMapEnable = dll.DAQmxGetDIMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDIMemMapEnable = dll.DAQmxSetDIMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDIMemMapEnable = dll.DAQmxResetDIMemMapEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetDIAcquireOn = dll.DAQmxGetDIAcquireOn	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDIAcquireOn = dll.DAQmxSetDIAcquireOn	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDIAcquireOn = dll.DAQmxResetDIAcquireOn	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOOutputDriveType = dll.DAQmxGetDOOutputDriveType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDOOutputDriveType = dll.DAQmxSetDOOutputDriveType	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDOOutputDriveType = dll.DAQmxResetDOOutputDriveType	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOInvertLines = dll.DAQmxGetDOInvertLines	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDOInvertLines = dll.DAQmxSetDOInvertLines	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDOInvertLines = dll.DAQmxResetDOInvertLines	# (TaskHandle taskHandle, const char channel[]);
		self.GetDONumLines = dll.DAQmxGetDONumLines	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.GetDOTristate = dll.DAQmxGetDOTristate	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDOTristate = dll.DAQmxSetDOTristate	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDOTristate = dll.DAQmxResetDOTristate	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOLineStatesStartState = dll.DAQmxGetDOLineStatesStartState	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDOLineStatesStartState = dll.DAQmxSetDOLineStatesStartState	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDOLineStatesStartState = dll.DAQmxResetDOLineStatesStartState	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOLineStatesPausedState = dll.DAQmxGetDOLineStatesPausedState	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDOLineStatesPausedState = dll.DAQmxSetDOLineStatesPausedState	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDOLineStatesPausedState = dll.DAQmxResetDOLineStatesPausedState	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOLineStatesDoneState = dll.DAQmxGetDOLineStatesDoneState	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDOLineStatesDoneState = dll.DAQmxSetDOLineStatesDoneState	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDOLineStatesDoneState = dll.DAQmxResetDOLineStatesDoneState	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOLogicFamily = dll.DAQmxGetDOLogicFamily	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDOLogicFamily = dll.DAQmxSetDOLogicFamily	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDOLogicFamily = dll.DAQmxResetDOLogicFamily	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOUseOnlyOnBrdMem = dll.DAQmxGetDOUseOnlyOnBrdMem	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDOUseOnlyOnBrdMem = dll.DAQmxSetDOUseOnlyOnBrdMem	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDOUseOnlyOnBrdMem = dll.DAQmxResetDOUseOnlyOnBrdMem	# (TaskHandle taskHandle, const char channel[]);
		self.GetDODataXferMech = dll.DAQmxGetDODataXferMech	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDODataXferMech = dll.DAQmxSetDODataXferMech	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDODataXferMech = dll.DAQmxResetDODataXferMech	# (TaskHandle taskHandle, const char channel[]);
		self.GetDODataXferReqCond = dll.DAQmxGetDODataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDODataXferReqCond = dll.DAQmxSetDODataXferReqCond	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDODataXferReqCond = dll.DAQmxResetDODataXferReqCond	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOMemMapEnable = dll.DAQmxGetDOMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetDOMemMapEnable = dll.DAQmxSetDOMemMapEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetDOMemMapEnable = dll.DAQmxResetDOMemMapEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetDOGenerateOn = dll.DAQmxGetDOGenerateOn	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetDOGenerateOn = dll.DAQmxSetDOGenerateOn	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetDOGenerateOn = dll.DAQmxResetDOGenerateOn	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIMax = dll.DAQmxGetCIMax	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIMax = dll.DAQmxSetCIMax	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIMax = dll.DAQmxResetCIMax	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIMin = dll.DAQmxGetCIMin	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIMin = dll.DAQmxSetCIMin	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIMin = dll.DAQmxResetCIMin	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICustomScaleName = dll.DAQmxGetCICustomScaleName	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCICustomScaleName = dll.DAQmxSetCICustomScaleName	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCICustomScaleName = dll.DAQmxResetCICustomScaleName	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIMeasType = dll.DAQmxGetCIMeasType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetCIFreqUnits = dll.DAQmxGetCIFreqUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIFreqUnits = dll.DAQmxSetCIFreqUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIFreqUnits = dll.DAQmxResetCIFreqUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqTerm = dll.DAQmxGetCIFreqTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIFreqTerm = dll.DAQmxSetCIFreqTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIFreqTerm = dll.DAQmxResetCIFreqTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqStartingEdge = dll.DAQmxGetCIFreqStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIFreqStartingEdge = dll.DAQmxSetCIFreqStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIFreqStartingEdge = dll.DAQmxResetCIFreqStartingEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqMeasMeth = dll.DAQmxGetCIFreqMeasMeth	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIFreqMeasMeth = dll.DAQmxSetCIFreqMeasMeth	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIFreqMeasMeth = dll.DAQmxResetCIFreqMeasMeth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqMeasTime = dll.DAQmxGetCIFreqMeasTime	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIFreqMeasTime = dll.DAQmxSetCIFreqMeasTime	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIFreqMeasTime = dll.DAQmxResetCIFreqMeasTime	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqDiv = dll.DAQmxGetCIFreqDiv	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCIFreqDiv = dll.DAQmxSetCIFreqDiv	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCIFreqDiv = dll.DAQmxResetCIFreqDiv	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqDigFltrEnable = dll.DAQmxGetCIFreqDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIFreqDigFltrEnable = dll.DAQmxSetCIFreqDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIFreqDigFltrEnable = dll.DAQmxResetCIFreqDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqDigFltrMinPulseWidth = dll.DAQmxGetCIFreqDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIFreqDigFltrMinPulseWidth = dll.DAQmxSetCIFreqDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIFreqDigFltrMinPulseWidth = dll.DAQmxResetCIFreqDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqDigFltrTimebaseSrc = dll.DAQmxGetCIFreqDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIFreqDigFltrTimebaseSrc = dll.DAQmxSetCIFreqDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIFreqDigFltrTimebaseSrc = dll.DAQmxResetCIFreqDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqDigFltrTimebaseRate = dll.DAQmxGetCIFreqDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIFreqDigFltrTimebaseRate = dll.DAQmxSetCIFreqDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIFreqDigFltrTimebaseRate = dll.DAQmxResetCIFreqDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIFreqDigSyncEnable = dll.DAQmxGetCIFreqDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIFreqDigSyncEnable = dll.DAQmxSetCIFreqDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIFreqDigSyncEnable = dll.DAQmxResetCIFreqDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodUnits = dll.DAQmxGetCIPeriodUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIPeriodUnits = dll.DAQmxSetCIPeriodUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIPeriodUnits = dll.DAQmxResetCIPeriodUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodTerm = dll.DAQmxGetCIPeriodTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIPeriodTerm = dll.DAQmxSetCIPeriodTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIPeriodTerm = dll.DAQmxResetCIPeriodTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodStartingEdge = dll.DAQmxGetCIPeriodStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIPeriodStartingEdge = dll.DAQmxSetCIPeriodStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIPeriodStartingEdge = dll.DAQmxResetCIPeriodStartingEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodMeasMeth = dll.DAQmxGetCIPeriodMeasMeth	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIPeriodMeasMeth = dll.DAQmxSetCIPeriodMeasMeth	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIPeriodMeasMeth = dll.DAQmxResetCIPeriodMeasMeth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodMeasTime = dll.DAQmxGetCIPeriodMeasTime	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIPeriodMeasTime = dll.DAQmxSetCIPeriodMeasTime	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIPeriodMeasTime = dll.DAQmxResetCIPeriodMeasTime	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodDiv = dll.DAQmxGetCIPeriodDiv	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCIPeriodDiv = dll.DAQmxSetCIPeriodDiv	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCIPeriodDiv = dll.DAQmxResetCIPeriodDiv	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodDigFltrEnable = dll.DAQmxGetCIPeriodDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIPeriodDigFltrEnable = dll.DAQmxSetCIPeriodDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIPeriodDigFltrEnable = dll.DAQmxResetCIPeriodDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodDigFltrMinPulseWidth = dll.DAQmxGetCIPeriodDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIPeriodDigFltrMinPulseWidth = dll.DAQmxSetCIPeriodDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIPeriodDigFltrMinPulseWidth = dll.DAQmxResetCIPeriodDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodDigFltrTimebaseSrc = dll.DAQmxGetCIPeriodDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIPeriodDigFltrTimebaseSrc = dll.DAQmxSetCIPeriodDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIPeriodDigFltrTimebaseSrc = dll.DAQmxResetCIPeriodDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodDigFltrTimebaseRate = dll.DAQmxGetCIPeriodDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIPeriodDigFltrTimebaseRate = dll.DAQmxSetCIPeriodDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIPeriodDigFltrTimebaseRate = dll.DAQmxResetCIPeriodDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPeriodDigSyncEnable = dll.DAQmxGetCIPeriodDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIPeriodDigSyncEnable = dll.DAQmxSetCIPeriodDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIPeriodDigSyncEnable = dll.DAQmxResetCIPeriodDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesTerm = dll.DAQmxGetCICountEdgesTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCICountEdgesTerm = dll.DAQmxSetCICountEdgesTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCICountEdgesTerm = dll.DAQmxResetCICountEdgesTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesDir = dll.DAQmxGetCICountEdgesDir	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCICountEdgesDir = dll.DAQmxSetCICountEdgesDir	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCICountEdgesDir = dll.DAQmxResetCICountEdgesDir	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesDirTerm = dll.DAQmxGetCICountEdgesDirTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCICountEdgesDirTerm = dll.DAQmxSetCICountEdgesDirTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCICountEdgesDirTerm = dll.DAQmxResetCICountEdgesDirTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesCountDirDigFltrEnable = dll.DAQmxGetCICountEdgesCountDirDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCICountEdgesCountDirDigFltrEnable = dll.DAQmxSetCICountEdgesCountDirDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCICountEdgesCountDirDigFltrEnable = dll.DAQmxResetCICountEdgesCountDirDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesCountDirDigFltrMinPulseWidth = dll.DAQmxGetCICountEdgesCountDirDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCICountEdgesCountDirDigFltrMinPulseWidth = dll.DAQmxSetCICountEdgesCountDirDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCICountEdgesCountDirDigFltrMinPulseWidth = dll.DAQmxResetCICountEdgesCountDirDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesCountDirDigFltrTimebaseSrc = dll.DAQmxGetCICountEdgesCountDirDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCICountEdgesCountDirDigFltrTimebaseSrc = dll.DAQmxSetCICountEdgesCountDirDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCICountEdgesCountDirDigFltrTimebaseSrc = dll.DAQmxResetCICountEdgesCountDirDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesCountDirDigFltrTimebaseRate = dll.DAQmxGetCICountEdgesCountDirDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCICountEdgesCountDirDigFltrTimebaseRate = dll.DAQmxSetCICountEdgesCountDirDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCICountEdgesCountDirDigFltrTimebaseRate = dll.DAQmxResetCICountEdgesCountDirDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesCountDirDigSyncEnable = dll.DAQmxGetCICountEdgesCountDirDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCICountEdgesCountDirDigSyncEnable = dll.DAQmxSetCICountEdgesCountDirDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCICountEdgesCountDirDigSyncEnable = dll.DAQmxResetCICountEdgesCountDirDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesInitialCnt = dll.DAQmxGetCICountEdgesInitialCnt	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCICountEdgesInitialCnt = dll.DAQmxSetCICountEdgesInitialCnt	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCICountEdgesInitialCnt = dll.DAQmxResetCICountEdgesInitialCnt	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesActiveEdge = dll.DAQmxGetCICountEdgesActiveEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCICountEdgesActiveEdge = dll.DAQmxSetCICountEdgesActiveEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCICountEdgesActiveEdge = dll.DAQmxResetCICountEdgesActiveEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesDigFltrEnable = dll.DAQmxGetCICountEdgesDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCICountEdgesDigFltrEnable = dll.DAQmxSetCICountEdgesDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCICountEdgesDigFltrEnable = dll.DAQmxResetCICountEdgesDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesDigFltrMinPulseWidth = dll.DAQmxGetCICountEdgesDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCICountEdgesDigFltrMinPulseWidth = dll.DAQmxSetCICountEdgesDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCICountEdgesDigFltrMinPulseWidth = dll.DAQmxResetCICountEdgesDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesDigFltrTimebaseSrc = dll.DAQmxGetCICountEdgesDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCICountEdgesDigFltrTimebaseSrc = dll.DAQmxSetCICountEdgesDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCICountEdgesDigFltrTimebaseSrc = dll.DAQmxResetCICountEdgesDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesDigFltrTimebaseRate = dll.DAQmxGetCICountEdgesDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCICountEdgesDigFltrTimebaseRate = dll.DAQmxSetCICountEdgesDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCICountEdgesDigFltrTimebaseRate = dll.DAQmxResetCICountEdgesDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICountEdgesDigSyncEnable = dll.DAQmxGetCICountEdgesDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCICountEdgesDigSyncEnable = dll.DAQmxSetCICountEdgesDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCICountEdgesDigSyncEnable = dll.DAQmxResetCICountEdgesDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIAngEncoderUnits = dll.DAQmxGetCIAngEncoderUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIAngEncoderUnits = dll.DAQmxSetCIAngEncoderUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIAngEncoderUnits = dll.DAQmxResetCIAngEncoderUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIAngEncoderPulsesPerRev = dll.DAQmxGetCIAngEncoderPulsesPerRev	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCIAngEncoderPulsesPerRev = dll.DAQmxSetCIAngEncoderPulsesPerRev	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCIAngEncoderPulsesPerRev = dll.DAQmxResetCIAngEncoderPulsesPerRev	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIAngEncoderInitialAngle = dll.DAQmxGetCIAngEncoderInitialAngle	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIAngEncoderInitialAngle = dll.DAQmxSetCIAngEncoderInitialAngle	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIAngEncoderInitialAngle = dll.DAQmxResetCIAngEncoderInitialAngle	# (TaskHandle taskHandle, const char channel[]);
		self.GetCILinEncoderUnits = dll.DAQmxGetCILinEncoderUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCILinEncoderUnits = dll.DAQmxSetCILinEncoderUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCILinEncoderUnits = dll.DAQmxResetCILinEncoderUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCILinEncoderDistPerPulse = dll.DAQmxGetCILinEncoderDistPerPulse	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCILinEncoderDistPerPulse = dll.DAQmxSetCILinEncoderDistPerPulse	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCILinEncoderDistPerPulse = dll.DAQmxResetCILinEncoderDistPerPulse	# (TaskHandle taskHandle, const char channel[]);
		self.GetCILinEncoderInitialPos = dll.DAQmxGetCILinEncoderInitialPos	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCILinEncoderInitialPos = dll.DAQmxSetCILinEncoderInitialPos	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCILinEncoderInitialPos = dll.DAQmxResetCILinEncoderInitialPos	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderDecodingType = dll.DAQmxGetCIEncoderDecodingType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIEncoderDecodingType = dll.DAQmxSetCIEncoderDecodingType	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIEncoderDecodingType = dll.DAQmxResetCIEncoderDecodingType	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderAInputTerm = dll.DAQmxGetCIEncoderAInputTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIEncoderAInputTerm = dll.DAQmxSetCIEncoderAInputTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIEncoderAInputTerm = dll.DAQmxResetCIEncoderAInputTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderAInputDigFltrEnable = dll.DAQmxGetCIEncoderAInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIEncoderAInputDigFltrEnable = dll.DAQmxSetCIEncoderAInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIEncoderAInputDigFltrEnable = dll.DAQmxResetCIEncoderAInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderAInputDigFltrMinPulseWidth = dll.DAQmxGetCIEncoderAInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIEncoderAInputDigFltrMinPulseWidth = dll.DAQmxSetCIEncoderAInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIEncoderAInputDigFltrMinPulseWidth = dll.DAQmxResetCIEncoderAInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderAInputDigFltrTimebaseSrc = dll.DAQmxGetCIEncoderAInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIEncoderAInputDigFltrTimebaseSrc = dll.DAQmxSetCIEncoderAInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIEncoderAInputDigFltrTimebaseSrc = dll.DAQmxResetCIEncoderAInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderAInputDigFltrTimebaseRate = dll.DAQmxGetCIEncoderAInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIEncoderAInputDigFltrTimebaseRate = dll.DAQmxSetCIEncoderAInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIEncoderAInputDigFltrTimebaseRate = dll.DAQmxResetCIEncoderAInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderAInputDigSyncEnable = dll.DAQmxGetCIEncoderAInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIEncoderAInputDigSyncEnable = dll.DAQmxSetCIEncoderAInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIEncoderAInputDigSyncEnable = dll.DAQmxResetCIEncoderAInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderBInputTerm = dll.DAQmxGetCIEncoderBInputTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIEncoderBInputTerm = dll.DAQmxSetCIEncoderBInputTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIEncoderBInputTerm = dll.DAQmxResetCIEncoderBInputTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderBInputDigFltrEnable = dll.DAQmxGetCIEncoderBInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIEncoderBInputDigFltrEnable = dll.DAQmxSetCIEncoderBInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIEncoderBInputDigFltrEnable = dll.DAQmxResetCIEncoderBInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderBInputDigFltrMinPulseWidth = dll.DAQmxGetCIEncoderBInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIEncoderBInputDigFltrMinPulseWidth = dll.DAQmxSetCIEncoderBInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIEncoderBInputDigFltrMinPulseWidth = dll.DAQmxResetCIEncoderBInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderBInputDigFltrTimebaseSrc = dll.DAQmxGetCIEncoderBInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIEncoderBInputDigFltrTimebaseSrc = dll.DAQmxSetCIEncoderBInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIEncoderBInputDigFltrTimebaseSrc = dll.DAQmxResetCIEncoderBInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderBInputDigFltrTimebaseRate = dll.DAQmxGetCIEncoderBInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIEncoderBInputDigFltrTimebaseRate = dll.DAQmxSetCIEncoderBInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIEncoderBInputDigFltrTimebaseRate = dll.DAQmxResetCIEncoderBInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderBInputDigSyncEnable = dll.DAQmxGetCIEncoderBInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIEncoderBInputDigSyncEnable = dll.DAQmxSetCIEncoderBInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIEncoderBInputDigSyncEnable = dll.DAQmxResetCIEncoderBInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZInputTerm = dll.DAQmxGetCIEncoderZInputTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIEncoderZInputTerm = dll.DAQmxSetCIEncoderZInputTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIEncoderZInputTerm = dll.DAQmxResetCIEncoderZInputTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZInputDigFltrEnable = dll.DAQmxGetCIEncoderZInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIEncoderZInputDigFltrEnable = dll.DAQmxSetCIEncoderZInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIEncoderZInputDigFltrEnable = dll.DAQmxResetCIEncoderZInputDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZInputDigFltrMinPulseWidth = dll.DAQmxGetCIEncoderZInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIEncoderZInputDigFltrMinPulseWidth = dll.DAQmxSetCIEncoderZInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIEncoderZInputDigFltrMinPulseWidth = dll.DAQmxResetCIEncoderZInputDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZInputDigFltrTimebaseSrc = dll.DAQmxGetCIEncoderZInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIEncoderZInputDigFltrTimebaseSrc = dll.DAQmxSetCIEncoderZInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIEncoderZInputDigFltrTimebaseSrc = dll.DAQmxResetCIEncoderZInputDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZInputDigFltrTimebaseRate = dll.DAQmxGetCIEncoderZInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIEncoderZInputDigFltrTimebaseRate = dll.DAQmxSetCIEncoderZInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIEncoderZInputDigFltrTimebaseRate = dll.DAQmxResetCIEncoderZInputDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZInputDigSyncEnable = dll.DAQmxGetCIEncoderZInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIEncoderZInputDigSyncEnable = dll.DAQmxSetCIEncoderZInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIEncoderZInputDigSyncEnable = dll.DAQmxResetCIEncoderZInputDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZIndexEnable = dll.DAQmxGetCIEncoderZIndexEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIEncoderZIndexEnable = dll.DAQmxSetCIEncoderZIndexEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIEncoderZIndexEnable = dll.DAQmxResetCIEncoderZIndexEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZIndexVal = dll.DAQmxGetCIEncoderZIndexVal	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIEncoderZIndexVal = dll.DAQmxSetCIEncoderZIndexVal	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIEncoderZIndexVal = dll.DAQmxResetCIEncoderZIndexVal	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIEncoderZIndexPhase = dll.DAQmxGetCIEncoderZIndexPhase	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIEncoderZIndexPhase = dll.DAQmxSetCIEncoderZIndexPhase	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIEncoderZIndexPhase = dll.DAQmxResetCIEncoderZIndexPhase	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthUnits = dll.DAQmxGetCIPulseWidthUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIPulseWidthUnits = dll.DAQmxSetCIPulseWidthUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIPulseWidthUnits = dll.DAQmxResetCIPulseWidthUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthTerm = dll.DAQmxGetCIPulseWidthTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIPulseWidthTerm = dll.DAQmxSetCIPulseWidthTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIPulseWidthTerm = dll.DAQmxResetCIPulseWidthTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthStartingEdge = dll.DAQmxGetCIPulseWidthStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIPulseWidthStartingEdge = dll.DAQmxSetCIPulseWidthStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIPulseWidthStartingEdge = dll.DAQmxResetCIPulseWidthStartingEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthDigFltrEnable = dll.DAQmxGetCIPulseWidthDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIPulseWidthDigFltrEnable = dll.DAQmxSetCIPulseWidthDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIPulseWidthDigFltrEnable = dll.DAQmxResetCIPulseWidthDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthDigFltrMinPulseWidth = dll.DAQmxGetCIPulseWidthDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIPulseWidthDigFltrMinPulseWidth = dll.DAQmxSetCIPulseWidthDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIPulseWidthDigFltrMinPulseWidth = dll.DAQmxResetCIPulseWidthDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthDigFltrTimebaseSrc = dll.DAQmxGetCIPulseWidthDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIPulseWidthDigFltrTimebaseSrc = dll.DAQmxSetCIPulseWidthDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIPulseWidthDigFltrTimebaseSrc = dll.DAQmxResetCIPulseWidthDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthDigFltrTimebaseRate = dll.DAQmxGetCIPulseWidthDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCIPulseWidthDigFltrTimebaseRate = dll.DAQmxSetCIPulseWidthDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCIPulseWidthDigFltrTimebaseRate = dll.DAQmxResetCIPulseWidthDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPulseWidthDigSyncEnable = dll.DAQmxGetCIPulseWidthDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIPulseWidthDigSyncEnable = dll.DAQmxSetCIPulseWidthDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIPulseWidthDigSyncEnable = dll.DAQmxResetCIPulseWidthDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepUnits = dll.DAQmxGetCITwoEdgeSepUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCITwoEdgeSepUnits = dll.DAQmxSetCITwoEdgeSepUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCITwoEdgeSepUnits = dll.DAQmxResetCITwoEdgeSepUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepFirstTerm = dll.DAQmxGetCITwoEdgeSepFirstTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCITwoEdgeSepFirstTerm = dll.DAQmxSetCITwoEdgeSepFirstTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCITwoEdgeSepFirstTerm = dll.DAQmxResetCITwoEdgeSepFirstTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepFirstEdge = dll.DAQmxGetCITwoEdgeSepFirstEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCITwoEdgeSepFirstEdge = dll.DAQmxSetCITwoEdgeSepFirstEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCITwoEdgeSepFirstEdge = dll.DAQmxResetCITwoEdgeSepFirstEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepFirstDigFltrEnable = dll.DAQmxGetCITwoEdgeSepFirstDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCITwoEdgeSepFirstDigFltrEnable = dll.DAQmxSetCITwoEdgeSepFirstDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCITwoEdgeSepFirstDigFltrEnable = dll.DAQmxResetCITwoEdgeSepFirstDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepFirstDigFltrMinPulseWidth = dll.DAQmxGetCITwoEdgeSepFirstDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCITwoEdgeSepFirstDigFltrMinPulseWidth = dll.DAQmxSetCITwoEdgeSepFirstDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCITwoEdgeSepFirstDigFltrMinPulseWidth = dll.DAQmxResetCITwoEdgeSepFirstDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepFirstDigFltrTimebaseSrc = dll.DAQmxGetCITwoEdgeSepFirstDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCITwoEdgeSepFirstDigFltrTimebaseSrc = dll.DAQmxSetCITwoEdgeSepFirstDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCITwoEdgeSepFirstDigFltrTimebaseSrc = dll.DAQmxResetCITwoEdgeSepFirstDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepFirstDigFltrTimebaseRate = dll.DAQmxGetCITwoEdgeSepFirstDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCITwoEdgeSepFirstDigFltrTimebaseRate = dll.DAQmxSetCITwoEdgeSepFirstDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCITwoEdgeSepFirstDigFltrTimebaseRate = dll.DAQmxResetCITwoEdgeSepFirstDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepFirstDigSyncEnable = dll.DAQmxGetCITwoEdgeSepFirstDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCITwoEdgeSepFirstDigSyncEnable = dll.DAQmxSetCITwoEdgeSepFirstDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCITwoEdgeSepFirstDigSyncEnable = dll.DAQmxResetCITwoEdgeSepFirstDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepSecondTerm = dll.DAQmxGetCITwoEdgeSepSecondTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCITwoEdgeSepSecondTerm = dll.DAQmxSetCITwoEdgeSepSecondTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCITwoEdgeSepSecondTerm = dll.DAQmxResetCITwoEdgeSepSecondTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepSecondEdge = dll.DAQmxGetCITwoEdgeSepSecondEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCITwoEdgeSepSecondEdge = dll.DAQmxSetCITwoEdgeSepSecondEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCITwoEdgeSepSecondEdge = dll.DAQmxResetCITwoEdgeSepSecondEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepSecondDigFltrEnable = dll.DAQmxGetCITwoEdgeSepSecondDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCITwoEdgeSepSecondDigFltrEnable = dll.DAQmxSetCITwoEdgeSepSecondDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCITwoEdgeSepSecondDigFltrEnable = dll.DAQmxResetCITwoEdgeSepSecondDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepSecondDigFltrMinPulseWidth = dll.DAQmxGetCITwoEdgeSepSecondDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCITwoEdgeSepSecondDigFltrMinPulseWidth = dll.DAQmxSetCITwoEdgeSepSecondDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCITwoEdgeSepSecondDigFltrMinPulseWidth = dll.DAQmxResetCITwoEdgeSepSecondDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepSecondDigFltrTimebaseSrc = dll.DAQmxGetCITwoEdgeSepSecondDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCITwoEdgeSepSecondDigFltrTimebaseSrc = dll.DAQmxSetCITwoEdgeSepSecondDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCITwoEdgeSepSecondDigFltrTimebaseSrc = dll.DAQmxResetCITwoEdgeSepSecondDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepSecondDigFltrTimebaseRate = dll.DAQmxGetCITwoEdgeSepSecondDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCITwoEdgeSepSecondDigFltrTimebaseRate = dll.DAQmxSetCITwoEdgeSepSecondDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCITwoEdgeSepSecondDigFltrTimebaseRate = dll.DAQmxResetCITwoEdgeSepSecondDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITwoEdgeSepSecondDigSyncEnable = dll.DAQmxGetCITwoEdgeSepSecondDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCITwoEdgeSepSecondDigSyncEnable = dll.DAQmxSetCITwoEdgeSepSecondDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCITwoEdgeSepSecondDigSyncEnable = dll.DAQmxResetCITwoEdgeSepSecondDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodUnits = dll.DAQmxGetCISemiPeriodUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCISemiPeriodUnits = dll.DAQmxSetCISemiPeriodUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCISemiPeriodUnits = dll.DAQmxResetCISemiPeriodUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodTerm = dll.DAQmxGetCISemiPeriodTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCISemiPeriodTerm = dll.DAQmxSetCISemiPeriodTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCISemiPeriodTerm = dll.DAQmxResetCISemiPeriodTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodStartingEdge = dll.DAQmxGetCISemiPeriodStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCISemiPeriodStartingEdge = dll.DAQmxSetCISemiPeriodStartingEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCISemiPeriodStartingEdge = dll.DAQmxResetCISemiPeriodStartingEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodDigFltrEnable = dll.DAQmxGetCISemiPeriodDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCISemiPeriodDigFltrEnable = dll.DAQmxSetCISemiPeriodDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCISemiPeriodDigFltrEnable = dll.DAQmxResetCISemiPeriodDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodDigFltrMinPulseWidth = dll.DAQmxGetCISemiPeriodDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCISemiPeriodDigFltrMinPulseWidth = dll.DAQmxSetCISemiPeriodDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCISemiPeriodDigFltrMinPulseWidth = dll.DAQmxResetCISemiPeriodDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodDigFltrTimebaseSrc = dll.DAQmxGetCISemiPeriodDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCISemiPeriodDigFltrTimebaseSrc = dll.DAQmxSetCISemiPeriodDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCISemiPeriodDigFltrTimebaseSrc = dll.DAQmxResetCISemiPeriodDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodDigFltrTimebaseRate = dll.DAQmxGetCISemiPeriodDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCISemiPeriodDigFltrTimebaseRate = dll.DAQmxSetCISemiPeriodDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCISemiPeriodDigFltrTimebaseRate = dll.DAQmxResetCISemiPeriodDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCISemiPeriodDigSyncEnable = dll.DAQmxGetCISemiPeriodDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCISemiPeriodDigSyncEnable = dll.DAQmxSetCISemiPeriodDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCISemiPeriodDigSyncEnable = dll.DAQmxResetCISemiPeriodDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITimestampUnits = dll.DAQmxGetCITimestampUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCITimestampUnits = dll.DAQmxSetCITimestampUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCITimestampUnits = dll.DAQmxResetCITimestampUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCITimestampInitialSeconds = dll.DAQmxGetCITimestampInitialSeconds	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCITimestampInitialSeconds = dll.DAQmxSetCITimestampInitialSeconds	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCITimestampInitialSeconds = dll.DAQmxResetCITimestampInitialSeconds	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIGPSSyncMethod = dll.DAQmxGetCIGPSSyncMethod	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIGPSSyncMethod = dll.DAQmxSetCIGPSSyncMethod	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIGPSSyncMethod = dll.DAQmxResetCIGPSSyncMethod	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIGPSSyncSrc = dll.DAQmxGetCIGPSSyncSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCIGPSSyncSrc = dll.DAQmxSetCIGPSSyncSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCIGPSSyncSrc = dll.DAQmxResetCIGPSSyncSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseSrc = dll.DAQmxGetCICtrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCICtrTimebaseSrc = dll.DAQmxSetCICtrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCICtrTimebaseSrc = dll.DAQmxResetCICtrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseRate = dll.DAQmxGetCICtrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCICtrTimebaseRate = dll.DAQmxSetCICtrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCICtrTimebaseRate = dll.DAQmxResetCICtrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseActiveEdge = dll.DAQmxGetCICtrTimebaseActiveEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCICtrTimebaseActiveEdge = dll.DAQmxSetCICtrTimebaseActiveEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCICtrTimebaseActiveEdge = dll.DAQmxResetCICtrTimebaseActiveEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseDigFltrEnable = dll.DAQmxGetCICtrTimebaseDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCICtrTimebaseDigFltrEnable = dll.DAQmxSetCICtrTimebaseDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCICtrTimebaseDigFltrEnable = dll.DAQmxResetCICtrTimebaseDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseDigFltrMinPulseWidth = dll.DAQmxGetCICtrTimebaseDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCICtrTimebaseDigFltrMinPulseWidth = dll.DAQmxSetCICtrTimebaseDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCICtrTimebaseDigFltrMinPulseWidth = dll.DAQmxResetCICtrTimebaseDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseDigFltrTimebaseSrc = dll.DAQmxGetCICtrTimebaseDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCICtrTimebaseDigFltrTimebaseSrc = dll.DAQmxSetCICtrTimebaseDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCICtrTimebaseDigFltrTimebaseSrc = dll.DAQmxResetCICtrTimebaseDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseDigFltrTimebaseRate = dll.DAQmxGetCICtrTimebaseDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCICtrTimebaseDigFltrTimebaseRate = dll.DAQmxSetCICtrTimebaseDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCICtrTimebaseDigFltrTimebaseRate = dll.DAQmxResetCICtrTimebaseDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICtrTimebaseDigSyncEnable = dll.DAQmxGetCICtrTimebaseDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCICtrTimebaseDigSyncEnable = dll.DAQmxSetCICtrTimebaseDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCICtrTimebaseDigSyncEnable = dll.DAQmxResetCICtrTimebaseDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCICount = dll.DAQmxGetCICount	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.GetCIOutputState = dll.DAQmxGetCIOutputState	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetCITCReached = dll.DAQmxGetCITCReached	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.GetCICtrTimebaseMasterTimebaseDiv = dll.DAQmxGetCICtrTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCICtrTimebaseMasterTimebaseDiv = dll.DAQmxSetCICtrTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCICtrTimebaseMasterTimebaseDiv = dll.DAQmxResetCICtrTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIDataXferMech = dll.DAQmxGetCIDataXferMech	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCIDataXferMech = dll.DAQmxSetCIDataXferMech	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCIDataXferMech = dll.DAQmxResetCIDataXferMech	# (TaskHandle taskHandle, const char channel[]);
		self.GetCINumPossiblyInvalidSamps = dll.DAQmxGetCINumPossiblyInvalidSamps	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.GetCIDupCountPrevent = dll.DAQmxGetCIDupCountPrevent	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCIDupCountPrevent = dll.DAQmxSetCIDupCountPrevent	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCIDupCountPrevent = dll.DAQmxResetCIDupCountPrevent	# (TaskHandle taskHandle, const char channel[]);
		self.GetCIPrescaler = dll.DAQmxGetCIPrescaler	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCIPrescaler = dll.DAQmxSetCIPrescaler	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCIPrescaler = dll.DAQmxResetCIPrescaler	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOOutputType = dll.DAQmxGetCOOutputType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetCOPulseIdleState = dll.DAQmxGetCOPulseIdleState	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCOPulseIdleState = dll.DAQmxSetCOPulseIdleState	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCOPulseIdleState = dll.DAQmxResetCOPulseIdleState	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseTerm = dll.DAQmxGetCOPulseTerm	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCOPulseTerm = dll.DAQmxSetCOPulseTerm	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCOPulseTerm = dll.DAQmxResetCOPulseTerm	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseTimeUnits = dll.DAQmxGetCOPulseTimeUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCOPulseTimeUnits = dll.DAQmxSetCOPulseTimeUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCOPulseTimeUnits = dll.DAQmxResetCOPulseTimeUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseHighTime = dll.DAQmxGetCOPulseHighTime	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOPulseHighTime = dll.DAQmxSetCOPulseHighTime	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOPulseHighTime = dll.DAQmxResetCOPulseHighTime	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseLowTime = dll.DAQmxGetCOPulseLowTime	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOPulseLowTime = dll.DAQmxSetCOPulseLowTime	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOPulseLowTime = dll.DAQmxResetCOPulseLowTime	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseTimeInitialDelay = dll.DAQmxGetCOPulseTimeInitialDelay	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOPulseTimeInitialDelay = dll.DAQmxSetCOPulseTimeInitialDelay	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOPulseTimeInitialDelay = dll.DAQmxResetCOPulseTimeInitialDelay	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseDutyCyc = dll.DAQmxGetCOPulseDutyCyc	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOPulseDutyCyc = dll.DAQmxSetCOPulseDutyCyc	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOPulseDutyCyc = dll.DAQmxResetCOPulseDutyCyc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseFreqUnits = dll.DAQmxGetCOPulseFreqUnits	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCOPulseFreqUnits = dll.DAQmxSetCOPulseFreqUnits	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCOPulseFreqUnits = dll.DAQmxResetCOPulseFreqUnits	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseFreq = dll.DAQmxGetCOPulseFreq	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOPulseFreq = dll.DAQmxSetCOPulseFreq	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOPulseFreq = dll.DAQmxResetCOPulseFreq	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseFreqInitialDelay = dll.DAQmxGetCOPulseFreqInitialDelay	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOPulseFreqInitialDelay = dll.DAQmxSetCOPulseFreqInitialDelay	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOPulseFreqInitialDelay = dll.DAQmxResetCOPulseFreqInitialDelay	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseHighTicks = dll.DAQmxGetCOPulseHighTicks	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCOPulseHighTicks = dll.DAQmxSetCOPulseHighTicks	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCOPulseHighTicks = dll.DAQmxResetCOPulseHighTicks	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseLowTicks = dll.DAQmxGetCOPulseLowTicks	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCOPulseLowTicks = dll.DAQmxSetCOPulseLowTicks	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCOPulseLowTicks = dll.DAQmxResetCOPulseLowTicks	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseTicksInitialDelay = dll.DAQmxGetCOPulseTicksInitialDelay	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCOPulseTicksInitialDelay = dll.DAQmxSetCOPulseTicksInitialDelay	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCOPulseTicksInitialDelay = dll.DAQmxResetCOPulseTicksInitialDelay	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseSrc = dll.DAQmxGetCOCtrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCOCtrTimebaseSrc = dll.DAQmxSetCOCtrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCOCtrTimebaseSrc = dll.DAQmxResetCOCtrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseRate = dll.DAQmxGetCOCtrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOCtrTimebaseRate = dll.DAQmxSetCOCtrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOCtrTimebaseRate = dll.DAQmxResetCOCtrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseActiveEdge = dll.DAQmxGetCOCtrTimebaseActiveEdge	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCOCtrTimebaseActiveEdge = dll.DAQmxSetCOCtrTimebaseActiveEdge	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCOCtrTimebaseActiveEdge = dll.DAQmxResetCOCtrTimebaseActiveEdge	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseDigFltrEnable = dll.DAQmxGetCOCtrTimebaseDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCOCtrTimebaseDigFltrEnable = dll.DAQmxSetCOCtrTimebaseDigFltrEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCOCtrTimebaseDigFltrEnable = dll.DAQmxResetCOCtrTimebaseDigFltrEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseDigFltrMinPulseWidth = dll.DAQmxGetCOCtrTimebaseDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOCtrTimebaseDigFltrMinPulseWidth = dll.DAQmxSetCOCtrTimebaseDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOCtrTimebaseDigFltrMinPulseWidth = dll.DAQmxResetCOCtrTimebaseDigFltrMinPulseWidth	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseDigFltrTimebaseSrc = dll.DAQmxGetCOCtrTimebaseDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetCOCtrTimebaseDigFltrTimebaseSrc = dll.DAQmxSetCOCtrTimebaseDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetCOCtrTimebaseDigFltrTimebaseSrc = dll.DAQmxResetCOCtrTimebaseDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseDigFltrTimebaseRate = dll.DAQmxGetCOCtrTimebaseDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 *data);
		self.SetCOCtrTimebaseDigFltrTimebaseRate = dll.DAQmxSetCOCtrTimebaseDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[], float64 data);
		self.ResetCOCtrTimebaseDigFltrTimebaseRate = dll.DAQmxResetCOCtrTimebaseDigFltrTimebaseRate	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseDigSyncEnable = dll.DAQmxGetCOCtrTimebaseDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.SetCOCtrTimebaseDigSyncEnable = dll.DAQmxSetCOCtrTimebaseDigSyncEnable	# (TaskHandle taskHandle, const char channel[], bool32 data);
		self.ResetCOCtrTimebaseDigSyncEnable = dll.DAQmxResetCOCtrTimebaseDigSyncEnable	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCount = dll.DAQmxGetCOCount	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.GetCOOutputState = dll.DAQmxGetCOOutputState	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetCOAutoIncrCnt = dll.DAQmxGetCOAutoIncrCnt	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCOAutoIncrCnt = dll.DAQmxSetCOAutoIncrCnt	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCOAutoIncrCnt = dll.DAQmxResetCOAutoIncrCnt	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOCtrTimebaseMasterTimebaseDiv = dll.DAQmxGetCOCtrTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCOCtrTimebaseMasterTimebaseDiv = dll.DAQmxSetCOCtrTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCOCtrTimebaseMasterTimebaseDiv = dll.DAQmxResetCOCtrTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPulseDone = dll.DAQmxGetCOPulseDone	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.GetCOConstrainedGenMode = dll.DAQmxGetCOConstrainedGenMode	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.SetCOConstrainedGenMode = dll.DAQmxSetCOConstrainedGenMode	# (TaskHandle taskHandle, const char channel[], int32 data);
		self.ResetCOConstrainedGenMode = dll.DAQmxResetCOConstrainedGenMode	# (TaskHandle taskHandle, const char channel[]);
		self.GetCOPrescaler = dll.DAQmxGetCOPrescaler	# (TaskHandle taskHandle, const char channel[], uInt32 *data);
		self.SetCOPrescaler = dll.DAQmxSetCOPrescaler	# (TaskHandle taskHandle, const char channel[], uInt32 data);
		self.ResetCOPrescaler = dll.DAQmxResetCOPrescaler	# (TaskHandle taskHandle, const char channel[]);
		self.GetCORdyForNewVal = dll.DAQmxGetCORdyForNewVal	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.GetChanType = dll.DAQmxGetChanType	# (TaskHandle taskHandle, const char channel[], int32 *data);
		self.GetPhysicalChanName = dll.DAQmxGetPhysicalChanName	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetPhysicalChanName = dll.DAQmxSetPhysicalChanName	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.GetChanDescr = dll.DAQmxGetChanDescr	# (TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
		self.SetChanDescr = dll.DAQmxSetChanDescr	# (TaskHandle taskHandle, const char channel[], const char *data);
		self.ResetChanDescr = dll.DAQmxResetChanDescr	# (TaskHandle taskHandle, const char channel[]);
		self.GetChanIsGlobal = dll.DAQmxGetChanIsGlobal	# (TaskHandle taskHandle, const char channel[], bool32 *data);
		self.GetExportedAIConvClkOutputTerm = dll.DAQmxGetExportedAIConvClkOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedAIConvClkOutputTerm = dll.DAQmxSetExportedAIConvClkOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedAIConvClkOutputTerm = dll.DAQmxResetExportedAIConvClkOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedAIConvClkPulsePolarity = dll.DAQmxGetExportedAIConvClkPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.GetExported10MHzRefClkOutputTerm = dll.DAQmxGetExported10MHzRefClkOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExported10MHzRefClkOutputTerm = dll.DAQmxSetExported10MHzRefClkOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExported10MHzRefClkOutputTerm = dll.DAQmxResetExported10MHzRefClkOutputTerm	# (TaskHandle taskHandle);
		self.GetExported20MHzTimebaseOutputTerm = dll.DAQmxGetExported20MHzTimebaseOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExported20MHzTimebaseOutputTerm = dll.DAQmxSetExported20MHzTimebaseOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExported20MHzTimebaseOutputTerm = dll.DAQmxResetExported20MHzTimebaseOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedSampClkOutputBehavior = dll.DAQmxGetExportedSampClkOutputBehavior	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedSampClkOutputBehavior = dll.DAQmxSetExportedSampClkOutputBehavior	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedSampClkOutputBehavior = dll.DAQmxResetExportedSampClkOutputBehavior	# (TaskHandle taskHandle);
		self.GetExportedSampClkOutputTerm = dll.DAQmxGetExportedSampClkOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedSampClkOutputTerm = dll.DAQmxSetExportedSampClkOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedSampClkOutputTerm = dll.DAQmxResetExportedSampClkOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedSampClkDelayOffset = dll.DAQmxGetExportedSampClkDelayOffset	# (TaskHandle taskHandle, float64 *data);
		self.SetExportedSampClkDelayOffset = dll.DAQmxSetExportedSampClkDelayOffset	# (TaskHandle taskHandle, float64 data);
		self.ResetExportedSampClkDelayOffset = dll.DAQmxResetExportedSampClkDelayOffset	# (TaskHandle taskHandle);
		self.GetExportedSampClkPulsePolarity = dll.DAQmxGetExportedSampClkPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedSampClkPulsePolarity = dll.DAQmxSetExportedSampClkPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedSampClkPulsePolarity = dll.DAQmxResetExportedSampClkPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedSampClkTimebaseOutputTerm = dll.DAQmxGetExportedSampClkTimebaseOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedSampClkTimebaseOutputTerm = dll.DAQmxSetExportedSampClkTimebaseOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedSampClkTimebaseOutputTerm = dll.DAQmxResetExportedSampClkTimebaseOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedDividedSampClkTimebaseOutputTerm = dll.DAQmxGetExportedDividedSampClkTimebaseOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedDividedSampClkTimebaseOutputTerm = dll.DAQmxSetExportedDividedSampClkTimebaseOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedDividedSampClkTimebaseOutputTerm = dll.DAQmxResetExportedDividedSampClkTimebaseOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedAdvTrigOutputTerm = dll.DAQmxGetExportedAdvTrigOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedAdvTrigOutputTerm = dll.DAQmxSetExportedAdvTrigOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedAdvTrigOutputTerm = dll.DAQmxResetExportedAdvTrigOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedAdvTrigPulsePolarity = dll.DAQmxGetExportedAdvTrigPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.GetExportedAdvTrigPulseWidthUnits = dll.DAQmxGetExportedAdvTrigPulseWidthUnits	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedAdvTrigPulseWidthUnits = dll.DAQmxSetExportedAdvTrigPulseWidthUnits	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedAdvTrigPulseWidthUnits = dll.DAQmxResetExportedAdvTrigPulseWidthUnits	# (TaskHandle taskHandle);
		self.GetExportedAdvTrigPulseWidth = dll.DAQmxGetExportedAdvTrigPulseWidth	# (TaskHandle taskHandle, float64 *data);
		self.SetExportedAdvTrigPulseWidth = dll.DAQmxSetExportedAdvTrigPulseWidth	# (TaskHandle taskHandle, float64 data);
		self.ResetExportedAdvTrigPulseWidth = dll.DAQmxResetExportedAdvTrigPulseWidth	# (TaskHandle taskHandle);
		self.GetExportedPauseTrigOutputTerm = dll.DAQmxGetExportedPauseTrigOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedPauseTrigOutputTerm = dll.DAQmxSetExportedPauseTrigOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedPauseTrigOutputTerm = dll.DAQmxResetExportedPauseTrigOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedPauseTrigLvlActiveLvl = dll.DAQmxGetExportedPauseTrigLvlActiveLvl	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedPauseTrigLvlActiveLvl = dll.DAQmxSetExportedPauseTrigLvlActiveLvl	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedPauseTrigLvlActiveLvl = dll.DAQmxResetExportedPauseTrigLvlActiveLvl	# (TaskHandle taskHandle);
		self.GetExportedRefTrigOutputTerm = dll.DAQmxGetExportedRefTrigOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedRefTrigOutputTerm = dll.DAQmxSetExportedRefTrigOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedRefTrigOutputTerm = dll.DAQmxResetExportedRefTrigOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedRefTrigPulsePolarity = dll.DAQmxGetExportedRefTrigPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedRefTrigPulsePolarity = dll.DAQmxSetExportedRefTrigPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedRefTrigPulsePolarity = dll.DAQmxResetExportedRefTrigPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedStartTrigOutputTerm = dll.DAQmxGetExportedStartTrigOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedStartTrigOutputTerm = dll.DAQmxSetExportedStartTrigOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedStartTrigOutputTerm = dll.DAQmxResetExportedStartTrigOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedStartTrigPulsePolarity = dll.DAQmxGetExportedStartTrigPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedStartTrigPulsePolarity = dll.DAQmxSetExportedStartTrigPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedStartTrigPulsePolarity = dll.DAQmxResetExportedStartTrigPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedAdvCmpltEventOutputTerm = dll.DAQmxGetExportedAdvCmpltEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedAdvCmpltEventOutputTerm = dll.DAQmxSetExportedAdvCmpltEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedAdvCmpltEventOutputTerm = dll.DAQmxResetExportedAdvCmpltEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedAdvCmpltEventDelay = dll.DAQmxGetExportedAdvCmpltEventDelay	# (TaskHandle taskHandle, float64 *data);
		self.SetExportedAdvCmpltEventDelay = dll.DAQmxSetExportedAdvCmpltEventDelay	# (TaskHandle taskHandle, float64 data);
		self.ResetExportedAdvCmpltEventDelay = dll.DAQmxResetExportedAdvCmpltEventDelay	# (TaskHandle taskHandle);
		self.GetExportedAdvCmpltEventPulsePolarity = dll.DAQmxGetExportedAdvCmpltEventPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedAdvCmpltEventPulsePolarity = dll.DAQmxSetExportedAdvCmpltEventPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedAdvCmpltEventPulsePolarity = dll.DAQmxResetExportedAdvCmpltEventPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedAdvCmpltEventPulseWidth = dll.DAQmxGetExportedAdvCmpltEventPulseWidth	# (TaskHandle taskHandle, float64 *data);
		self.SetExportedAdvCmpltEventPulseWidth = dll.DAQmxSetExportedAdvCmpltEventPulseWidth	# (TaskHandle taskHandle, float64 data);
		self.ResetExportedAdvCmpltEventPulseWidth = dll.DAQmxResetExportedAdvCmpltEventPulseWidth	# (TaskHandle taskHandle);
		self.GetExportedAIHoldCmpltEventOutputTerm = dll.DAQmxGetExportedAIHoldCmpltEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedAIHoldCmpltEventOutputTerm = dll.DAQmxSetExportedAIHoldCmpltEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedAIHoldCmpltEventOutputTerm = dll.DAQmxResetExportedAIHoldCmpltEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedAIHoldCmpltEventPulsePolarity = dll.DAQmxGetExportedAIHoldCmpltEventPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedAIHoldCmpltEventPulsePolarity = dll.DAQmxSetExportedAIHoldCmpltEventPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedAIHoldCmpltEventPulsePolarity = dll.DAQmxResetExportedAIHoldCmpltEventPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedChangeDetectEventOutputTerm = dll.DAQmxGetExportedChangeDetectEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedChangeDetectEventOutputTerm = dll.DAQmxSetExportedChangeDetectEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedChangeDetectEventOutputTerm = dll.DAQmxResetExportedChangeDetectEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedChangeDetectEventPulsePolarity = dll.DAQmxGetExportedChangeDetectEventPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedChangeDetectEventPulsePolarity = dll.DAQmxSetExportedChangeDetectEventPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedChangeDetectEventPulsePolarity = dll.DAQmxResetExportedChangeDetectEventPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedCtrOutEventOutputTerm = dll.DAQmxGetExportedCtrOutEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedCtrOutEventOutputTerm = dll.DAQmxSetExportedCtrOutEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedCtrOutEventOutputTerm = dll.DAQmxResetExportedCtrOutEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedCtrOutEventOutputBehavior = dll.DAQmxGetExportedCtrOutEventOutputBehavior	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedCtrOutEventOutputBehavior = dll.DAQmxSetExportedCtrOutEventOutputBehavior	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedCtrOutEventOutputBehavior = dll.DAQmxResetExportedCtrOutEventOutputBehavior	# (TaskHandle taskHandle);
		self.GetExportedCtrOutEventPulsePolarity = dll.DAQmxGetExportedCtrOutEventPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedCtrOutEventPulsePolarity = dll.DAQmxSetExportedCtrOutEventPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedCtrOutEventPulsePolarity = dll.DAQmxResetExportedCtrOutEventPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedCtrOutEventToggleIdleState = dll.DAQmxGetExportedCtrOutEventToggleIdleState	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedCtrOutEventToggleIdleState = dll.DAQmxSetExportedCtrOutEventToggleIdleState	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedCtrOutEventToggleIdleState = dll.DAQmxResetExportedCtrOutEventToggleIdleState	# (TaskHandle taskHandle);
		self.GetExportedHshkEventOutputTerm = dll.DAQmxGetExportedHshkEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedHshkEventOutputTerm = dll.DAQmxSetExportedHshkEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedHshkEventOutputTerm = dll.DAQmxResetExportedHshkEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedHshkEventOutputBehavior = dll.DAQmxGetExportedHshkEventOutputBehavior	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedHshkEventOutputBehavior = dll.DAQmxSetExportedHshkEventOutputBehavior	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedHshkEventOutputBehavior = dll.DAQmxResetExportedHshkEventOutputBehavior	# (TaskHandle taskHandle);
		self.GetExportedHshkEventDelay = dll.DAQmxGetExportedHshkEventDelay	# (TaskHandle taskHandle, float64 *data);
		self.SetExportedHshkEventDelay = dll.DAQmxSetExportedHshkEventDelay	# (TaskHandle taskHandle, float64 data);
		self.ResetExportedHshkEventDelay = dll.DAQmxResetExportedHshkEventDelay	# (TaskHandle taskHandle);
		self.GetExportedHshkEventInterlockedAssertedLvl = dll.DAQmxGetExportedHshkEventInterlockedAssertedLvl	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedHshkEventInterlockedAssertedLvl = dll.DAQmxSetExportedHshkEventInterlockedAssertedLvl	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedHshkEventInterlockedAssertedLvl = dll.DAQmxResetExportedHshkEventInterlockedAssertedLvl	# (TaskHandle taskHandle);
		self.GetExportedHshkEventInterlockedAssertOnStart = dll.DAQmxGetExportedHshkEventInterlockedAssertOnStart	# (TaskHandle taskHandle, bool32 *data);
		self.SetExportedHshkEventInterlockedAssertOnStart = dll.DAQmxSetExportedHshkEventInterlockedAssertOnStart	# (TaskHandle taskHandle, bool32 data);
		self.ResetExportedHshkEventInterlockedAssertOnStart = dll.DAQmxResetExportedHshkEventInterlockedAssertOnStart	# (TaskHandle taskHandle);
		self.GetExportedHshkEventInterlockedDeassertDelay = dll.DAQmxGetExportedHshkEventInterlockedDeassertDelay	# (TaskHandle taskHandle, float64 *data);
		self.SetExportedHshkEventInterlockedDeassertDelay = dll.DAQmxSetExportedHshkEventInterlockedDeassertDelay	# (TaskHandle taskHandle, float64 data);
		self.ResetExportedHshkEventInterlockedDeassertDelay = dll.DAQmxResetExportedHshkEventInterlockedDeassertDelay	# (TaskHandle taskHandle);
		self.GetExportedHshkEventPulsePolarity = dll.DAQmxGetExportedHshkEventPulsePolarity	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedHshkEventPulsePolarity = dll.DAQmxSetExportedHshkEventPulsePolarity	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedHshkEventPulsePolarity = dll.DAQmxResetExportedHshkEventPulsePolarity	# (TaskHandle taskHandle);
		self.GetExportedHshkEventPulseWidth = dll.DAQmxGetExportedHshkEventPulseWidth	# (TaskHandle taskHandle, float64 *data);
		self.SetExportedHshkEventPulseWidth = dll.DAQmxSetExportedHshkEventPulseWidth	# (TaskHandle taskHandle, float64 data);
		self.ResetExportedHshkEventPulseWidth = dll.DAQmxResetExportedHshkEventPulseWidth	# (TaskHandle taskHandle);
		self.GetExportedRdyForXferEventOutputTerm = dll.DAQmxGetExportedRdyForXferEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedRdyForXferEventOutputTerm = dll.DAQmxSetExportedRdyForXferEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedRdyForXferEventOutputTerm = dll.DAQmxResetExportedRdyForXferEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedRdyForXferEventLvlActiveLvl = dll.DAQmxGetExportedRdyForXferEventLvlActiveLvl	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedRdyForXferEventLvlActiveLvl = dll.DAQmxSetExportedRdyForXferEventLvlActiveLvl	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedRdyForXferEventLvlActiveLvl = dll.DAQmxResetExportedRdyForXferEventLvlActiveLvl	# (TaskHandle taskHandle);
		self.GetExportedRdyForXferEventDeassertCond = dll.DAQmxGetExportedRdyForXferEventDeassertCond	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedRdyForXferEventDeassertCond = dll.DAQmxSetExportedRdyForXferEventDeassertCond	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedRdyForXferEventDeassertCond = dll.DAQmxResetExportedRdyForXferEventDeassertCond	# (TaskHandle taskHandle);
		self.GetExportedRdyForXferEventDeassertCondCustomThreshold = dll.DAQmxGetExportedRdyForXferEventDeassertCondCustomThreshold	# (TaskHandle taskHandle, uInt32 *data);
		self.SetExportedRdyForXferEventDeassertCondCustomThreshold = dll.DAQmxSetExportedRdyForXferEventDeassertCondCustomThreshold	# (TaskHandle taskHandle, uInt32 data);
		self.ResetExportedRdyForXferEventDeassertCondCustomThreshold = dll.DAQmxResetExportedRdyForXferEventDeassertCondCustomThreshold	# (TaskHandle taskHandle);
		self.GetExportedDataActiveEventOutputTerm = dll.DAQmxGetExportedDataActiveEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedDataActiveEventOutputTerm = dll.DAQmxSetExportedDataActiveEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedDataActiveEventOutputTerm = dll.DAQmxResetExportedDataActiveEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedDataActiveEventLvlActiveLvl = dll.DAQmxGetExportedDataActiveEventLvlActiveLvl	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedDataActiveEventLvlActiveLvl = dll.DAQmxSetExportedDataActiveEventLvlActiveLvl	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedDataActiveEventLvlActiveLvl = dll.DAQmxResetExportedDataActiveEventLvlActiveLvl	# (TaskHandle taskHandle);
		self.GetExportedRdyForStartEventOutputTerm = dll.DAQmxGetExportedRdyForStartEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedRdyForStartEventOutputTerm = dll.DAQmxSetExportedRdyForStartEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedRdyForStartEventOutputTerm = dll.DAQmxResetExportedRdyForStartEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedRdyForStartEventLvlActiveLvl = dll.DAQmxGetExportedRdyForStartEventLvlActiveLvl	# (TaskHandle taskHandle, int32 *data);
		self.SetExportedRdyForStartEventLvlActiveLvl = dll.DAQmxSetExportedRdyForStartEventLvlActiveLvl	# (TaskHandle taskHandle, int32 data);
		self.ResetExportedRdyForStartEventLvlActiveLvl = dll.DAQmxResetExportedRdyForStartEventLvlActiveLvl	# (TaskHandle taskHandle);
		self.GetExportedSyncPulseEventOutputTerm = dll.DAQmxGetExportedSyncPulseEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedSyncPulseEventOutputTerm = dll.DAQmxSetExportedSyncPulseEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedSyncPulseEventOutputTerm = dll.DAQmxResetExportedSyncPulseEventOutputTerm	# (TaskHandle taskHandle);
		self.GetExportedWatchdogExpiredEventOutputTerm = dll.DAQmxGetExportedWatchdogExpiredEventOutputTerm	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetExportedWatchdogExpiredEventOutputTerm = dll.DAQmxSetExportedWatchdogExpiredEventOutputTerm	# (TaskHandle taskHandle, const char *data);
		self.ResetExportedWatchdogExpiredEventOutputTerm = dll.DAQmxResetExportedWatchdogExpiredEventOutputTerm	# (TaskHandle taskHandle);
		self.GetDevIsSimulated = dll.DAQmxGetDevIsSimulated	# (const char device[], bool32 *data);
		self.GetDevProductCategory = dll.DAQmxGetDevProductCategory	# (const char device[], int32 *data);
		self.GetDevProductType = dll.DAQmxGetDevProductType	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevProductNum = dll.DAQmxGetDevProductNum	# (const char device[], uInt32 *data);
		self.GetDevSerialNum = dll.DAQmxGetDevSerialNum	# (const char device[], uInt32 *data);
		self.GetDevChassisModuleDevNames = dll.DAQmxGetDevChassisModuleDevNames	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevAnlgTrigSupported = dll.DAQmxGetDevAnlgTrigSupported	# (const char device[], bool32 *data);
		self.GetDevDigTrigSupported = dll.DAQmxGetDevDigTrigSupported	# (const char device[], bool32 *data);
		self.GetDevAIPhysicalChans = dll.DAQmxGetDevAIPhysicalChans	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevAIMaxSingleChanRate = dll.DAQmxGetDevAIMaxSingleChanRate	# (const char device[], float64 *data);
		self.GetDevAIMaxMultiChanRate = dll.DAQmxGetDevAIMaxMultiChanRate	# (const char device[], float64 *data);
		self.GetDevAIMinRate = dll.DAQmxGetDevAIMinRate	# (const char device[], float64 *data);
		self.GetDevAISimultaneousSamplingSupported = dll.DAQmxGetDevAISimultaneousSamplingSupported	# (const char device[], bool32 *data);
		self.GetDevAITrigUsage = dll.DAQmxGetDevAITrigUsage	# (const char device[], int32 *data);
		self.GetDevAIVoltageRngs = dll.DAQmxGetDevAIVoltageRngs	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAIVoltageIntExcitDiscreteVals = dll.DAQmxGetDevAIVoltageIntExcitDiscreteVals	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAIVoltageIntExcitRangeVals = dll.DAQmxGetDevAIVoltageIntExcitRangeVals	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAICurrentRngs = dll.DAQmxGetDevAICurrentRngs	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAICurrentIntExcitDiscreteVals = dll.DAQmxGetDevAICurrentIntExcitDiscreteVals	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAIFreqRngs = dll.DAQmxGetDevAIFreqRngs	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAIGains = dll.DAQmxGetDevAIGains	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAICouplings = dll.DAQmxGetDevAICouplings	# (const char device[], int32 *data);
		self.GetDevAILowpassCutoffFreqDiscreteVals = dll.DAQmxGetDevAILowpassCutoffFreqDiscreteVals	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAILowpassCutoffFreqRangeVals = dll.DAQmxGetDevAILowpassCutoffFreqRangeVals	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAOPhysicalChans = dll.DAQmxGetDevAOPhysicalChans	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevAOSampClkSupported = dll.DAQmxGetDevAOSampClkSupported	# (const char device[], bool32 *data);
		self.GetDevAOMaxRate = dll.DAQmxGetDevAOMaxRate	# (const char device[], float64 *data);
		self.GetDevAOMinRate = dll.DAQmxGetDevAOMinRate	# (const char device[], float64 *data);
		self.GetDevAOTrigUsage = dll.DAQmxGetDevAOTrigUsage	# (const char device[], int32 *data);
		self.GetDevAOVoltageRngs = dll.DAQmxGetDevAOVoltageRngs	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAOCurrentRngs = dll.DAQmxGetDevAOCurrentRngs	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevAOGains = dll.DAQmxGetDevAOGains	# (const char device[], float64 *data, uInt32 arraySizeInSamples);
		self.GetDevDILines = dll.DAQmxGetDevDILines	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevDIPorts = dll.DAQmxGetDevDIPorts	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevDIMaxRate = dll.DAQmxGetDevDIMaxRate	# (const char device[], float64 *data);
		self.GetDevDITrigUsage = dll.DAQmxGetDevDITrigUsage	# (const char device[], int32 *data);
		self.GetDevDOLines = dll.DAQmxGetDevDOLines	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevDOPorts = dll.DAQmxGetDevDOPorts	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevDOMaxRate = dll.DAQmxGetDevDOMaxRate	# (const char device[], float64 *data);
		self.GetDevDOTrigUsage = dll.DAQmxGetDevDOTrigUsage	# (const char device[], int32 *data);
		self.GetDevCIPhysicalChans = dll.DAQmxGetDevCIPhysicalChans	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevCITrigUsage = dll.DAQmxGetDevCITrigUsage	# (const char device[], int32 *data);
		self.GetDevCISampClkSupported = dll.DAQmxGetDevCISampClkSupported	# (const char device[], bool32 *data);
		self.GetDevCIMaxSize = dll.DAQmxGetDevCIMaxSize	# (const char device[], uInt32 *data);
		self.GetDevCIMaxTimebase = dll.DAQmxGetDevCIMaxTimebase	# (const char device[], float64 *data);
		self.GetDevCOPhysicalChans = dll.DAQmxGetDevCOPhysicalChans	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevCOTrigUsage = dll.DAQmxGetDevCOTrigUsage	# (const char device[], int32 *data);
		self.GetDevCOMaxSize = dll.DAQmxGetDevCOMaxSize	# (const char device[], uInt32 *data);
		self.GetDevCOMaxTimebase = dll.DAQmxGetDevCOMaxTimebase	# (const char device[], float64 *data);
		self.GetDevBusType = dll.DAQmxGetDevBusType	# (const char device[], int32 *data);
		self.GetDevNumDMAChans = dll.DAQmxGetDevNumDMAChans	# (const char device[], uInt32 *data);
		self.GetDevPCIBusNum = dll.DAQmxGetDevPCIBusNum	# (const char device[], uInt32 *data);
		self.GetDevPCIDevNum = dll.DAQmxGetDevPCIDevNum	# (const char device[], uInt32 *data);
		self.GetDevPXIChassisNum = dll.DAQmxGetDevPXIChassisNum	# (const char device[], uInt32 *data);
		self.GetDevPXISlotNum = dll.DAQmxGetDevPXISlotNum	# (const char device[], uInt32 *data);
		self.GetDevCompactDAQChassisDevName = dll.DAQmxGetDevCompactDAQChassisDevName	# (const char device[], char *data, uInt32 bufferSize);
		self.GetDevCompactDAQSlotNum = dll.DAQmxGetDevCompactDAQSlotNum	# (const char device[], uInt32 *data);
		self.GetReadRelativeTo = dll.DAQmxGetReadRelativeTo	# (TaskHandle taskHandle, int32 *data);
		self.SetReadRelativeTo = dll.DAQmxSetReadRelativeTo	# (TaskHandle taskHandle, int32 data);
		self.ResetReadRelativeTo = dll.DAQmxResetReadRelativeTo	# (TaskHandle taskHandle);
		self.GetReadOffset = dll.DAQmxGetReadOffset	# (TaskHandle taskHandle, int32 *data);
		self.SetReadOffset = dll.DAQmxSetReadOffset	# (TaskHandle taskHandle, int32 data);
		self.ResetReadOffset = dll.DAQmxResetReadOffset	# (TaskHandle taskHandle);
		self.GetReadChannelsToRead = dll.DAQmxGetReadChannelsToRead	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetReadChannelsToRead = dll.DAQmxSetReadChannelsToRead	# (TaskHandle taskHandle, const char *data);
		self.ResetReadChannelsToRead = dll.DAQmxResetReadChannelsToRead	# (TaskHandle taskHandle);
		self.GetReadReadAllAvailSamp = dll.DAQmxGetReadReadAllAvailSamp	# (TaskHandle taskHandle, bool32 *data);
		self.SetReadReadAllAvailSamp = dll.DAQmxSetReadReadAllAvailSamp	# (TaskHandle taskHandle, bool32 data);
		self.ResetReadReadAllAvailSamp = dll.DAQmxResetReadReadAllAvailSamp	# (TaskHandle taskHandle);
		self.GetReadAutoStart = dll.DAQmxGetReadAutoStart	# (TaskHandle taskHandle, bool32 *data);
		self.SetReadAutoStart = dll.DAQmxSetReadAutoStart	# (TaskHandle taskHandle, bool32 data);
		self.ResetReadAutoStart = dll.DAQmxResetReadAutoStart	# (TaskHandle taskHandle);
		self.GetReadOverWrite = dll.DAQmxGetReadOverWrite	# (TaskHandle taskHandle, int32 *data);
		self.SetReadOverWrite = dll.DAQmxSetReadOverWrite	# (TaskHandle taskHandle, int32 data);
		self.ResetReadOverWrite = dll.DAQmxResetReadOverWrite	# (TaskHandle taskHandle);
		self.GetReadCurrReadPos = dll.DAQmxGetReadCurrReadPos	# (TaskHandle taskHandle, uInt64 *data);
		self.GetReadAvailSampPerChan = dll.DAQmxGetReadAvailSampPerChan	# (TaskHandle taskHandle, uInt32 *data);
		self.GetReadTotalSampPerChanAcquired = dll.DAQmxGetReadTotalSampPerChanAcquired	# (TaskHandle taskHandle, uInt64 *data);
		self.GetReadOvercurrentChansExist = dll.DAQmxGetReadOvercurrentChansExist	# (TaskHandle taskHandle, bool32 *data);
		self.GetReadOvercurrentChans = dll.DAQmxGetReadOvercurrentChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetReadOpenCurrentLoopChansExist = dll.DAQmxGetReadOpenCurrentLoopChansExist	# (TaskHandle taskHandle, bool32 *data);
		self.GetReadOpenCurrentLoopChans = dll.DAQmxGetReadOpenCurrentLoopChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetReadOverloadedChansExist = dll.DAQmxGetReadOverloadedChansExist	# (TaskHandle taskHandle, bool32 *data);
		self.GetReadOverloadedChans = dll.DAQmxGetReadOverloadedChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetReadChangeDetectHasOverflowed = dll.DAQmxGetReadChangeDetectHasOverflowed	# (TaskHandle taskHandle, bool32 *data);
		self.GetReadRawDataWidth = dll.DAQmxGetReadRawDataWidth	# (TaskHandle taskHandle, uInt32 *data);
		self.GetReadNumChans = dll.DAQmxGetReadNumChans	# (TaskHandle taskHandle, uInt32 *data);
		self.GetReadDigitalLinesBytesPerChan = dll.DAQmxGetReadDigitalLinesBytesPerChan	# (TaskHandle taskHandle, uInt32 *data);
		self.GetReadWaitMode = dll.DAQmxGetReadWaitMode	# (TaskHandle taskHandle, int32 *data);
		self.SetReadWaitMode = dll.DAQmxSetReadWaitMode	# (TaskHandle taskHandle, int32 data);
		self.ResetReadWaitMode = dll.DAQmxResetReadWaitMode	# (TaskHandle taskHandle);
		self.GetReadSleepTime = dll.DAQmxGetReadSleepTime	# (TaskHandle taskHandle, float64 *data);
		self.SetReadSleepTime = dll.DAQmxSetReadSleepTime	# (TaskHandle taskHandle, float64 data);
		self.ResetReadSleepTime = dll.DAQmxResetReadSleepTime	# (TaskHandle taskHandle);
		self.GetRealTimeConvLateErrorsToWarnings = dll.DAQmxGetRealTimeConvLateErrorsToWarnings	# (TaskHandle taskHandle, bool32 *data);
		self.SetRealTimeConvLateErrorsToWarnings = dll.DAQmxSetRealTimeConvLateErrorsToWarnings	# (TaskHandle taskHandle, bool32 data);
		self.ResetRealTimeConvLateErrorsToWarnings = dll.DAQmxResetRealTimeConvLateErrorsToWarnings	# (TaskHandle taskHandle);
		self.GetRealTimeNumOfWarmupIters = dll.DAQmxGetRealTimeNumOfWarmupIters	# (TaskHandle taskHandle, uInt32 *data);
		self.SetRealTimeNumOfWarmupIters = dll.DAQmxSetRealTimeNumOfWarmupIters	# (TaskHandle taskHandle, uInt32 data);
		self.ResetRealTimeNumOfWarmupIters = dll.DAQmxResetRealTimeNumOfWarmupIters	# (TaskHandle taskHandle);
		self.GetRealTimeWaitForNextSampClkWaitMode = dll.DAQmxGetRealTimeWaitForNextSampClkWaitMode	# (TaskHandle taskHandle, int32 *data);
		self.SetRealTimeWaitForNextSampClkWaitMode = dll.DAQmxSetRealTimeWaitForNextSampClkWaitMode	# (TaskHandle taskHandle, int32 data);
		self.ResetRealTimeWaitForNextSampClkWaitMode = dll.DAQmxResetRealTimeWaitForNextSampClkWaitMode	# (TaskHandle taskHandle);
		self.GetRealTimeReportMissedSamp = dll.DAQmxGetRealTimeReportMissedSamp	# (TaskHandle taskHandle, bool32 *data);
		self.SetRealTimeReportMissedSamp = dll.DAQmxSetRealTimeReportMissedSamp	# (TaskHandle taskHandle, bool32 data);
		self.ResetRealTimeReportMissedSamp = dll.DAQmxResetRealTimeReportMissedSamp	# (TaskHandle taskHandle);
		self.GetRealTimeWriteRecoveryMode = dll.DAQmxGetRealTimeWriteRecoveryMode	# (TaskHandle taskHandle, int32 *data);
		self.SetRealTimeWriteRecoveryMode = dll.DAQmxSetRealTimeWriteRecoveryMode	# (TaskHandle taskHandle, int32 data);
		self.ResetRealTimeWriteRecoveryMode = dll.DAQmxResetRealTimeWriteRecoveryMode	# (TaskHandle taskHandle);
		self.GetSwitchChanUsage = dll.DAQmxGetSwitchChanUsage	# (const char switchChannelName[], int32 *data);
		self.SetSwitchChanUsage = dll.DAQmxSetSwitchChanUsage	# (const char switchChannelName[], int32 data);
		self.GetSwitchChanMaxACCarryCurrent = dll.DAQmxGetSwitchChanMaxACCarryCurrent	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxACSwitchCurrent = dll.DAQmxGetSwitchChanMaxACSwitchCurrent	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxACCarryPwr = dll.DAQmxGetSwitchChanMaxACCarryPwr	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxACSwitchPwr = dll.DAQmxGetSwitchChanMaxACSwitchPwr	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxDCCarryCurrent = dll.DAQmxGetSwitchChanMaxDCCarryCurrent	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxDCSwitchCurrent = dll.DAQmxGetSwitchChanMaxDCSwitchCurrent	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxDCCarryPwr = dll.DAQmxGetSwitchChanMaxDCCarryPwr	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxDCSwitchPwr = dll.DAQmxGetSwitchChanMaxDCSwitchPwr	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxACVoltage = dll.DAQmxGetSwitchChanMaxACVoltage	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanMaxDCVoltage = dll.DAQmxGetSwitchChanMaxDCVoltage	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanWireMode = dll.DAQmxGetSwitchChanWireMode	# (const char switchChannelName[], uInt32 *data);
		self.GetSwitchChanBandwidth = dll.DAQmxGetSwitchChanBandwidth	# (const char switchChannelName[], float64 *data);
		self.GetSwitchChanImpedance = dll.DAQmxGetSwitchChanImpedance	# (const char switchChannelName[], float64 *data);
		self.GetSwitchDevSettlingTime = dll.DAQmxGetSwitchDevSettlingTime	# (const char deviceName[], float64 *data);
		self.SetSwitchDevSettlingTime = dll.DAQmxSetSwitchDevSettlingTime	# (const char deviceName[], float64 data);
		self.GetSwitchDevAutoConnAnlgBus = dll.DAQmxGetSwitchDevAutoConnAnlgBus	# (const char deviceName[], bool32 *data);
		self.SetSwitchDevAutoConnAnlgBus = dll.DAQmxSetSwitchDevAutoConnAnlgBus	# (const char deviceName[], bool32 data);
		self.GetSwitchDevPwrDownLatchRelaysAfterSettling = dll.DAQmxGetSwitchDevPwrDownLatchRelaysAfterSettling	# (const char deviceName[], bool32 *data);
		self.SetSwitchDevPwrDownLatchRelaysAfterSettling = dll.DAQmxSetSwitchDevPwrDownLatchRelaysAfterSettling	# (const char deviceName[], bool32 data);
		self.GetSwitchDevSettled = dll.DAQmxGetSwitchDevSettled	# (const char deviceName[], bool32 *data);
		self.GetSwitchDevRelayList = dll.DAQmxGetSwitchDevRelayList	# (const char deviceName[], char *data, uInt32 bufferSize);
		self.GetSwitchDevNumRelays = dll.DAQmxGetSwitchDevNumRelays	# (const char deviceName[], uInt32 *data);
		self.GetSwitchDevSwitchChanList = dll.DAQmxGetSwitchDevSwitchChanList	# (const char deviceName[], char *data, uInt32 bufferSize);
		self.GetSwitchDevNumSwitchChans = dll.DAQmxGetSwitchDevNumSwitchChans	# (const char deviceName[], uInt32 *data);
		self.GetSwitchDevNumRows = dll.DAQmxGetSwitchDevNumRows	# (const char deviceName[], uInt32 *data);
		self.GetSwitchDevNumColumns = dll.DAQmxGetSwitchDevNumColumns	# (const char deviceName[], uInt32 *data);
		self.GetSwitchDevTopology = dll.DAQmxGetSwitchDevTopology	# (const char deviceName[], char *data, uInt32 bufferSize);
		self.GetSwitchScanBreakMode = dll.DAQmxGetSwitchScanBreakMode	# (TaskHandle taskHandle, int32 *data);
		self.SetSwitchScanBreakMode = dll.DAQmxSetSwitchScanBreakMode	# (TaskHandle taskHandle, int32 data);
		self.ResetSwitchScanBreakMode = dll.DAQmxResetSwitchScanBreakMode	# (TaskHandle taskHandle);
		self.GetSwitchScanRepeatMode = dll.DAQmxGetSwitchScanRepeatMode	# (TaskHandle taskHandle, int32 *data);
		self.SetSwitchScanRepeatMode = dll.DAQmxSetSwitchScanRepeatMode	# (TaskHandle taskHandle, int32 data);
		self.ResetSwitchScanRepeatMode = dll.DAQmxResetSwitchScanRepeatMode	# (TaskHandle taskHandle);
		self.GetSwitchScanWaitingForAdv = dll.DAQmxGetSwitchScanWaitingForAdv	# (TaskHandle taskHandle, bool32 *data);
		self.GetScaleDescr = dll.DAQmxGetScaleDescr	# (const char scaleName[], char *data, uInt32 bufferSize);
		self.SetScaleDescr = dll.DAQmxSetScaleDescr	# (const char scaleName[], const char *data);
		self.GetScaleScaledUnits = dll.DAQmxGetScaleScaledUnits	# (const char scaleName[], char *data, uInt32 bufferSize);
		self.SetScaleScaledUnits = dll.DAQmxSetScaleScaledUnits	# (const char scaleName[], const char *data);
		self.GetScalePreScaledUnits = dll.DAQmxGetScalePreScaledUnits	# (const char scaleName[], int32 *data);
		self.SetScalePreScaledUnits = dll.DAQmxSetScalePreScaledUnits	# (const char scaleName[], int32 data);
		self.GetScaleType = dll.DAQmxGetScaleType	# (const char scaleName[], int32 *data);
		self.GetScaleLinSlope = dll.DAQmxGetScaleLinSlope	# (const char scaleName[], float64 *data);
		self.SetScaleLinSlope = dll.DAQmxSetScaleLinSlope	# (const char scaleName[], float64 data);
		self.GetScaleLinYIntercept = dll.DAQmxGetScaleLinYIntercept	# (const char scaleName[], float64 *data);
		self.SetScaleLinYIntercept = dll.DAQmxSetScaleLinYIntercept	# (const char scaleName[], float64 data);
		self.GetScaleMapScaledMax = dll.DAQmxGetScaleMapScaledMax	# (const char scaleName[], float64 *data);
		self.SetScaleMapScaledMax = dll.DAQmxSetScaleMapScaledMax	# (const char scaleName[], float64 data);
		self.GetScaleMapPreScaledMax = dll.DAQmxGetScaleMapPreScaledMax	# (const char scaleName[], float64 *data);
		self.SetScaleMapPreScaledMax = dll.DAQmxSetScaleMapPreScaledMax	# (const char scaleName[], float64 data);
		self.GetScaleMapScaledMin = dll.DAQmxGetScaleMapScaledMin	# (const char scaleName[], float64 *data);
		self.SetScaleMapScaledMin = dll.DAQmxSetScaleMapScaledMin	# (const char scaleName[], float64 data);
		self.GetScaleMapPreScaledMin = dll.DAQmxGetScaleMapPreScaledMin	# (const char scaleName[], float64 *data);
		self.SetScaleMapPreScaledMin = dll.DAQmxSetScaleMapPreScaledMin	# (const char scaleName[], float64 data);
		self.GetScalePolyForwardCoeff = dll.DAQmxGetScalePolyForwardCoeff	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.SetScalePolyForwardCoeff = dll.DAQmxSetScalePolyForwardCoeff	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.GetScalePolyReverseCoeff = dll.DAQmxGetScalePolyReverseCoeff	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.SetScalePolyReverseCoeff = dll.DAQmxSetScalePolyReverseCoeff	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.GetScaleTableScaledVals = dll.DAQmxGetScaleTableScaledVals	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.SetScaleTableScaledVals = dll.DAQmxSetScaleTableScaledVals	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.GetScaleTablePreScaledVals = dll.DAQmxGetScaleTablePreScaledVals	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.SetScaleTablePreScaledVals = dll.DAQmxSetScaleTablePreScaledVals	# (const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
		self.GetSysGlobalChans = dll.DAQmxGetSysGlobalChans	# (char *data, uInt32 bufferSize);
		self.GetSysScales = dll.DAQmxGetSysScales	# (char *data, uInt32 bufferSize);
		self.GetSysTasks = dll.DAQmxGetSysTasks	# (char *data, uInt32 bufferSize);
		self.GetSysDevNames = dll.DAQmxGetSysDevNames	# (char *data, uInt32 bufferSize);
		self.GetSysNIDAQMajorVersion = dll.DAQmxGetSysNIDAQMajorVersion	# (uInt32 *data);
		self.GetSysNIDAQMinorVersion = dll.DAQmxGetSysNIDAQMinorVersion	# (uInt32 *data);
		self.GetTaskName = dll.DAQmxGetTaskName	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetTaskChannels = dll.DAQmxGetTaskChannels	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetTaskNumChans = dll.DAQmxGetTaskNumChans	# (TaskHandle taskHandle, uInt32 *data);
		self.GetTaskDevices = dll.DAQmxGetTaskDevices	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetTaskNumDevices = dll.DAQmxGetTaskNumDevices	# (TaskHandle taskHandle, uInt32 *data);
		self.GetTaskComplete = dll.DAQmxGetTaskComplete	# (TaskHandle taskHandle, bool32 *data);
		self.GetSampQuantSampMode = dll.DAQmxGetSampQuantSampMode	# (TaskHandle taskHandle, int32 *data);
		self.SetSampQuantSampMode = dll.DAQmxSetSampQuantSampMode	# (TaskHandle taskHandle, int32 data);
		self.ResetSampQuantSampMode = dll.DAQmxResetSampQuantSampMode	# (TaskHandle taskHandle);
		self.GetSampQuantSampPerChan = dll.DAQmxGetSampQuantSampPerChan	# (TaskHandle taskHandle, uInt64 *data);
		self.SetSampQuantSampPerChan = dll.DAQmxSetSampQuantSampPerChan	# (TaskHandle taskHandle, uInt64 data);
		self.ResetSampQuantSampPerChan = dll.DAQmxResetSampQuantSampPerChan	# (TaskHandle taskHandle);
		self.GetSampTimingType = dll.DAQmxGetSampTimingType	# (TaskHandle taskHandle, int32 *data);
		self.SetSampTimingType = dll.DAQmxSetSampTimingType	# (TaskHandle taskHandle, int32 data);
		self.ResetSampTimingType = dll.DAQmxResetSampTimingType	# (TaskHandle taskHandle);
		self.GetSampClkRate = dll.DAQmxGetSampClkRate	# (TaskHandle taskHandle, float64 *data);
		self.SetSampClkRate = dll.DAQmxSetSampClkRate	# (TaskHandle taskHandle, float64 data);
		self.ResetSampClkRate = dll.DAQmxResetSampClkRate	# (TaskHandle taskHandle);
		self.GetSampClkMaxRate = dll.DAQmxGetSampClkMaxRate	# (TaskHandle taskHandle, float64 *data);
		self.GetSampClkSrc = dll.DAQmxGetSampClkSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetSampClkSrc = dll.DAQmxSetSampClkSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetSampClkSrc = dll.DAQmxResetSampClkSrc	# (TaskHandle taskHandle);
		self.GetSampClkActiveEdge = dll.DAQmxGetSampClkActiveEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetSampClkActiveEdge = dll.DAQmxSetSampClkActiveEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetSampClkActiveEdge = dll.DAQmxResetSampClkActiveEdge	# (TaskHandle taskHandle);
		self.GetSampClkUnderflowBehavior = dll.DAQmxGetSampClkUnderflowBehavior	# (TaskHandle taskHandle, int32 *data);
		self.SetSampClkUnderflowBehavior = dll.DAQmxSetSampClkUnderflowBehavior	# (TaskHandle taskHandle, int32 data);
		self.ResetSampClkUnderflowBehavior = dll.DAQmxResetSampClkUnderflowBehavior	# (TaskHandle taskHandle);
		self.GetSampClkTimebaseDiv = dll.DAQmxGetSampClkTimebaseDiv	# (TaskHandle taskHandle, uInt32 *data);
		self.SetSampClkTimebaseDiv = dll.DAQmxSetSampClkTimebaseDiv	# (TaskHandle taskHandle, uInt32 data);
		self.ResetSampClkTimebaseDiv = dll.DAQmxResetSampClkTimebaseDiv	# (TaskHandle taskHandle);
		self.GetSampClkTimebaseRate = dll.DAQmxGetSampClkTimebaseRate	# (TaskHandle taskHandle, float64 *data);
		self.SetSampClkTimebaseRate = dll.DAQmxSetSampClkTimebaseRate	# (TaskHandle taskHandle, float64 data);
		self.ResetSampClkTimebaseRate = dll.DAQmxResetSampClkTimebaseRate	# (TaskHandle taskHandle);
		self.GetSampClkTimebaseSrc = dll.DAQmxGetSampClkTimebaseSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetSampClkTimebaseSrc = dll.DAQmxSetSampClkTimebaseSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetSampClkTimebaseSrc = dll.DAQmxResetSampClkTimebaseSrc	# (TaskHandle taskHandle);
		self.GetSampClkTimebaseActiveEdge = dll.DAQmxGetSampClkTimebaseActiveEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetSampClkTimebaseActiveEdge = dll.DAQmxSetSampClkTimebaseActiveEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetSampClkTimebaseActiveEdge = dll.DAQmxResetSampClkTimebaseActiveEdge	# (TaskHandle taskHandle);
		self.GetSampClkTimebaseMasterTimebaseDiv = dll.DAQmxGetSampClkTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, uInt32 *data);
		self.SetSampClkTimebaseMasterTimebaseDiv = dll.DAQmxSetSampClkTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle, uInt32 data);
		self.ResetSampClkTimebaseMasterTimebaseDiv = dll.DAQmxResetSampClkTimebaseMasterTimebaseDiv	# (TaskHandle taskHandle);
		self.GetSampClkDigFltrEnable = dll.DAQmxGetSampClkDigFltrEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetSampClkDigFltrEnable = dll.DAQmxSetSampClkDigFltrEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetSampClkDigFltrEnable = dll.DAQmxResetSampClkDigFltrEnable	# (TaskHandle taskHandle);
		self.GetSampClkDigFltrMinPulseWidth = dll.DAQmxGetSampClkDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 *data);
		self.SetSampClkDigFltrMinPulseWidth = dll.DAQmxSetSampClkDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 data);
		self.ResetSampClkDigFltrMinPulseWidth = dll.DAQmxResetSampClkDigFltrMinPulseWidth	# (TaskHandle taskHandle);
		self.GetSampClkDigFltrTimebaseSrc = dll.DAQmxGetSampClkDigFltrTimebaseSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetSampClkDigFltrTimebaseSrc = dll.DAQmxSetSampClkDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetSampClkDigFltrTimebaseSrc = dll.DAQmxResetSampClkDigFltrTimebaseSrc	# (TaskHandle taskHandle);
		self.GetSampClkDigFltrTimebaseRate = dll.DAQmxGetSampClkDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 *data);
		self.SetSampClkDigFltrTimebaseRate = dll.DAQmxSetSampClkDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 data);
		self.ResetSampClkDigFltrTimebaseRate = dll.DAQmxResetSampClkDigFltrTimebaseRate	# (TaskHandle taskHandle);
		self.GetSampClkDigSyncEnable = dll.DAQmxGetSampClkDigSyncEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetSampClkDigSyncEnable = dll.DAQmxSetSampClkDigSyncEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetSampClkDigSyncEnable = dll.DAQmxResetSampClkDigSyncEnable	# (TaskHandle taskHandle);
		self.GetHshkDelayAfterXfer = dll.DAQmxGetHshkDelayAfterXfer	# (TaskHandle taskHandle, float64 *data);
		self.SetHshkDelayAfterXfer = dll.DAQmxSetHshkDelayAfterXfer	# (TaskHandle taskHandle, float64 data);
		self.ResetHshkDelayAfterXfer = dll.DAQmxResetHshkDelayAfterXfer	# (TaskHandle taskHandle);
		self.GetHshkStartCond = dll.DAQmxGetHshkStartCond	# (TaskHandle taskHandle, int32 *data);
		self.SetHshkStartCond = dll.DAQmxSetHshkStartCond	# (TaskHandle taskHandle, int32 data);
		self.ResetHshkStartCond = dll.DAQmxResetHshkStartCond	# (TaskHandle taskHandle);
		self.GetHshkSampleInputDataWhen = dll.DAQmxGetHshkSampleInputDataWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetHshkSampleInputDataWhen = dll.DAQmxSetHshkSampleInputDataWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetHshkSampleInputDataWhen = dll.DAQmxResetHshkSampleInputDataWhen	# (TaskHandle taskHandle);
		self.GetChangeDetectDIRisingEdgePhysicalChans = dll.DAQmxGetChangeDetectDIRisingEdgePhysicalChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetChangeDetectDIRisingEdgePhysicalChans = dll.DAQmxSetChangeDetectDIRisingEdgePhysicalChans	# (TaskHandle taskHandle, const char *data);
		self.ResetChangeDetectDIRisingEdgePhysicalChans = dll.DAQmxResetChangeDetectDIRisingEdgePhysicalChans	# (TaskHandle taskHandle);
		self.GetChangeDetectDIFallingEdgePhysicalChans = dll.DAQmxGetChangeDetectDIFallingEdgePhysicalChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetChangeDetectDIFallingEdgePhysicalChans = dll.DAQmxSetChangeDetectDIFallingEdgePhysicalChans	# (TaskHandle taskHandle, const char *data);
		self.ResetChangeDetectDIFallingEdgePhysicalChans = dll.DAQmxResetChangeDetectDIFallingEdgePhysicalChans	# (TaskHandle taskHandle);
		self.GetOnDemandSimultaneousAOEnable = dll.DAQmxGetOnDemandSimultaneousAOEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetOnDemandSimultaneousAOEnable = dll.DAQmxSetOnDemandSimultaneousAOEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetOnDemandSimultaneousAOEnable = dll.DAQmxResetOnDemandSimultaneousAOEnable	# (TaskHandle taskHandle);
		self.GetAIConvRate = dll.DAQmxGetAIConvRate	# (TaskHandle taskHandle, float64 *data);
		self.SetAIConvRate = dll.DAQmxSetAIConvRate	# (TaskHandle taskHandle, float64 data);
		self.ResetAIConvRate = dll.DAQmxResetAIConvRate	# (TaskHandle taskHandle);
		self.GetAIConvRateEx = dll.DAQmxGetAIConvRateEx	# (TaskHandle taskHandle, const char deviceNames[], float64 *data);
		self.SetAIConvRateEx = dll.DAQmxSetAIConvRateEx	# (TaskHandle taskHandle, const char deviceNames[], float64 data);
		self.ResetAIConvRateEx = dll.DAQmxResetAIConvRateEx	# (TaskHandle taskHandle, const char deviceNames[]);
		self.GetAIConvMaxRate = dll.DAQmxGetAIConvMaxRate	# (TaskHandle taskHandle, float64 *data);
		self.GetAIConvMaxRateEx = dll.DAQmxGetAIConvMaxRateEx	# (TaskHandle taskHandle, const char deviceNames[], float64 *data);
		self.GetAIConvSrc = dll.DAQmxGetAIConvSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetAIConvSrc = dll.DAQmxSetAIConvSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetAIConvSrc = dll.DAQmxResetAIConvSrc	# (TaskHandle taskHandle);
		self.GetAIConvSrcEx = dll.DAQmxGetAIConvSrcEx	# (TaskHandle taskHandle, const char deviceNames[], char *data, uInt32 bufferSize);
		self.SetAIConvSrcEx = dll.DAQmxSetAIConvSrcEx	# (TaskHandle taskHandle, const char deviceNames[], const char *data);
		self.ResetAIConvSrcEx = dll.DAQmxResetAIConvSrcEx	# (TaskHandle taskHandle, const char deviceNames[]);
		self.GetAIConvActiveEdge = dll.DAQmxGetAIConvActiveEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetAIConvActiveEdge = dll.DAQmxSetAIConvActiveEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetAIConvActiveEdge = dll.DAQmxResetAIConvActiveEdge	# (TaskHandle taskHandle);
		self.GetAIConvActiveEdgeEx = dll.DAQmxGetAIConvActiveEdgeEx	# (TaskHandle taskHandle, const char deviceNames[], int32 *data);
		self.SetAIConvActiveEdgeEx = dll.DAQmxSetAIConvActiveEdgeEx	# (TaskHandle taskHandle, const char deviceNames[], int32 data);
		self.ResetAIConvActiveEdgeEx = dll.DAQmxResetAIConvActiveEdgeEx	# (TaskHandle taskHandle, const char deviceNames[]);
		self.GetAIConvTimebaseDiv = dll.DAQmxGetAIConvTimebaseDiv	# (TaskHandle taskHandle, uInt32 *data);
		self.SetAIConvTimebaseDiv = dll.DAQmxSetAIConvTimebaseDiv	# (TaskHandle taskHandle, uInt32 data);
		self.ResetAIConvTimebaseDiv = dll.DAQmxResetAIConvTimebaseDiv	# (TaskHandle taskHandle);
		self.GetAIConvTimebaseDivEx = dll.DAQmxGetAIConvTimebaseDivEx	# (TaskHandle taskHandle, const char deviceNames[], uInt32 *data);
		self.SetAIConvTimebaseDivEx = dll.DAQmxSetAIConvTimebaseDivEx	# (TaskHandle taskHandle, const char deviceNames[], uInt32 data);
		self.ResetAIConvTimebaseDivEx = dll.DAQmxResetAIConvTimebaseDivEx	# (TaskHandle taskHandle, const char deviceNames[]);
		self.GetAIConvTimebaseSrc = dll.DAQmxGetAIConvTimebaseSrc	# (TaskHandle taskHandle, int32 *data);
		self.SetAIConvTimebaseSrc = dll.DAQmxSetAIConvTimebaseSrc	# (TaskHandle taskHandle, int32 data);
		self.ResetAIConvTimebaseSrc = dll.DAQmxResetAIConvTimebaseSrc	# (TaskHandle taskHandle);
		self.GetAIConvTimebaseSrcEx = dll.DAQmxGetAIConvTimebaseSrcEx	# (TaskHandle taskHandle, const char deviceNames[], int32 *data);
		self.SetAIConvTimebaseSrcEx = dll.DAQmxSetAIConvTimebaseSrcEx	# (TaskHandle taskHandle, const char deviceNames[], int32 data);
		self.ResetAIConvTimebaseSrcEx = dll.DAQmxResetAIConvTimebaseSrcEx	# (TaskHandle taskHandle, const char deviceNames[]);
		self.GetDelayFromSampClkDelayUnits = dll.DAQmxGetDelayFromSampClkDelayUnits	# (TaskHandle taskHandle, int32 *data);
		self.SetDelayFromSampClkDelayUnits = dll.DAQmxSetDelayFromSampClkDelayUnits	# (TaskHandle taskHandle, int32 data);
		self.ResetDelayFromSampClkDelayUnits = dll.DAQmxResetDelayFromSampClkDelayUnits	# (TaskHandle taskHandle);
		self.GetDelayFromSampClkDelayUnitsEx = dll.DAQmxGetDelayFromSampClkDelayUnitsEx	# (TaskHandle taskHandle, const char deviceNames[], int32 *data);
		self.SetDelayFromSampClkDelayUnitsEx = dll.DAQmxSetDelayFromSampClkDelayUnitsEx	# (TaskHandle taskHandle, const char deviceNames[], int32 data);
		self.ResetDelayFromSampClkDelayUnitsEx = dll.DAQmxResetDelayFromSampClkDelayUnitsEx	# (TaskHandle taskHandle, const char deviceNames[]);
		self.GetDelayFromSampClkDelay = dll.DAQmxGetDelayFromSampClkDelay	# (TaskHandle taskHandle, float64 *data);
		self.SetDelayFromSampClkDelay = dll.DAQmxSetDelayFromSampClkDelay	# (TaskHandle taskHandle, float64 data);
		self.ResetDelayFromSampClkDelay = dll.DAQmxResetDelayFromSampClkDelay	# (TaskHandle taskHandle);
		self.GetDelayFromSampClkDelayEx = dll.DAQmxGetDelayFromSampClkDelayEx	# (TaskHandle taskHandle, const char deviceNames[], float64 *data);
		self.SetDelayFromSampClkDelayEx = dll.DAQmxSetDelayFromSampClkDelayEx	# (TaskHandle taskHandle, const char deviceNames[], float64 data);
		self.ResetDelayFromSampClkDelayEx = dll.DAQmxResetDelayFromSampClkDelayEx	# (TaskHandle taskHandle, const char deviceNames[]);
		self.GetMasterTimebaseRate = dll.DAQmxGetMasterTimebaseRate	# (TaskHandle taskHandle, float64 *data);
		self.SetMasterTimebaseRate = dll.DAQmxSetMasterTimebaseRate	# (TaskHandle taskHandle, float64 data);
		self.ResetMasterTimebaseRate = dll.DAQmxResetMasterTimebaseRate	# (TaskHandle taskHandle);
		self.GetMasterTimebaseSrc = dll.DAQmxGetMasterTimebaseSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetMasterTimebaseSrc = dll.DAQmxSetMasterTimebaseSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetMasterTimebaseSrc = dll.DAQmxResetMasterTimebaseSrc	# (TaskHandle taskHandle);
		self.GetRefClkRate = dll.DAQmxGetRefClkRate	# (TaskHandle taskHandle, float64 *data);
		self.SetRefClkRate = dll.DAQmxSetRefClkRate	# (TaskHandle taskHandle, float64 data);
		self.ResetRefClkRate = dll.DAQmxResetRefClkRate	# (TaskHandle taskHandle);
		self.GetRefClkSrc = dll.DAQmxGetRefClkSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetRefClkSrc = dll.DAQmxSetRefClkSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetRefClkSrc = dll.DAQmxResetRefClkSrc	# (TaskHandle taskHandle);
		self.GetSyncPulseSrc = dll.DAQmxGetSyncPulseSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetSyncPulseSrc = dll.DAQmxSetSyncPulseSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetSyncPulseSrc = dll.DAQmxResetSyncPulseSrc	# (TaskHandle taskHandle);
		self.GetSyncPulseSyncTime = dll.DAQmxGetSyncPulseSyncTime	# (TaskHandle taskHandle, float64 *data);
		self.GetSyncPulseMinDelayToStart = dll.DAQmxGetSyncPulseMinDelayToStart	# (TaskHandle taskHandle, float64 *data);
		self.SetSyncPulseMinDelayToStart = dll.DAQmxSetSyncPulseMinDelayToStart	# (TaskHandle taskHandle, float64 data);
		self.ResetSyncPulseMinDelayToStart = dll.DAQmxResetSyncPulseMinDelayToStart	# (TaskHandle taskHandle);
		self.GetStartTrigType = dll.DAQmxGetStartTrigType	# (TaskHandle taskHandle, int32 *data);
		self.SetStartTrigType = dll.DAQmxSetStartTrigType	# (TaskHandle taskHandle, int32 data);
		self.ResetStartTrigType = dll.DAQmxResetStartTrigType	# (TaskHandle taskHandle);
		self.GetDigEdgeStartTrigSrc = dll.DAQmxGetDigEdgeStartTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigEdgeStartTrigSrc = dll.DAQmxSetDigEdgeStartTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigEdgeStartTrigSrc = dll.DAQmxResetDigEdgeStartTrigSrc	# (TaskHandle taskHandle);
		self.GetDigEdgeStartTrigEdge = dll.DAQmxGetDigEdgeStartTrigEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetDigEdgeStartTrigEdge = dll.DAQmxSetDigEdgeStartTrigEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetDigEdgeStartTrigEdge = dll.DAQmxResetDigEdgeStartTrigEdge	# (TaskHandle taskHandle);
		self.GetDigEdgeStartTrigDigFltrEnable = dll.DAQmxGetDigEdgeStartTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetDigEdgeStartTrigDigFltrEnable = dll.DAQmxSetDigEdgeStartTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetDigEdgeStartTrigDigFltrEnable = dll.DAQmxResetDigEdgeStartTrigDigFltrEnable	# (TaskHandle taskHandle);
		self.GetDigEdgeStartTrigDigFltrMinPulseWidth = dll.DAQmxGetDigEdgeStartTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 *data);
		self.SetDigEdgeStartTrigDigFltrMinPulseWidth = dll.DAQmxSetDigEdgeStartTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 data);
		self.ResetDigEdgeStartTrigDigFltrMinPulseWidth = dll.DAQmxResetDigEdgeStartTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle);
		self.GetDigEdgeStartTrigDigFltrTimebaseSrc = dll.DAQmxGetDigEdgeStartTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigEdgeStartTrigDigFltrTimebaseSrc = dll.DAQmxSetDigEdgeStartTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigEdgeStartTrigDigFltrTimebaseSrc = dll.DAQmxResetDigEdgeStartTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle);
		self.GetDigEdgeStartTrigDigFltrTimebaseRate = dll.DAQmxGetDigEdgeStartTrigDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 *data);
		self.SetDigEdgeStartTrigDigFltrTimebaseRate = dll.DAQmxSetDigEdgeStartTrigDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 data);
		self.ResetDigEdgeStartTrigDigFltrTimebaseRate = dll.DAQmxResetDigEdgeStartTrigDigFltrTimebaseRate	# (TaskHandle taskHandle);
		self.GetDigEdgeStartTrigDigSyncEnable = dll.DAQmxGetDigEdgeStartTrigDigSyncEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetDigEdgeStartTrigDigSyncEnable = dll.DAQmxSetDigEdgeStartTrigDigSyncEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetDigEdgeStartTrigDigSyncEnable = dll.DAQmxResetDigEdgeStartTrigDigSyncEnable	# (TaskHandle taskHandle);
		self.GetDigPatternStartTrigSrc = dll.DAQmxGetDigPatternStartTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigPatternStartTrigSrc = dll.DAQmxSetDigPatternStartTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigPatternStartTrigSrc = dll.DAQmxResetDigPatternStartTrigSrc	# (TaskHandle taskHandle);
		self.GetDigPatternStartTrigPattern = dll.DAQmxGetDigPatternStartTrigPattern	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigPatternStartTrigPattern = dll.DAQmxSetDigPatternStartTrigPattern	# (TaskHandle taskHandle, const char *data);
		self.ResetDigPatternStartTrigPattern = dll.DAQmxResetDigPatternStartTrigPattern	# (TaskHandle taskHandle);
		self.GetDigPatternStartTrigWhen = dll.DAQmxGetDigPatternStartTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetDigPatternStartTrigWhen = dll.DAQmxSetDigPatternStartTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetDigPatternStartTrigWhen = dll.DAQmxResetDigPatternStartTrigWhen	# (TaskHandle taskHandle);
		self.GetAnlgEdgeStartTrigSrc = dll.DAQmxGetAnlgEdgeStartTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetAnlgEdgeStartTrigSrc = dll.DAQmxSetAnlgEdgeStartTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetAnlgEdgeStartTrigSrc = dll.DAQmxResetAnlgEdgeStartTrigSrc	# (TaskHandle taskHandle);
		self.GetAnlgEdgeStartTrigSlope = dll.DAQmxGetAnlgEdgeStartTrigSlope	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgEdgeStartTrigSlope = dll.DAQmxSetAnlgEdgeStartTrigSlope	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgEdgeStartTrigSlope = dll.DAQmxResetAnlgEdgeStartTrigSlope	# (TaskHandle taskHandle);
		self.GetAnlgEdgeStartTrigLvl = dll.DAQmxGetAnlgEdgeStartTrigLvl	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgEdgeStartTrigLvl = dll.DAQmxSetAnlgEdgeStartTrigLvl	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgEdgeStartTrigLvl = dll.DAQmxResetAnlgEdgeStartTrigLvl	# (TaskHandle taskHandle);
		self.GetAnlgEdgeStartTrigHyst = dll.DAQmxGetAnlgEdgeStartTrigHyst	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgEdgeStartTrigHyst = dll.DAQmxSetAnlgEdgeStartTrigHyst	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgEdgeStartTrigHyst = dll.DAQmxResetAnlgEdgeStartTrigHyst	# (TaskHandle taskHandle);
		self.GetAnlgEdgeStartTrigCoupling = dll.DAQmxGetAnlgEdgeStartTrigCoupling	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgEdgeStartTrigCoupling = dll.DAQmxSetAnlgEdgeStartTrigCoupling	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgEdgeStartTrigCoupling = dll.DAQmxResetAnlgEdgeStartTrigCoupling	# (TaskHandle taskHandle);
		self.GetAnlgWinStartTrigSrc = dll.DAQmxGetAnlgWinStartTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetAnlgWinStartTrigSrc = dll.DAQmxSetAnlgWinStartTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetAnlgWinStartTrigSrc = dll.DAQmxResetAnlgWinStartTrigSrc	# (TaskHandle taskHandle);
		self.GetAnlgWinStartTrigWhen = dll.DAQmxGetAnlgWinStartTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgWinStartTrigWhen = dll.DAQmxSetAnlgWinStartTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgWinStartTrigWhen = dll.DAQmxResetAnlgWinStartTrigWhen	# (TaskHandle taskHandle);
		self.GetAnlgWinStartTrigTop = dll.DAQmxGetAnlgWinStartTrigTop	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgWinStartTrigTop = dll.DAQmxSetAnlgWinStartTrigTop	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgWinStartTrigTop = dll.DAQmxResetAnlgWinStartTrigTop	# (TaskHandle taskHandle);
		self.GetAnlgWinStartTrigBtm = dll.DAQmxGetAnlgWinStartTrigBtm	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgWinStartTrigBtm = dll.DAQmxSetAnlgWinStartTrigBtm	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgWinStartTrigBtm = dll.DAQmxResetAnlgWinStartTrigBtm	# (TaskHandle taskHandle);
		self.GetAnlgWinStartTrigCoupling = dll.DAQmxGetAnlgWinStartTrigCoupling	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgWinStartTrigCoupling = dll.DAQmxSetAnlgWinStartTrigCoupling	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgWinStartTrigCoupling = dll.DAQmxResetAnlgWinStartTrigCoupling	# (TaskHandle taskHandle);
		self.GetStartTrigDelay = dll.DAQmxGetStartTrigDelay	# (TaskHandle taskHandle, float64 *data);
		self.SetStartTrigDelay = dll.DAQmxSetStartTrigDelay	# (TaskHandle taskHandle, float64 data);
		self.ResetStartTrigDelay = dll.DAQmxResetStartTrigDelay	# (TaskHandle taskHandle);
		self.GetStartTrigDelayUnits = dll.DAQmxGetStartTrigDelayUnits	# (TaskHandle taskHandle, int32 *data);
		self.SetStartTrigDelayUnits = dll.DAQmxSetStartTrigDelayUnits	# (TaskHandle taskHandle, int32 data);
		self.ResetStartTrigDelayUnits = dll.DAQmxResetStartTrigDelayUnits	# (TaskHandle taskHandle);
		self.GetStartTrigRetriggerable = dll.DAQmxGetStartTrigRetriggerable	# (TaskHandle taskHandle, bool32 *data);
		self.SetStartTrigRetriggerable = dll.DAQmxSetStartTrigRetriggerable	# (TaskHandle taskHandle, bool32 data);
		self.ResetStartTrigRetriggerable = dll.DAQmxResetStartTrigRetriggerable	# (TaskHandle taskHandle);
		self.GetRefTrigType = dll.DAQmxGetRefTrigType	# (TaskHandle taskHandle, int32 *data);
		self.SetRefTrigType = dll.DAQmxSetRefTrigType	# (TaskHandle taskHandle, int32 data);
		self.ResetRefTrigType = dll.DAQmxResetRefTrigType	# (TaskHandle taskHandle);
		self.GetRefTrigPretrigSamples = dll.DAQmxGetRefTrigPretrigSamples	# (TaskHandle taskHandle, uInt32 *data);
		self.SetRefTrigPretrigSamples = dll.DAQmxSetRefTrigPretrigSamples	# (TaskHandle taskHandle, uInt32 data);
		self.ResetRefTrigPretrigSamples = dll.DAQmxResetRefTrigPretrigSamples	# (TaskHandle taskHandle);
		self.GetDigEdgeRefTrigSrc = dll.DAQmxGetDigEdgeRefTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigEdgeRefTrigSrc = dll.DAQmxSetDigEdgeRefTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigEdgeRefTrigSrc = dll.DAQmxResetDigEdgeRefTrigSrc	# (TaskHandle taskHandle);
		self.GetDigEdgeRefTrigEdge = dll.DAQmxGetDigEdgeRefTrigEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetDigEdgeRefTrigEdge = dll.DAQmxSetDigEdgeRefTrigEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetDigEdgeRefTrigEdge = dll.DAQmxResetDigEdgeRefTrigEdge	# (TaskHandle taskHandle);
		self.GetDigPatternRefTrigSrc = dll.DAQmxGetDigPatternRefTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigPatternRefTrigSrc = dll.DAQmxSetDigPatternRefTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigPatternRefTrigSrc = dll.DAQmxResetDigPatternRefTrigSrc	# (TaskHandle taskHandle);
		self.GetDigPatternRefTrigPattern = dll.DAQmxGetDigPatternRefTrigPattern	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigPatternRefTrigPattern = dll.DAQmxSetDigPatternRefTrigPattern	# (TaskHandle taskHandle, const char *data);
		self.ResetDigPatternRefTrigPattern = dll.DAQmxResetDigPatternRefTrigPattern	# (TaskHandle taskHandle);
		self.GetDigPatternRefTrigWhen = dll.DAQmxGetDigPatternRefTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetDigPatternRefTrigWhen = dll.DAQmxSetDigPatternRefTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetDigPatternRefTrigWhen = dll.DAQmxResetDigPatternRefTrigWhen	# (TaskHandle taskHandle);
		self.GetAnlgEdgeRefTrigSrc = dll.DAQmxGetAnlgEdgeRefTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetAnlgEdgeRefTrigSrc = dll.DAQmxSetAnlgEdgeRefTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetAnlgEdgeRefTrigSrc = dll.DAQmxResetAnlgEdgeRefTrigSrc	# (TaskHandle taskHandle);
		self.GetAnlgEdgeRefTrigSlope = dll.DAQmxGetAnlgEdgeRefTrigSlope	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgEdgeRefTrigSlope = dll.DAQmxSetAnlgEdgeRefTrigSlope	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgEdgeRefTrigSlope = dll.DAQmxResetAnlgEdgeRefTrigSlope	# (TaskHandle taskHandle);
		self.GetAnlgEdgeRefTrigLvl = dll.DAQmxGetAnlgEdgeRefTrigLvl	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgEdgeRefTrigLvl = dll.DAQmxSetAnlgEdgeRefTrigLvl	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgEdgeRefTrigLvl = dll.DAQmxResetAnlgEdgeRefTrigLvl	# (TaskHandle taskHandle);
		self.GetAnlgEdgeRefTrigHyst = dll.DAQmxGetAnlgEdgeRefTrigHyst	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgEdgeRefTrigHyst = dll.DAQmxSetAnlgEdgeRefTrigHyst	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgEdgeRefTrigHyst = dll.DAQmxResetAnlgEdgeRefTrigHyst	# (TaskHandle taskHandle);
		self.GetAnlgEdgeRefTrigCoupling = dll.DAQmxGetAnlgEdgeRefTrigCoupling	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgEdgeRefTrigCoupling = dll.DAQmxSetAnlgEdgeRefTrigCoupling	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgEdgeRefTrigCoupling = dll.DAQmxResetAnlgEdgeRefTrigCoupling	# (TaskHandle taskHandle);
		self.GetAnlgWinRefTrigSrc = dll.DAQmxGetAnlgWinRefTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetAnlgWinRefTrigSrc = dll.DAQmxSetAnlgWinRefTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetAnlgWinRefTrigSrc = dll.DAQmxResetAnlgWinRefTrigSrc	# (TaskHandle taskHandle);
		self.GetAnlgWinRefTrigWhen = dll.DAQmxGetAnlgWinRefTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgWinRefTrigWhen = dll.DAQmxSetAnlgWinRefTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgWinRefTrigWhen = dll.DAQmxResetAnlgWinRefTrigWhen	# (TaskHandle taskHandle);
		self.GetAnlgWinRefTrigTop = dll.DAQmxGetAnlgWinRefTrigTop	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgWinRefTrigTop = dll.DAQmxSetAnlgWinRefTrigTop	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgWinRefTrigTop = dll.DAQmxResetAnlgWinRefTrigTop	# (TaskHandle taskHandle);
		self.GetAnlgWinRefTrigBtm = dll.DAQmxGetAnlgWinRefTrigBtm	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgWinRefTrigBtm = dll.DAQmxSetAnlgWinRefTrigBtm	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgWinRefTrigBtm = dll.DAQmxResetAnlgWinRefTrigBtm	# (TaskHandle taskHandle);
		self.GetAnlgWinRefTrigCoupling = dll.DAQmxGetAnlgWinRefTrigCoupling	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgWinRefTrigCoupling = dll.DAQmxSetAnlgWinRefTrigCoupling	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgWinRefTrigCoupling = dll.DAQmxResetAnlgWinRefTrigCoupling	# (TaskHandle taskHandle);
		self.GetAdvTrigType = dll.DAQmxGetAdvTrigType	# (TaskHandle taskHandle, int32 *data);
		self.SetAdvTrigType = dll.DAQmxSetAdvTrigType	# (TaskHandle taskHandle, int32 data);
		self.ResetAdvTrigType = dll.DAQmxResetAdvTrigType	# (TaskHandle taskHandle);
		self.GetDigEdgeAdvTrigSrc = dll.DAQmxGetDigEdgeAdvTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigEdgeAdvTrigSrc = dll.DAQmxSetDigEdgeAdvTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigEdgeAdvTrigSrc = dll.DAQmxResetDigEdgeAdvTrigSrc	# (TaskHandle taskHandle);
		self.GetDigEdgeAdvTrigEdge = dll.DAQmxGetDigEdgeAdvTrigEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetDigEdgeAdvTrigEdge = dll.DAQmxSetDigEdgeAdvTrigEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetDigEdgeAdvTrigEdge = dll.DAQmxResetDigEdgeAdvTrigEdge	# (TaskHandle taskHandle);
		self.GetDigEdgeAdvTrigDigFltrEnable = dll.DAQmxGetDigEdgeAdvTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetDigEdgeAdvTrigDigFltrEnable = dll.DAQmxSetDigEdgeAdvTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetDigEdgeAdvTrigDigFltrEnable = dll.DAQmxResetDigEdgeAdvTrigDigFltrEnable	# (TaskHandle taskHandle);
		self.GetHshkTrigType = dll.DAQmxGetHshkTrigType	# (TaskHandle taskHandle, int32 *data);
		self.SetHshkTrigType = dll.DAQmxSetHshkTrigType	# (TaskHandle taskHandle, int32 data);
		self.ResetHshkTrigType = dll.DAQmxResetHshkTrigType	# (TaskHandle taskHandle);
		self.GetInterlockedHshkTrigSrc = dll.DAQmxGetInterlockedHshkTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetInterlockedHshkTrigSrc = dll.DAQmxSetInterlockedHshkTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetInterlockedHshkTrigSrc = dll.DAQmxResetInterlockedHshkTrigSrc	# (TaskHandle taskHandle);
		self.GetInterlockedHshkTrigAssertedLvl = dll.DAQmxGetInterlockedHshkTrigAssertedLvl	# (TaskHandle taskHandle, int32 *data);
		self.SetInterlockedHshkTrigAssertedLvl = dll.DAQmxSetInterlockedHshkTrigAssertedLvl	# (TaskHandle taskHandle, int32 data);
		self.ResetInterlockedHshkTrigAssertedLvl = dll.DAQmxResetInterlockedHshkTrigAssertedLvl	# (TaskHandle taskHandle);
		self.GetPauseTrigType = dll.DAQmxGetPauseTrigType	# (TaskHandle taskHandle, int32 *data);
		self.SetPauseTrigType = dll.DAQmxSetPauseTrigType	# (TaskHandle taskHandle, int32 data);
		self.ResetPauseTrigType = dll.DAQmxResetPauseTrigType	# (TaskHandle taskHandle);
		self.GetAnlgLvlPauseTrigSrc = dll.DAQmxGetAnlgLvlPauseTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetAnlgLvlPauseTrigSrc = dll.DAQmxSetAnlgLvlPauseTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetAnlgLvlPauseTrigSrc = dll.DAQmxResetAnlgLvlPauseTrigSrc	# (TaskHandle taskHandle);
		self.GetAnlgLvlPauseTrigWhen = dll.DAQmxGetAnlgLvlPauseTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgLvlPauseTrigWhen = dll.DAQmxSetAnlgLvlPauseTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgLvlPauseTrigWhen = dll.DAQmxResetAnlgLvlPauseTrigWhen	# (TaskHandle taskHandle);
		self.GetAnlgLvlPauseTrigLvl = dll.DAQmxGetAnlgLvlPauseTrigLvl	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgLvlPauseTrigLvl = dll.DAQmxSetAnlgLvlPauseTrigLvl	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgLvlPauseTrigLvl = dll.DAQmxResetAnlgLvlPauseTrigLvl	# (TaskHandle taskHandle);
		self.GetAnlgLvlPauseTrigHyst = dll.DAQmxGetAnlgLvlPauseTrigHyst	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgLvlPauseTrigHyst = dll.DAQmxSetAnlgLvlPauseTrigHyst	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgLvlPauseTrigHyst = dll.DAQmxResetAnlgLvlPauseTrigHyst	# (TaskHandle taskHandle);
		self.GetAnlgLvlPauseTrigCoupling = dll.DAQmxGetAnlgLvlPauseTrigCoupling	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgLvlPauseTrigCoupling = dll.DAQmxSetAnlgLvlPauseTrigCoupling	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgLvlPauseTrigCoupling = dll.DAQmxResetAnlgLvlPauseTrigCoupling	# (TaskHandle taskHandle);
		self.GetAnlgWinPauseTrigSrc = dll.DAQmxGetAnlgWinPauseTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetAnlgWinPauseTrigSrc = dll.DAQmxSetAnlgWinPauseTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetAnlgWinPauseTrigSrc = dll.DAQmxResetAnlgWinPauseTrigSrc	# (TaskHandle taskHandle);
		self.GetAnlgWinPauseTrigWhen = dll.DAQmxGetAnlgWinPauseTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgWinPauseTrigWhen = dll.DAQmxSetAnlgWinPauseTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgWinPauseTrigWhen = dll.DAQmxResetAnlgWinPauseTrigWhen	# (TaskHandle taskHandle);
		self.GetAnlgWinPauseTrigTop = dll.DAQmxGetAnlgWinPauseTrigTop	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgWinPauseTrigTop = dll.DAQmxSetAnlgWinPauseTrigTop	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgWinPauseTrigTop = dll.DAQmxResetAnlgWinPauseTrigTop	# (TaskHandle taskHandle);
		self.GetAnlgWinPauseTrigBtm = dll.DAQmxGetAnlgWinPauseTrigBtm	# (TaskHandle taskHandle, float64 *data);
		self.SetAnlgWinPauseTrigBtm = dll.DAQmxSetAnlgWinPauseTrigBtm	# (TaskHandle taskHandle, float64 data);
		self.ResetAnlgWinPauseTrigBtm = dll.DAQmxResetAnlgWinPauseTrigBtm	# (TaskHandle taskHandle);
		self.GetAnlgWinPauseTrigCoupling = dll.DAQmxGetAnlgWinPauseTrigCoupling	# (TaskHandle taskHandle, int32 *data);
		self.SetAnlgWinPauseTrigCoupling = dll.DAQmxSetAnlgWinPauseTrigCoupling	# (TaskHandle taskHandle, int32 data);
		self.ResetAnlgWinPauseTrigCoupling = dll.DAQmxResetAnlgWinPauseTrigCoupling	# (TaskHandle taskHandle);
		self.GetDigLvlPauseTrigSrc = dll.DAQmxGetDigLvlPauseTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigLvlPauseTrigSrc = dll.DAQmxSetDigLvlPauseTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigLvlPauseTrigSrc = dll.DAQmxResetDigLvlPauseTrigSrc	# (TaskHandle taskHandle);
		self.GetDigLvlPauseTrigWhen = dll.DAQmxGetDigLvlPauseTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetDigLvlPauseTrigWhen = dll.DAQmxSetDigLvlPauseTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetDigLvlPauseTrigWhen = dll.DAQmxResetDigLvlPauseTrigWhen	# (TaskHandle taskHandle);
		self.GetDigLvlPauseTrigDigFltrEnable = dll.DAQmxGetDigLvlPauseTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetDigLvlPauseTrigDigFltrEnable = dll.DAQmxSetDigLvlPauseTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetDigLvlPauseTrigDigFltrEnable = dll.DAQmxResetDigLvlPauseTrigDigFltrEnable	# (TaskHandle taskHandle);
		self.GetDigLvlPauseTrigDigFltrMinPulseWidth = dll.DAQmxGetDigLvlPauseTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 *data);
		self.SetDigLvlPauseTrigDigFltrMinPulseWidth = dll.DAQmxSetDigLvlPauseTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 data);
		self.ResetDigLvlPauseTrigDigFltrMinPulseWidth = dll.DAQmxResetDigLvlPauseTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle);
		self.GetDigLvlPauseTrigDigFltrTimebaseSrc = dll.DAQmxGetDigLvlPauseTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigLvlPauseTrigDigFltrTimebaseSrc = dll.DAQmxSetDigLvlPauseTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigLvlPauseTrigDigFltrTimebaseSrc = dll.DAQmxResetDigLvlPauseTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle);
		self.GetDigLvlPauseTrigDigFltrTimebaseRate = dll.DAQmxGetDigLvlPauseTrigDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 *data);
		self.SetDigLvlPauseTrigDigFltrTimebaseRate = dll.DAQmxSetDigLvlPauseTrigDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 data);
		self.ResetDigLvlPauseTrigDigFltrTimebaseRate = dll.DAQmxResetDigLvlPauseTrigDigFltrTimebaseRate	# (TaskHandle taskHandle);
		self.GetDigLvlPauseTrigDigSyncEnable = dll.DAQmxGetDigLvlPauseTrigDigSyncEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetDigLvlPauseTrigDigSyncEnable = dll.DAQmxSetDigLvlPauseTrigDigSyncEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetDigLvlPauseTrigDigSyncEnable = dll.DAQmxResetDigLvlPauseTrigDigSyncEnable	# (TaskHandle taskHandle);
		self.GetDigPatternPauseTrigSrc = dll.DAQmxGetDigPatternPauseTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigPatternPauseTrigSrc = dll.DAQmxSetDigPatternPauseTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigPatternPauseTrigSrc = dll.DAQmxResetDigPatternPauseTrigSrc	# (TaskHandle taskHandle);
		self.GetDigPatternPauseTrigPattern = dll.DAQmxGetDigPatternPauseTrigPattern	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigPatternPauseTrigPattern = dll.DAQmxSetDigPatternPauseTrigPattern	# (TaskHandle taskHandle, const char *data);
		self.ResetDigPatternPauseTrigPattern = dll.DAQmxResetDigPatternPauseTrigPattern	# (TaskHandle taskHandle);
		self.GetDigPatternPauseTrigWhen = dll.DAQmxGetDigPatternPauseTrigWhen	# (TaskHandle taskHandle, int32 *data);
		self.SetDigPatternPauseTrigWhen = dll.DAQmxSetDigPatternPauseTrigWhen	# (TaskHandle taskHandle, int32 data);
		self.ResetDigPatternPauseTrigWhen = dll.DAQmxResetDigPatternPauseTrigWhen	# (TaskHandle taskHandle);
		self.GetArmStartTrigType = dll.DAQmxGetArmStartTrigType	# (TaskHandle taskHandle, int32 *data);
		self.SetArmStartTrigType = dll.DAQmxSetArmStartTrigType	# (TaskHandle taskHandle, int32 data);
		self.ResetArmStartTrigType = dll.DAQmxResetArmStartTrigType	# (TaskHandle taskHandle);
		self.GetDigEdgeArmStartTrigSrc = dll.DAQmxGetDigEdgeArmStartTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigEdgeArmStartTrigSrc = dll.DAQmxSetDigEdgeArmStartTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigEdgeArmStartTrigSrc = dll.DAQmxResetDigEdgeArmStartTrigSrc	# (TaskHandle taskHandle);
		self.GetDigEdgeArmStartTrigEdge = dll.DAQmxGetDigEdgeArmStartTrigEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetDigEdgeArmStartTrigEdge = dll.DAQmxSetDigEdgeArmStartTrigEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetDigEdgeArmStartTrigEdge = dll.DAQmxResetDigEdgeArmStartTrigEdge	# (TaskHandle taskHandle);
		self.GetDigEdgeArmStartTrigDigFltrEnable = dll.DAQmxGetDigEdgeArmStartTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetDigEdgeArmStartTrigDigFltrEnable = dll.DAQmxSetDigEdgeArmStartTrigDigFltrEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetDigEdgeArmStartTrigDigFltrEnable = dll.DAQmxResetDigEdgeArmStartTrigDigFltrEnable	# (TaskHandle taskHandle);
		self.GetDigEdgeArmStartTrigDigFltrMinPulseWidth = dll.DAQmxGetDigEdgeArmStartTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 *data);
		self.SetDigEdgeArmStartTrigDigFltrMinPulseWidth = dll.DAQmxSetDigEdgeArmStartTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle, float64 data);
		self.ResetDigEdgeArmStartTrigDigFltrMinPulseWidth = dll.DAQmxResetDigEdgeArmStartTrigDigFltrMinPulseWidth	# (TaskHandle taskHandle);
		self.GetDigEdgeArmStartTrigDigFltrTimebaseSrc = dll.DAQmxGetDigEdgeArmStartTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigEdgeArmStartTrigDigFltrTimebaseSrc = dll.DAQmxSetDigEdgeArmStartTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigEdgeArmStartTrigDigFltrTimebaseSrc = dll.DAQmxResetDigEdgeArmStartTrigDigFltrTimebaseSrc	# (TaskHandle taskHandle);
		self.GetDigEdgeArmStartTrigDigFltrTimebaseRate = dll.DAQmxGetDigEdgeArmStartTrigDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 *data);
		self.SetDigEdgeArmStartTrigDigFltrTimebaseRate = dll.DAQmxSetDigEdgeArmStartTrigDigFltrTimebaseRate	# (TaskHandle taskHandle, float64 data);
		self.ResetDigEdgeArmStartTrigDigFltrTimebaseRate = dll.DAQmxResetDigEdgeArmStartTrigDigFltrTimebaseRate	# (TaskHandle taskHandle);
		self.GetDigEdgeArmStartTrigDigSyncEnable = dll.DAQmxGetDigEdgeArmStartTrigDigSyncEnable	# (TaskHandle taskHandle, bool32 *data);
		self.SetDigEdgeArmStartTrigDigSyncEnable = dll.DAQmxSetDigEdgeArmStartTrigDigSyncEnable	# (TaskHandle taskHandle, bool32 data);
		self.ResetDigEdgeArmStartTrigDigSyncEnable = dll.DAQmxResetDigEdgeArmStartTrigDigSyncEnable	# (TaskHandle taskHandle);
		self.GetWatchdogTimeout = dll.DAQmxGetWatchdogTimeout	# (TaskHandle taskHandle, float64 *data);
		self.SetWatchdogTimeout = dll.DAQmxSetWatchdogTimeout	# (TaskHandle taskHandle, float64 data);
		self.ResetWatchdogTimeout = dll.DAQmxResetWatchdogTimeout	# (TaskHandle taskHandle);
		self.GetWatchdogExpirTrigType = dll.DAQmxGetWatchdogExpirTrigType	# (TaskHandle taskHandle, int32 *data);
		self.SetWatchdogExpirTrigType = dll.DAQmxSetWatchdogExpirTrigType	# (TaskHandle taskHandle, int32 data);
		self.ResetWatchdogExpirTrigType = dll.DAQmxResetWatchdogExpirTrigType	# (TaskHandle taskHandle);
		self.GetDigEdgeWatchdogExpirTrigSrc = dll.DAQmxGetDigEdgeWatchdogExpirTrigSrc	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.SetDigEdgeWatchdogExpirTrigSrc = dll.DAQmxSetDigEdgeWatchdogExpirTrigSrc	# (TaskHandle taskHandle, const char *data);
		self.ResetDigEdgeWatchdogExpirTrigSrc = dll.DAQmxResetDigEdgeWatchdogExpirTrigSrc	# (TaskHandle taskHandle);
		self.GetDigEdgeWatchdogExpirTrigEdge = dll.DAQmxGetDigEdgeWatchdogExpirTrigEdge	# (TaskHandle taskHandle, int32 *data);
		self.SetDigEdgeWatchdogExpirTrigEdge = dll.DAQmxSetDigEdgeWatchdogExpirTrigEdge	# (TaskHandle taskHandle, int32 data);
		self.ResetDigEdgeWatchdogExpirTrigEdge = dll.DAQmxResetDigEdgeWatchdogExpirTrigEdge	# (TaskHandle taskHandle);
		self.GetWatchdogDOExpirState = dll.DAQmxGetWatchdogDOExpirState	# (TaskHandle taskHandle, const char lines[], int32 *data);
		self.SetWatchdogDOExpirState = dll.DAQmxSetWatchdogDOExpirState	# (TaskHandle taskHandle, const char lines[], int32 data);
		self.ResetWatchdogDOExpirState = dll.DAQmxResetWatchdogDOExpirState	# (TaskHandle taskHandle, const char lines[]);
		self.GetWatchdogHasExpired = dll.DAQmxGetWatchdogHasExpired	# (TaskHandle taskHandle, bool32 *data);
		self.GetWriteRelativeTo = dll.DAQmxGetWriteRelativeTo	# (TaskHandle taskHandle, int32 *data);
		self.SetWriteRelativeTo = dll.DAQmxSetWriteRelativeTo	# (TaskHandle taskHandle, int32 data);
		self.ResetWriteRelativeTo = dll.DAQmxResetWriteRelativeTo	# (TaskHandle taskHandle);
		self.GetWriteOffset = dll.DAQmxGetWriteOffset	# (TaskHandle taskHandle, int32 *data);
		self.SetWriteOffset = dll.DAQmxSetWriteOffset	# (TaskHandle taskHandle, int32 data);
		self.ResetWriteOffset = dll.DAQmxResetWriteOffset	# (TaskHandle taskHandle);
		self.GetWriteRegenMode = dll.DAQmxGetWriteRegenMode	# (TaskHandle taskHandle, int32 *data);
		self.SetWriteRegenMode = dll.DAQmxSetWriteRegenMode	# (TaskHandle taskHandle, int32 data);
		self.ResetWriteRegenMode = dll.DAQmxResetWriteRegenMode	# (TaskHandle taskHandle);
		self.GetWriteCurrWritePos = dll.DAQmxGetWriteCurrWritePos	# (TaskHandle taskHandle, uInt64 *data);
		self.GetWriteOvercurrentChansExist = dll.DAQmxGetWriteOvercurrentChansExist	# (TaskHandle taskHandle, bool32 *data);
		self.GetWriteOvercurrentChans = dll.DAQmxGetWriteOvercurrentChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetWriteOpenCurrentLoopChansExist = dll.DAQmxGetWriteOpenCurrentLoopChansExist	# (TaskHandle taskHandle, bool32 *data);
		self.GetWriteOpenCurrentLoopChans = dll.DAQmxGetWriteOpenCurrentLoopChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetWritePowerSupplyFaultChansExist = dll.DAQmxGetWritePowerSupplyFaultChansExist	# (TaskHandle taskHandle, bool32 *data);
		self.GetWritePowerSupplyFaultChans = dll.DAQmxGetWritePowerSupplyFaultChans	# (TaskHandle taskHandle, char *data, uInt32 bufferSize);
		self.GetWriteSpaceAvail = dll.DAQmxGetWriteSpaceAvail	# (TaskHandle taskHandle, uInt32 *data);
		self.GetWriteTotalSampPerChanGenerated = dll.DAQmxGetWriteTotalSampPerChanGenerated	# (TaskHandle taskHandle, uInt64 *data);
		self.GetWriteRawDataWidth = dll.DAQmxGetWriteRawDataWidth	# (TaskHandle taskHandle, uInt32 *data);
		self.GetWriteNumChans = dll.DAQmxGetWriteNumChans	# (TaskHandle taskHandle, uInt32 *data);
		self.GetWriteWaitMode = dll.DAQmxGetWriteWaitMode	# (TaskHandle taskHandle, int32 *data);
		self.SetWriteWaitMode = dll.DAQmxSetWriteWaitMode	# (TaskHandle taskHandle, int32 data);
		self.ResetWriteWaitMode = dll.DAQmxResetWriteWaitMode	# (TaskHandle taskHandle);
		self.GetWriteSleepTime = dll.DAQmxGetWriteSleepTime	# (TaskHandle taskHandle, float64 *data);
		self.SetWriteSleepTime = dll.DAQmxSetWriteSleepTime	# (TaskHandle taskHandle, float64 data);
		self.ResetWriteSleepTime = dll.DAQmxResetWriteSleepTime	# (TaskHandle taskHandle);
		self.GetWriteNextWriteIsLast = dll.DAQmxGetWriteNextWriteIsLast	# (TaskHandle taskHandle, bool32 *data);
		self.SetWriteNextWriteIsLast = dll.DAQmxSetWriteNextWriteIsLast	# (TaskHandle taskHandle, bool32 data);
		self.ResetWriteNextWriteIsLast = dll.DAQmxResetWriteNextWriteIsLast	# (TaskHandle taskHandle);
		self.GetWriteDigitalLinesBytesPerChan = dll.DAQmxGetWriteDigitalLinesBytesPerChan	# (TaskHandle taskHandle, uInt32 *data);
		self.GetPhysicalChanAITermCfgs = dll.DAQmxGetPhysicalChanAITermCfgs	# (const char physicalChannel[], int32 *data);
		self.GetPhysicalChanAOTermCfgs = dll.DAQmxGetPhysicalChanAOTermCfgs	# (const char physicalChannel[], int32 *data);
		self.GetPhysicalChanDIPortWidth = dll.DAQmxGetPhysicalChanDIPortWidth	# (const char physicalChannel[], uInt32 *data);
		self.GetPhysicalChanDISampClkSupported = dll.DAQmxGetPhysicalChanDISampClkSupported	# (const char physicalChannel[], bool32 *data);
		self.GetPhysicalChanDIChangeDetectSupported = dll.DAQmxGetPhysicalChanDIChangeDetectSupported	# (const char physicalChannel[], bool32 *data);
		self.GetPhysicalChanDOPortWidth = dll.DAQmxGetPhysicalChanDOPortWidth	# (const char physicalChannel[], uInt32 *data);
		self.GetPhysicalChanDOSampClkSupported = dll.DAQmxGetPhysicalChanDOSampClkSupported	# (const char physicalChannel[], bool32 *data);
		self.GetPhysicalChanTEDSMfgID = dll.DAQmxGetPhysicalChanTEDSMfgID	# (const char physicalChannel[], uInt32 *data);
		self.GetPhysicalChanTEDSModelNum = dll.DAQmxGetPhysicalChanTEDSModelNum	# (const char physicalChannel[], uInt32 *data);
		self.GetPhysicalChanTEDSSerialNum = dll.DAQmxGetPhysicalChanTEDSSerialNum	# (const char physicalChannel[], uInt32 *data);
		self.GetPhysicalChanTEDSVersionNum = dll.DAQmxGetPhysicalChanTEDSVersionNum	# (const char physicalChannel[], uInt32 *data);
		self.GetPhysicalChanTEDSVersionLetter = dll.DAQmxGetPhysicalChanTEDSVersionLetter	# (const char physicalChannel[], char *data, uInt32 bufferSize);
		self.GetPhysicalChanTEDSBitStream = dll.DAQmxGetPhysicalChanTEDSBitStream	# (const char physicalChannel[], uInt8 *data, uInt32 arraySizeInSamples);
		self.GetPhysicalChanTEDSTemplateIDs = dll.DAQmxGetPhysicalChanTEDSTemplateIDs	# (const char physicalChannel[], uInt32 *data, uInt32 arraySizeInSamples);
		self.GetPersistedTaskAuthor = dll.DAQmxGetPersistedTaskAuthor	# (const char taskName[], char *data, uInt32 bufferSize);
		self.GetPersistedTaskAllowInteractiveEditing = dll.DAQmxGetPersistedTaskAllowInteractiveEditing	# (const char taskName[], bool32 *data);
		self.GetPersistedTaskAllowInteractiveDeletion = dll.DAQmxGetPersistedTaskAllowInteractiveDeletion	# (const char taskName[], bool32 *data);
		self.GetPersistedChanAuthor = dll.DAQmxGetPersistedChanAuthor	# (const char channel[], char *data, uInt32 bufferSize);
		self.GetPersistedChanAllowInteractiveEditing = dll.DAQmxGetPersistedChanAllowInteractiveEditing	# (const char channel[], bool32 *data);
		self.GetPersistedChanAllowInteractiveDeletion = dll.DAQmxGetPersistedChanAllowInteractiveDeletion	# (const char channel[], bool32 *data);
		self.GetPersistedScaleAuthor = dll.DAQmxGetPersistedScaleAuthor	# (const char scaleName[], char *data, uInt32 bufferSize);
		self.GetPersistedScaleAllowInteractiveEditing = dll.DAQmxGetPersistedScaleAllowInteractiveEditing	# (const char scaleName[], bool32 *data);
		self.GetPersistedScaleAllowInteractiveDeletion = dll.DAQmxGetPersistedScaleAllowInteractiveDeletion	# (const char scaleName[], bool32 *data);
		self.GetSampClkTimingResponseMode = dll.DAQmxGetSampClkTimingResponseMode	# (TaskHandle taskHandle, int32 *data);
		self.SetSampClkTimingResponseMode = dll.DAQmxSetSampClkTimingResponseMode	# (TaskHandle taskHandle, int32 data);
		self.ResetSampClkTimingResponseMode = dll.DAQmxResetSampClkTimingResponseMode	# (TaskHandle taskHandle);
